blender (2.92.0--release~103106-02948a2cab4+nano+optix+kernels-0thomas~bionic1) bionic; urgency=medium

  * Blender 2.92.0 release tagging.  Docs: 2.92 release description for
    Linux appdata.  Docs: 2.91 release description for Linux appdata.
    Revert Automatic Tablet API dynamic fallback..  Fix T85844: high
    pressure at start of line..  Revert high fequency mouse input for
    Windows..  Fix T85865: Crash when selecting Image texture node.
    Revert "Fix T80313: Fix clipped text in splash screen on hiDPI
    monitors".  VSE: Fix duplicate menu entries.  API Docs: Fix
    generation failing with unused context members.  Instead of raising
    an expection a warnign is generated instead. This fixes the issue
    where `['hair', 'pointcloud']` are disabled for release builds. In
    the future a better solution would be to generate the context map
    dynamically but this would require refactoring of the API: D9988.
    Fix T85762: Crash when opening 2.83 VSE file.  GPencil: Fix
    unreported broken use only lines in multiframe.  Fix flashing eevee
    render passes in viewport.  Blender 2.92 bcon4 - change release
    cycle to release candidate.  Cleanup: Missing word in rna
    description.  Fix T85722: missing updates adding modifiers via
    python.  Fix T85440: crash with displacement shaders and updating
    geometry in viewport.  Fix T85680: Crash displaying UV stretch/area
    with modifiers.  Fix T84701: Popup closes on release while dragging
    parameter..  Fixes T84928 : Lattice vertices at unexpected positions
    when changing lattice resolution from 1 to 3 or more..  Revert
    Wintab High Frequency Input..  UI: Clarify descriptions in
    properties popover.  Fix T85499: Crash on switching to edit mode
    with uv editor open.  Fix T84624: node group data-block has phantom
    user.  Fix T71960: Malformed .bmp files lead to crash.  Fix T85488:
    Display units inset operator.  GPencil: Try again to fix compiler
    warnings.  Fix brace placement from recent fix for T85581.  RNA
    Manual Reference: Update mappings.  Fix T84899: instance ids are not
    unique in common cases.  GPencil: Fix compiler warnings after
    previous commit.  Fix T85581: GPencil draw on surface does not work.
    Baking: support vertex color baking of normal material, UV
    discontinuities.  Geometry Nodes: remove incorrect assert.  Cycles:
    Use Blender Settings For AOV.  Fix T79999: Double color management
    applied during viewport animation render.  Fix T85555: Geometry
    Nodes: Attribute Vector Math Wrap is broken.  Fix T84114: Existence
    of vertex groups slows down mesh editing.  Fix T85543: Object Types
    Visibility missing shading notifier.  Fix T83013: Annotation with
    hidden object in sculpt mode crashes.  Fix T85508: UV select overlap
    fails on identical faces.  BLI_math: add mid_v2_v2v2v2.  Fix T85515:
    missing viewport update when toggling Hidden Wire.  Fix T85420:
    moving color ramp handles via position input does not work.  Fix
    T85514: exact match is not showing up in search menu.  Cleanup:
    typo.  Fix T85395: Texture paint external edit wrong projection on
    reapply.  Fix T85492: fix check if object has visible instances.
    Fix Sculpt Gestures using normal orientation with translated
    objects.  Fix T83047: Texture paint symmetry options not in topbar.
    Fix T85079: Thumb brush unstable when producing larger
    displacements.  Fix versioning code of previous commit.  Fix T81206:
    Do not limit gl texture size in image editor.  Fix T85368: map range
    node clamps incorrectly in geometry nodes.  Fix T85426: Speed effect
    stretch to input not working.  Fix T85378: Shrink/Fatten display
    number units.  Fluid: Updated Mantaflow source files.  Fix T85260:
    Viewport render does not draw background.  Fix T85396: Display
    Texture Paint UV only working in editmode.  Fix T85357: Setting
    collection color restricted to View Layer mode.  Fix for 3D view
    transform: flipped rotation direction for numeric input.  Fix
    T85363: Cmd + Tab shortcut overridden on macOS.  Fix T85318: Driver
    variable don't resolve collection indices.  Fix T85230: Face Set
    Boundary automasking not working with dyntopo.  Fix T85136: Sculpt
    geometry extract not using updated mesh.  Fix T84370: Project tool
    not working with shape keys.  Fix memory leak in boundary brush
    preview data.  Fix unreported: Rotation Gizmo "C" influenced by
    custom orientation.  Fix T85340: Gizmo rotation inverted (in some
    perspective angles).  Cleanup: Move and rename 'getViewVector'
    utility.  Fix 'getViewVector' returning inverted vector.  macOS:
    trackpad scroll direction reversed in list views.  Fix T85261: Eevee
    passes have slight inaccurate colors.  Cryptomatte: Incorrect
    Coverage with Volumetrics.  Fix T85314 GPU: Drawlist submit data
    overflows..  Fix T85225: Variable scope in ridged multi-fractal
    noise.  Fix T84649: Quick liquid causing crash on scale operation.
    Fluid: Updated Mantaflow source files.  Fix freestyle render pass
    not being created when there are no strokes.  Fix T83450: Missing
    4th studio light in preview icon.  Fix T85155: Vertex groups from
    object don't transfer to next nodes modifier.  Fix T85301: Eevee
    does not respect collection instance offset for hair.  creator: add
    missing '--debug-*' arguments under debugging options.  Fix T85194:
    Smart UV does not respect "Correct Aspect" correctly.  cmake/deps:
    remove 'tcl' language support from sqlite.  Fix T81843 Bones
    invisible using Weight Paint + Wireframe shading + Bone X-Ray.
    Overlay: Fix Z axis planes rendered even if not needed.  Fix T85203:
    GPencil: Drawing on locked axis plane.  Fix T81177 EEVEE: Missing
    shadow if last material has no shadow.  DRW: Fix render wrong
    orthographic depth conversion.  GPU: Fix performance regression on
    AMD GPU.  Usual UI messages fix....  VSE: Fix proxy images have
    incorrect size.  Fix T85252: Gpencil interpolate sequence crash in
    new scenes.  Fix T85035: Gpencil render in background render wrong
    frame.  Fix regression: Crash garbage collecting VBOs on never
    evaluated scenes.  Fix T83092: Direction of rotation with View
    orientation changed in 2.91.  Revert "Fix T83092: Direction of
    rotation with View orientation changed in 2.91".  Fix T85236: "Zoom
    to Mouse Position" inverts "Dolly View" direction.  Cleanup: use
    switch for Add Object Tool event handling.  Add Object Tool: make
    automatic axis selection an option.  Fix T79797: Compositor backdrop
    gizmo not updating after zoom.  Fix T84465 Bevel Percent and
    Absolute when limit type is Weight..  Fix T81193 EEVEE: Crash when
    motion blur is aborted at cache finish.  EEVEE: Fix crash when using
    animated visibility with motion blur steps.  EEVEE: Fix GPUNodeLink
    memory leak for displacement nodes using SHD_SPACE_WORLD.
    Depsgraph: Remove redundant copy-on-write operations.  Fix T83411:
    Crash when using a workspace/layout data path in a driver.  Fix
    T84717: missing 3D viewport updates when changing shading settings.
    Cleanup: accept const pointer for BKE_scene_get_depsgraph.  Fix
    T81169: Grease Pencil Z-depth drawing issue on OSX + AMD Graphic
    Cards.  Fix T85148: OptiX viewport denoising regression.  Fix
    T84588: Set parameter as required for uv_on_emitter.  Fix T85169: UV
    scale gizmo swaps X/Y.  Fix T85178: edit-mesh show_edges overlay
    option toggles face-dots.  Fix T84661: read jpg pixel density.  Fix
    T85139: Force field texture missing depsgraph relation.  UI: clarify
    edit-mesh face center behavior.  Cleanup: rename variables for gizmo
    templates.  PyAPI: Add error when registering a 3D gizmo into a 2D
    gizmo group.  Fix T84906: Loop select can fail when starting from an
    ngon.  Docs: add diagrams describing the purpose of
    BMwEdgeLoopWalker.f_hub.  Fix T83988: Active modifier outline uses
    search theme color.  Cleanup: Move geonodes object info RNA enum.
    Fix T85157: join node not working when the second mesh is empty.
    Revert "Depsgraph: Remove redundant copy-on-write operations".  Fix
    alpha transparency slider range being influenced by RGB values.  Fix
    T83935: Superimposed icon's hotspot is misaligned.  Fix T85121:
    Sequencer key conflict with Lock & Select Linked.  Fix T81334:
    Python view-port drawing depth-test regression.  Fix T84512: Crash
    if size input of Blur node is too large.  Fix T85142: BMW scene
    quits Blender.  Fix T85107: Active tool doesn't update when mouse is
    already over it.  Fix T82785: Setting Image.alpha_mode clears
    generated image data.  Fix T83539: 'activate_init' fails with
    buttons that have popups.  Fix jpeg200 4k cinema preset.  Fix
    T82675: Crash on exit when Blender is built as a Python module.  Fix
    T84931: Keys that open menus can also activate menu items.  Fix
    T85110: moving markers num input confuses time vs frames.
    Documented color management issue..  Cleanup: Moved update ratio
    stretching overlay to cache_finish.  Fix T83187: Unselected UVs
    shows selected on linked meshes..  Fix T85089: Crash when rendering
    scene that does not fit into GPU memory with CUDA/OptiX.  Fix
    T84717: Missing viewport update after shading changes.  Fix T84402:
    Off-screen rendering works only once from Python.  Fix T81834:
    Images not properly duplicated in node_shader_utils.  UI: add
    ellipsis to batch rename menu item.  RNA Manual Reference: Update
    Mappings.  Windows: Fix wchar_t truncation.  Fix build error.  UI:
    Fix ugly alignment of timeline popover buttons.  Fix T85082:
    Perspective distortion while drawing.  Fix T85049: Geometry Nodes:
    How to handle instances with shear?.  Fix T84847: Crash after
    splitting effect strip.  Fix T79922: Cache of meta strip not
    invalidated.  Fix T84160: Wrong DOF when camera is overriden.  VSE:
    Fix memory leak when building proxies.  Fix T84979: No sound after
    changing strip datablock.  Fix T84935: improve previous fix for
    boolean custom data layers.  Fix: incomplete integration of PugiXML
    and Potrace build options.  Cleanup: compiler warnings.  Fix Cycles
    standalone compilation following API changes.  Cycles standalone:
    fix missing dependencies in CMake files.  Asset Browser: fix context
    properties reported to Python.  Viewport Rendering: Don't clamp when
    overlays are disabled..  GPU: Enable HQ normals workaround for any
    AMD Drivers on Polaris..  Fix T84708: Versioning for Set Alpha node.
    GPU: Enable HQ normals workaround for AMD 21.1.1 driver..  Fix
    T84907: incorrect dirty mask after geometry join node.  Fix T84935:
    boolean custom data layers not saved correctly.  Fix T85011: "Allow
    Execution" reloads the wrong file when recovering.  WM: add
    "use_scripts" to recover auto-save/session operators.  WM: return
    success from WM_recover_last_session, minor cleanup.  TEXTURE PAINT:
    Tools with wrong cursor.  Fix typos in driver_functions.py.  Fix
    library name clipping most of the data-block name in data-block
    menus.  Fix wm.context_* operators reusing values when it's not
    expected.  Fix T84031 initialize connectivity info of the base mesh
    before using Displacement Smear brush..  Fix: Unable to animate
    nodes modifier exposed properties.  Fix T83344: Cycles baking with
    progressive refine fails on GPU.  Fix T84911: Add Primitive and IC
    keymap - 3d navigation conflict.  Fix T84324: Crash when combining
    two scenes in compositor..  Buildbot: Fixed crash when building RC
    builds.  Fix padding issue in DNA.  Fix T84398: Multiview images
    show only one view..  Fix UI message typo in own previous commit..
    Fix UI messages..  UI: increase the context menu's light power.  Fix
    T84878: Eevee cryptomatte broken with stereoscopy.  Cleanup:
    compiler warning, clang-format, spelling.  Fix T84705: Snapping
    strip handle offset animation.  Fix T83267: Crash prefetching scene
    strip in meta strip.  Fix T82698: Speed effect not working on
    generator strips.  Fix T83266: Proxy building with meta strips
    fails.  Fix ruler end-caps not following interface scale.  UV: tweak
    island select behavior.  Fix UV editor vertex/face drawing ignoring
    UI scale.  Fix T84988: Armature symmetries crashes with action
    constraint.  Fix outliner and animation editors exiting multi-object
    edit-mode.  Fix T84745: more build errors with TBB 2021.  Fix vertex
    color baking using wrong color space.  Fix: Mouse presses in some
    areas do not set active modifier.  Cycles: Fix usage of double
    floating precision in CNanoVDB.  Revert "BLI: add conversion from
    float2 to float3".  Fix T76936: Mesh shape amended upon undoing in
    sculpt mode.  BLI: add conversion from float2 to float3.  Fix
    (unreported) LibOverride: hair cache settings not working..
    GPencil: Fix unreported Vertex Paint masking error.  Particles:
    Fixed thread work size calculation..  Fix the NLA setting the active
    object without exiting edit-mode.  Fix dope-sheet exiting edit-mode
    when activating an object.  Fix undo crash on active object change
    without exiting edit-mode.  Fix T84920: Crash undoing object
    activation in the outliner.  Fix marker camera switch + undo crashes
    in edit-mode.  Fix T84896: Boundary brush not affected by
    automasking.  GPencil: Deactivate interpolation of gpencil curves.
    Geometry Nodes: fix losing data when attribute has incorrect type.
    Fix T83344: Cycles baking + progressive refine fails.  Fix T84242:
    freestyle animated camera shift lags behind in animation render.
    Fix T84908: Cycles GPU + CPU and denoising failure after recent fix.
    Fix T84867: Transform node applies transforms in the wrong order.
    Industry Compat Keymap: Fix box/lasso selection for GP edit mode.
    Fix use of uninitialized variable in image sequence detection.
    Cleanup: NULL used for boolean.  Fix T82966, T78152: Cycles GPU
    render hair ribbon artifacts and differences.  Fix T84867: Transform
    node does not rotate/scale instances.  Fix T84569: crash when trying
    to bake an object with no faces.  GPencil: Fix unreported NaN value
    for UV Rotation in Primitives.  Fix T84539: cryptomatte metadata
    lost when using save buffers option.  Fix T84872: OptiX GPU + CPU
    rendering uses branched path samples.  Fix T84813: enabling Cycles
    OpenImageDenoise during GPU viewport render fails.  Fix T84049:
    Crash when using Cycles Progressive Refine with OptiX+CPU.  Fix Lock
    to Selection does not work in mask mode.  Add Object Tool: minor
    improvements to tool-tips.  Cleanup: clang-format.  Fix typo in UI
    message..  Add Object Tool: adjust cursor alpha when near view
    aligned.  UV: tweak face select behavior.  Cleanup: move
    UvNearestHit.ob assignment in find nearest functions.  BMesh: add
    function to check if a point is inside a faces UV's.  CMake: add
    missing headers.  Cleanup: spelling & cleanup for
    cmake_consistency_check.  CMake: update checking utility to ignore
    nanovdb files.  Cleanup: remove unused file SEQ_util.h.  Refactor
    modifier copying code..  Fix T84784: Time Remapping not displaying
    in the timeline.  Fix T84823: crash rendering with unconnected input
    socket in File Output node.  Object Info: Fix tooltip for the
    transform space option.  Volumes: fix calling BKE_volume_load from
    multiple threads.  Geometry Nodes - Object Info: option to apply obj
    transform to the geometry.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 28 Feb 2021 11:46:58 +0100

blender (2.91.2--release~101197-5be9ef41770-0thomas~bionic0) bionic; urgency=medium

  * Version bump: Blender v2.91.2-release.  Version: Blender v2.91.1
    release.  WindowsStore: Fix Search Bar Icon.  Fix Increment Snapping
    Without Constraints in Non-Axis-Aligned Views.  Fix T84453: Crash
    bezier curves transfrom.  Fix file-handle leak when parsing xdg user
    directories.  Fix BKE_blender_atexit_unregister error removing from
    linked list.  Fix T82952: Crash changing mesh data block and
    switching scenes.  Fix T79779: Pick shortest UV face-path ignores
    sticky setting.  Fix T83372: Point.select can be True when
    unselected.  Fix T84426: Limit dissolve ignores selection with
    custom normals.  Fix T82960: Inaccurate selection on collapsed
    outliner rows.  Fix T83801: UVEditor translation ignores "Pixel
    Coordinates" and aspect ratio.  Fix T83851: Python: operator macros
    cause a crash.  Fix T83875: Converting Proxy to override crashes
    blender..  Fix crash sliding effect sequence strips.  Fix T83361: UV
    Editor does not draw pinned selected UVs as pinned.  Fix T83296:
    Unknown actions no longer perform an undo push.  Fix T83347: Smart
    UV project crashes with wire edges.  Revert "Fix T78823: Slash in
    custom property name does not work".  Fix T83050: Crash dragging
    shared collection to master collection.  Fix T83280: Crash when
    deleting hair collision collection..  Fix T83460: Regression in snap
    for measure tool.  Fix T83352: Move with constraint showing an
    incorrect value in the header.  Fix T83161: Crash when moving ruler
    endpoints and opening or closing the toolshelf.  Fix transform snap
    mixed with incremental.  Fix T83092: Direction of rotation with View
    orientation changed in 2.91.  Fix T83020: Transform: AutoConstraint
    being confirmed without releasing the MMB.  Fix transform redo panel
    showing only the first custom orientation.  Fix T82777: Some
    transform modes using incorrect default orientation.  Fix T79356:
    Improved icons for MSIX builds.  Fix T83625: Shading attribute names
    cause compilation error..  Fix T84397: Creating and removing many
    objects very quickly causes a crash.  Fix T83084: Smart UV Project
    inverts the resulting UVs.  Fix: Update normals when switching scene
    quality.  Fix T84459: Face normals not displaying (AMD GPU).  Fix
    T84459: Wireframe not displaying with AMD GPU.  GPU: Enable HQ
    normal work around for AMD Polaris.  GPU: Add HQ normals
    workaround..  DrawManager: High quality normals for non meshes.
    Version: Blender v2.91.1 beta.  Fix T83300: constant scene
    refreshing in Cycles with empty volumes.

 -- Thomas Schiex <empnessty@gmail.com>  Thu, 21 Jan 2021 17:57:12 +0100

blender (2.91.2--release~101197-5be9ef41770-0thomas~bionic0) bionic; urgency=medium


 -- Thomas Schiex <empnessty@gmail.com>  Thu, 21 Jan 2021 17:52:40 +0100

blender (2.91.0--release~101155-b50598bc78c-0thomas~bionic0) bionic; urgency=medium

  * Docs: 2.91 release description for Linux appdata.  Versionbump:
    Blender 2.91 release.  File version bump.  Graph Editor: fix
    keyframe not activating in certain cases.  Fix T82962: Crash
    changing lattice resolution with Vertex Group.  Animation: Remove
    debug prints.  GPencil: Fix unreported assert when use select Box in
    single point strokes.  Fix T82769: remove thread local data from
    PTCacheMem.  Fix T82540: Smart UV project ignores seams.  Fix
    T82833: GreasePencil crash when changing to Vertex Color mode.  Fix
    pin icon in Properties not right-aligned after zooming.  Fix:
    Outliner hierarchy line width variations.  Fix exact boolean
    coplanar problem due to inexact transform..  Fluid: Revert changes
    from T82488.  Fix T82810: UV Editor, Crash with switching between
    single image and UDIM tile.  Fix T82586: Sculpt normals not updating
    with EEVEE enabled.  Fix T82800: Changing settings from a pie menu
    doesn't add undo steps.  Fix undo UI text containing shortcuts &
    newlines.  Fix grease pencil draw mode icon color in outliner.  Fix
    wrong grease pencil datablock icon in file browser.  Fix T82542:
    Boundary brush crash with dyntopo.  Cleanup: Fix incorrect RNA
    property label/tooltip re active NLA track..  Fix T82770: Artifacts
    when painting on generated transparent image.  Fix T82341: Warning
    in terminal during property search.  Fix T81227: Modifier menu and
    text switch places.  Fix T77561 EEVEE: Refraction BSDF is using
    world probe during glossy bake.  Fix T82637: pack UV islands fails
    with some non-manifold meshes.  BMesh: support for comparing loops
    when calculating face-groups.  BMesh: add UV face transform and
    minmax utility functions.  BLI_rect: add a float version of the
    'pad' function.  Fix T82064: Add Image Clone tool to overlay engine.
    VSE: Fix prefetch initialization sequence.  Fix T82774: NLA Sync
    Length Typo Fix.  Fix T82588: Box Select selects keyframes hidden by
    "Only Show Selected".  Fix T82042: Crash when rendering huge images.
    Fix T82703: Image not scaled when rendering.  Fix incorrect text
    size with downscaled preview.  Cycles: Fix compilation error and
    warning without OPENVDB.  Fix T81827: MacOS lines that should be
    thick are green instead.  Fix wrong collection icon in outliner
    popover.  Outliner: Collection icon color tweaks.  Fix T82673:
    Cycles crash with zero emission strength and linked emission color.
    Fix T81983: volume tiles missing in Cycles renders.  Fix T82439:
    Crash moving collections between scenes.  Fix T82519: Adding 2nd
    driver doesn't recalculate.  Fix T81271: Fix crash in BLI_gzopen on
    Windows.  Fix T82460: Color Management Curves do not update when
    Image/UV Editor is present.  Fix T82740: Drivers on movie clip
    datablock crash on file open.  Fix T81817: use-after-free when
    trying to open file from splash screen.  Fix T82736, Exact Boolean
    fail with repeated subtraction of same object..  Collections:
    Prevent setting scene collection color tag from rna.  UI: Remove
    remaining uses of old collection icon.  Fix memory leak writing PNG
    when opening the file fails.  Fix T82607: crash cancelling Cycles
    render during adaptive subdivision update.  Fix T82516: Cycles crash
    updateding animated volumes after NanoVDB.  Fix empty Cycles render
    devices panel showing in preferences on macOS.  Fix asserts when two
    (or more) SplineIK constraints have the same root.  Fluid: Removed
    clamp from force assignment.  Fix T81813: Keyframe handles don't
    follow keyframes.  Fix T82466: Library Overrides: overrides
    disappear when appending..  Sculpt: fix face set extract clicking in
    empty space.  Sculpt: use ESC key in addition to RMB to cancel
    eyedropper.  Codesign: Report codesign errors from server to worker.
    Fix T82624: Skin modifiers root bone cannot be moved.  Fix T82093:
    Sampled Colors Mismatch When Painting (Partial).  Fix T81673: Color
    picker picks up UI and Overlay.  Fix T80475, bad bevel: side vertex
    in bad plane in some cases..  Fix T82553: Outliner F2 renaming issue
    when item is out of view.  Fix 'outliner_scroll_view()' not reaching
    wanted element.  ImBuf: replace incorrect strstr use with memcmp.
    Fix: Selection not possible from outliner gutter.  Animation: More
    explicit boundary checks when setting active keyframe.  Fix T82540:
    Smart UV project ignores seams.  Fix T82555: Crash using copied
    object from Python.  Fix T65585: Knife fails when cursor away from
    the object.  Fix assert in the sculpt pen tilt code.  Fix wrong DNA
    flag for hide face sets.  Fix T78028: crash with grease pencil and
    save buffers.  Fix potential crash closing Blender with persistent
    data option enabled.  Fix T78956: banding artifacts of vertex colors
    in Cycles.  Fluid: Fix strict compiler warning.  Fix T80068: skin
    modifier not working with motion blur.  Fix T82488: Mantaflow -
    force fields have very low influence compare to 2.90.1.  Sculpt: Fix
    off-by-one error when creating bitmap for lasso gesture.  Revert
    "Fix T80742: curve bevel fails with zero length handles at end-
    point".  Fix T82495: assert with cast modifier in edit-mode.  Fix
    T81651, exact boolean modifier incorrect if operand hidden..  Fix
    T82301, exact boolean fail on cube with bump..  Fix for T78211:
    Trackpad Zoom to Mouse Position Error.  Fix for T65714: Pinch
    Zooming Crash using Mac Trackpad.  Fix T81997: Subsurf Optimal
    Display sticks after object conversion.  Fix T82251: Outliner
    Material Drag&Drop missing tree update.  Fix T82220 Missing viewport
    update after manual "HDRI Preview Size" input.  Fix T82364: Widget
    anim state not updated when deleting channel in Graph Editor.  Fix
    T82457: Python error when clicking on a tool in the viewport.  Fix
    T82407: Negative number input gives syntax error for velocities and
    accelerations.  Fix Outliner editbone selection with 'Sync
    Selection'.  Fix T81915: Draw Face Sets not working with deformed
    sculpt mesh.  Fix memory leaks in sculpt mode trimming tools.  Fix
    T82423: Replace duplicate name in keymap.  Fix T80043: missing
    Cycles displacement update when relinking output sockets.  Fluid:
    Potential fix for T74559: Adaptive Domain creates lines in smoke.
    GPU: Fix valgrind warnings about branching on uninitialized
    variables.  Fix T81752 EEVEE: Camera Motion Blur is not blending
    steps properly.  Fix T80842 Grease Pencil: Subtract mode is not
    working as expected.  Fix T82292: Set encoding for keymap export to
    UTF-8.  Fix T80742: curve bevel fails with zero length handles at
    end-point.  Fix T81136: Mesh.loop_triangles kept after applying
    modifiers.  Transform: support individual origins for "To Sphere".
    Fix T65205: "To Sphere" radius too large with proportional editing.
    Remove incorrect assert in button group code.  Fix T73126 Eevee:
    light probe baking ignores indirect bounces from SSS.  Fix T81794:
    ColorRampElement step regression.  Fix T82385 EEVEE: Alpha Clip
    shadows actually using Alpha Hashed shadows.  Fix T82197: Freestyle
    settings not visible for Workbench render engine.  Fix T82016:
    Cycles assert with empty OpenVDB volumes.  Fix T67832: Camera
    Background Images View Transform.  Fix T81775: Object Disappears
    During Texture Painting.  Modifiers: return empty mesh in case of
    error in Volume to Mesh modifier.  Fix T82393: Volume to Mesh
    modifier with sequence fails during rendering.  Fix assert on
    mouseover of blocks not using the layout system.  UI: disable add-
    object tool for 2.91.  Fix T63495: Add torus changes size each time
    when unit scale != 1.0.  PyAPI: add Struct.is_property_set(...,
    ghost) option.  Fix T49850: Detailed curves are heavily reduced.
    Update RNA to Manual mapping.  Fix T65449: Rip wire edges show error
    even when it works.  Fix T60517: "Fix Deforms" crashes for meshes
    without vgroup data.  Fix T81799: Enable use self in trimming tool
    booleans.  Fix T81842: Cloth brush not creating simulation areas for
    each tiling symmetry pass.  Fix mask extract and slice not
    preserving mesh symmetry options.  Fix mask slice to new object
    preserving the mask.  Fix T81691: Use-after-free with property
    search and hovered button.  Property Search: Fix missing update
    switching tabs after search.  macOS: find Jack framework in system
    directories.  Fix T82356: Gpencil merge freezes Blender.  Fix
    T81756: relinking multiple links to group input removes links.  GL:
    Fix default framebuffers being bound using srgb.  Fix T82074: Volume
    to Mesh normals are inverted.  Fluid: Fix crash with viewport
    display options.  Fix T81988: Surface Deform "Bind" causes vertices
    to spike.  DrawManager: Cleanup unneeded memory allocation.  Fix
    T77161: Outliner - Hiding a Collection does not gray out children
    objects.  Fix T82120: Arc miter bevel creates miters on straight
    edges.  Fix crash opening some 2.4x .blend files with drivers or NLA
    editor.  Revert "Parenting: fix return value when parenting object
    to itself".  PyAPI: set sys.executable to None when Python can't be
    found.  Fix T82089 Boolean on empty mesh with collection fails..
    Fix new boolean performance bug..  Fix T82265: GPencil interpolate
    crash when next frame was NULL.  Fix T82027, T81718: Cycles crash
    with volume animation playback.  Fix (unreported) buffer-overflow in
    new lattice code..  Fix Cycles map range node missing clamp socket.
    Parenting: fix return value when parenting object to itself.
    Outliner: use undo-group for outliner mode switching.  Object: use
    undo-group for object.switch_object.  Undo System: support for
    grouping steps with begin/end calls.  Fix outliner mode toggling
    with multi-object pose/edit mode.  Fix macOS mouse positions
    inaccuracy.  Cycles: silence unused variable warning.  Fix T82129:
    Cycles "Persistent Images" incorrectly retains scene data.  Fix Zoom
    to Mouse Position ignored when zooming out.  RNA properties subtypes
    enum: sync definitions everywhere.  CustomData color copying: use
    interpolated alpha.  Fix blend_color_interpolate_byte returning
    wrong alpha in certain case.  Fix 3D smooth-view ignoring lens when
    exiting camera view.  PyAPI: point sys.executable to the Python
    binary.  Animation: Improve labels on Snap menu in NLA & Dopesheet.
    Revert "Fix T81077 id_management test on macOS".  macOS: use -fno-
    strict-aliasing for all build types..  UI: Save Preferences Button
    Not Translating.  Fix T82149: Blender crash when using collection
    user_id remapping (python)..  Revert "PyAPI: point sys.executable to
    the Python binary".  Fix T82049: material select button now only
    works for active object.  PyAPI: point sys.executable to the Python
    binary.  GPencil: Fix unreported Fill when use boundary and Visble
    layers.  Fix T81844: Change Bone Layers fails in Pose Mode.  Fix
    T80819: Border zoom is isn't accurate in perspective view.
    BLI_rect: add resize_x/y functions.  Fix own previous commit re
    testing of `BLI_rel_path`..  Fix T81421: "Saving As..." a blend file
    with a Script node file path filled with 1023 symbols crashes
    Blender..  UI: Datatransfer modifier: set mix factor inactive when
    not in use.  Fix T82079: Missing viewport redraw changing volume
    slicing axis.  Fix: Animation, Draw active keyframe handles only
    when Bézier.  Fix T81890: Active keyframe changes on deselect of
    keyframe.  Fix T69911: Adaptive subdivision offscreen dicing does
    not work correctly if the camera is shifted.  Fix T81893: Cycles
    viewport crash changing mesh to smoke domain.  Cleanup: compiler
    warnings.  Fix custom-normal support for mesh editing operations.
    Proper, cleaner fix for T81963: Random rare crashes in override
    code..  Pose: Add a 'pose_ensure' new utils that only rebuilds if
    needed..  Fix T82077: Tools popup error in the image editor.
    LatticeDeform: Performance.  Fix T81077 id_management test on macOS.
    Fix T81963: Random rare crashes in override code..  Fix T81984:
    Crash in sculpt undo with mask extract after dyntopo toggle.  Fix
    Recursion when rendering scene strip.  Fix T81426: Infinite loop
    building VSE relations.  Fix T81250: Crash after undoing with
    prefetching.  Fix T81904: Cloth brush simulation failing with local
    area and mirror.  Fix T81999, Boolean Exact+Self Difference fails..
    Fix T81884, clamping with percent, addendum..  Fix T82019 Crash
    loading 2.78 splash demo..  GPU: Debug: Trim shader stats from
    output log.  GPU: Use CLOG to for debug output.  CLOG: Add getter to
    know if output supports coloring.  Fix Cycles unnecessary overhead
    cancelling finished task pool.  Fix T81102: Cycles crashes in
    interactive 3D viewport rendering after Embree.  Cleanup: remove
    redundant assignment in previous bugfix.  Fix use of uninitialized
    line/polygon smooth variables in GPU state.  Fix T81934:
    Painting/Sculpting in ortho fails to let strokes pass through
    clipped geometry.  RNA Manual Map: Update mappings for latest
    manual.  Fix unreported: unmatching shortcut between gp modes.  Fix
    T80165: Separate by loose parts breaks custom normals.  Fix T81969
    VSE: Wrong UI colorspace after scene strip update.  Fix T81942
    EEVEE: Reflection Plane glitch with low clip distances.  Fix T73793
    Walk navigation crosshair gets hidden behind objects.  Fix T81818:
    Outliner mode column crashes with shared object data.  Pydoc: Fix
    sphinx compile warnings about freestyle.  Fix Unreported: Missing
    box mask in sculpt.  Cleanup: Simplify outliner mode column drawing
    function.  GPencil: Fix unreported crash using layer solo mode and
    masked layers.  Fix T81909: Translation missing for some labels in
    modifier panels.  GPencil: Fix unreported mistake in material index
    for trace imagens.  Sculpt: Remove tools with missing icons
    experimental option.  Fix T81953: Python error in UV Editor Overlay
    popup.  GPU: Memory leak when scaling buffers.  Fix T81949: Child Of
    Constraint can't assign inverse matrix.  Fix animation player
    initialization.  Cleanup: remove '_' prefix from used argument.  Fix
    T81905: Active keyframe unavailable when handle selected.  Fix
    T81939: crash calling bmesh.utils.vert_separate().  Fix out of
    bounds array access in mathutils.noise.  WM: warn when event's have
    repeat set for non keyboard events.  WM: ensure is_repeat isn't set
    for mouse-move events.  DRW: Fix custom engine not being BGL safe.
    Fix T81784 BGL: Gizmo glitch when using glEnable/glDisable.  EEVEE:
    Principle BSDF: Use multi-scatter switch for the glass variant.  Fix
    T77658 EEVEE: Reflection Plane partially missing reflections.  Fix
    T81925: incorrectly skipped string copy in test_env_path.  EEVEE:
    Screen Space Reflection: Improve contact reflections.  EEVEE: Screen
    Space Raytrace: Fix unreported banding artifacts.  Fix T81896:
    Outliner missing redraw after "Set Parent (Without Inverse)".  Fix
    T81926: Sculpt: Box Mask operator (from menu and shortcut) does
    nothing.  Fix T81929: Sculpt: Mask operators missing drawing update
    on meshes with shapekeys/modifiers.  UI: Allow changing the active
    side of line gestures.  2.91 splashscreen.  Bump subversion to
    2.91.9 for bcon3 BETA.  Fix T81901: Use the 2.90 scrape brush preset
    as default.  UI: Swap order of increment and decrement file name
    icon in File Browser.  UI: Better center-align Properties search
    button in header.  UI: Move Properties path pin button next to the
    data-path.  GPencil: Fix unreported problem with strokes bounding
    box that makes impossible sculpt.  Fix 'Make Local' operation to
    support liboverrides..  UI: Fix typo in sculpt trim tool
    description.  Fix (studio-reported) Armature: bug in handling of
    custom bone transform..   Cleanup: Improve function and variable
    name.  GPencil: Sculpt 'Inverse Cursor Color' Label to "Inverse
    Color".  Fix panel type use after free when reloading scripts.  WM:
    ensure is_repeat isn't copied from the last event.  Cleanup: keep
    comment block at bottom of versioning.  Preferences: separate
    feature flags for geometry nodes and point cloud type.  Cleanup:
    Move scenes' foreach_id handling of toolsettings into own func..
    Fluid: Fix in addition to new obstacle distance parameter.  Cleanup:
    rename some functions with more relevant prefix..  Cleanup: Clang-
    tidy readability-named-parameter.  Cleanup: Clang-tidy readability-
    redundant-string-init.  Clang-tidy: disable new warnings..  Cleanup:
    early return from animation step, reduce indentation level.
    DrawManager: Adding Custom Render Passes.  Fix T81079: Switch object
    ignoring visibility settings.  Fix for T81757: Incorrect Overlay
    Line Height.  Cleanup: simplify lasso transform from 17cb2a6da0c88.
    Cleanup: avoid error prone nested switch statements (missing break).
    Fluid: Added obstacle fluid distance parameter.  UI: Add angle
    snapping to line gesture tools.  Fix error in the last commit.  UI:
    Move gesture selection with spacebar.  EEVEE: Screen Space
    Reflection: Improve self intersection cases..  EEVEE: Screen Space
    Reflection: Fix undefined behavior with invalid LOD.  Fix sculpt pen
    tilt support changing the brush strength.  Cleanup: Clang-tidy -
    readability-inconsistent-declaration-parameter-name.  Cleanup: Clang-
    tidy bugprone-redundant-branch-condition.  Cleanup: makesrna, Clang-
    tidy else-after-return-fixes..  Cleanup: Clang-tidy silence
    readability-non-const-parameter.  CMake/Windows: Compile GMP library
    as fat library.  UI:Add icon for Displacement Eraser brush.  UI: Add
    icons for line genture tools.  UI: Add icon for boundary brush.
    Ocean Modifier: allow spray maps to be baked.  Cleanup: warning on
    windows.  UI: Sculpt 'Inverse Cursor Color' Label.  UV/Image: Remove
    Legacy Drawing.  Fix T81865, T81860: CustomData Correction can fail
    on non standard names.  CMake: Compile GMP library as fat library.
    Cleanup: remove dead code.  EEVEE: ShaderToRGB alpha inversed.
    Volumes: Fix compilation when building without openVDB.  Libmv:
    Refactor camera intrinsics parameter block.  Libmv: Add generic
    class for packed intrinsics.  Libmv: Add array<type, size> to libmv
    namespace.  GLTexture: Fix Anisotropic filtering affecting the
    standard mipmap samplers.  DRW: Disable anisotropic filtering on
    utility textures.  Fix libmv test on windows.  Fix compile error.
    Fluid: Add missing versioning for new options in 'Viewport Display'
    panel.  Fix T81076: Crash on switch object operator undo.  Cleanup:
    General comment style clean up of graph_edit.c and fcurve.c.  Fix
    (unreported) install_deps: wrong version number for llvm in some
    cases..  Fix T81776: Sculpt line gestures not working with
    transformed objects.  Simulation: remove particle nodes with
    outdated design.  Volumes: simplify volumes in modifiers or on load.
    Fix T81684: node location not handled correctly.  Fix T81190: Merge
    by Distance marks edges sharp.  Cleanup: use BLI_listbase_is_single
    instead of counting.  Fix Boundary brush not working when the whole
    mesh is inside the brush radius.  Sculpt: Smooth deform type for
    Boundary Brush.  Fix missing Sculpt Overlays updates when using
    modifiers.  Sculpt: Reduce the displacement step in the cloth
    solver.  UI: In-line layout for Empty Image Transparency.  UI: Sort
    "Volume to Mesh" and "Mesh to Volume" in alphabetical order.  Fluid:
    Added domain check for new OpenVDB precision 'Mini' type.  UI:
    Simplified Categorized Menus.  UI: 3DView Popover Adjustments.
    Spelling: Apart Versus A Part.  CMake/macOS: use system OpenAL for
    the time being..  Spelling: Loose Versus Lose.  Spelling:
    Miscellaneous.  Fix build error with WITH_CYCLES_NATIVE_ONLY and AVX
    tests on macOS.  Spelling: Then Versus Than.  Spelling: It's Versus
    Its.  Fix use of uninitialized variable.  Cleanup: Use BLI string
    functions.  Cleanup: Missing parentheses around macro in versioning.
    Cmake/macOS: strictly disallow searching in frameworks.  Fix T81806:
    Cycles error when GPU device_type is NONE.  Fix T81484:
    Weight/Vertex paint with mirror and viewport clipping does not
    update stroke on initial side.  Animation: Improve labels on Snap
    menu in graph editor.  Fix libmv eigen alignment issues when
    compiling with AVX support.  Silence an unused variable warning in
    bmesh_bevel.c..  Fix (unreported) crash when unlinking a brush from
    a tool..  Fix: skip drawing input sockets that do not have a draw
    method.  Volumes: new Volume to Mesh modifier.  Cleanup: clang tidy.
    Image: Export emissive colors in 3 channel PNG images.  Cleanup:
    spelling in comments.  Fix T81167: Texture Painting with Paint mask
    enabled, (de)selecting faces causes a mess with texture slots.  Fix
    T68343: Rendered video plays at 600fps.  Fix ASAN warning after
    recent cleanup.  Fix Bevel percent mode, and clamping for it too
    (T79898)..  Fluid: Fix for issues with external forces.  Fluid: Add
    versioning for fluid particle physics type.  Fix for T81400: Block
    Width Corrections.  Fix T81800: Datablock pin not working for bones
    in pose mode.  Sculpt: Fix (unreported) assert getting trimming
    cursor depth option.  Avoid Assert in BKE_mesh_calc_loop_tangent_ex.
    Fix T81729: Cycles object color not updating for instancers.
    Cleanup: More miscellaneous code quality changes in wm directory.
    Cleanup: Declare variables where initialized in context.c.  Fix
    T81761: EEVEE enabled AO pass affects render result.  Cleanup:
    Miscellaneous improvements in wm directory.  Fix T81594: Unable to
    reassign effect inputs.  Cleanup: Reduce variable scope in screen
    directory.  Cleanup: Reduce variable scope in area.c.  UI: Tweak
    decimate modifier layout.  UI: Align related properties.  Property
    Search: Reset panel expansion when exiting search.  Cleanup: reduce
    variable scopes.  Cleanup: reduce variable scopes.  Fix misuse of
    alloc inside a loop.  Animation: Snap Cursor Value operator.
    Cleanup: Animation, split up frame jump operator.  Cleanup: clang-
    tidy.  Fix (reported by studio team) crash in relocate lib code..
    Fix T81027: Multires objects in sculpt mode can't be linked via
    collections..  Fix T81591: Align view to active is not working in
    sculpt mode.  Fix T54526: Data Transfer modifier's Max Distance
    field working strangely..  EEVEE: SSR: Fix unreported smoothstep
    instability when border factor is 0.  UI: Make node theme settings
    to conform to UI rules.  Correct last commit.  PyDoc: update to
    account for new context member.  Cleanup: remove debug printf().
    Fix T62463: unable to select anim channel for unselected node.
    Cleanup: Animation, remove unused parameters.  CMake/macOS: Search
    for headers in Frameworks last..  CMake/macOS: Restore TIFF's
    optional status..  PyAPI: unregister add-ons when exiting.  Fix
    syntax error in IC-Keymap.  RNA: support building WITH_PYTHON=OFF.
    Cleanup: remove f-string use.  Cleanup: assign variables for re-used
    context members.  Cleanup: spelling.  Windows: Fix build issue on
    windows.  Fix build error with clean builds.  Outliner: Use operator
    option to decide which item to rename.  Fix T76597: Support
    Keyframe: Copy To Selected.  Fix error in previous commit.  Cleanup:
    Refactor lookup for hovered Outliner element for renaming.  Fix
    T81675: Renaming collapsed collection in Outliner renames nested
    items.  Silence warning.  Fix T81580: No doversion for Emission
    Strength.  Fix Cloth brush grab artifacts in the affected area.  Fix
    T81743: Changed behaviour in RGB Curves node interpolation.  Fix
    brush tip delta orientation with anchored strokes.  Fix T81649:
    Cloth simulation dynamic area mode tearing the mesh.  Sculpt: Use
    mpoly flags to sync Face Sets visibility.  Fix Multires edge
    adjacency info returning wrong vertex indices.  Sculpt: Add global
    automasking settings support in filters.  Sculpt: Use cursor depth
    in trimming gestures.  Sculpt: Show paint brush cursor in all tools.
    Fix mask expand creating wrong masks when the cursor is not over the
    mesh.  Sculpt: Experimental Pen Tilt Support.  Fix T80625: Trimming
    tools not working with transformed objects.  Improve Voxel Remesher
    volume projection artifacts on sharp edges.  Fix T81697: Property
    search crash with python handlers.  UI: Add reset to default value
    to keymap.  Cleanup: Use DNA defaults for grease pencil modifiers.
    CMake/macOS: set package_ROOT for PNG, JPEG, TIFF.  Cleanup:
    Animation, simplify channel selection code.  Cleanup: Animation,
    rename function to match operator.  Fix part of T74918: 3D Viewport:
    Jump, when mouse crosses a window corner..  Cleanup: rename
    BPy_GetContext -> BPY_context_get.  Cleanup: remove duplicate
    context variable (__py_context).  Fix T80768: Subdivision Surface
    modifier uses viewport subdivision settings when rendering in edit
    mode.  Cleanup: Do not compare bool value to 0..  Fix T81520: Crash
    setting the Cycles device from Python.  PyAPI: throw exception when
    cycles is given an invalid device name.  Cleanup: defer importing
    '_cycles' in properties.py.  Cleanup: use defined sizes when
    accessing file date/time.  Cleanup: Comment formatting, grammar.
    Fluid: Add phystype to fluid particle settings.  UI: Show more
    information in open file tooltip.  Fix T81633 Workbench: TAA never
    resolve when enabling both X-Ray and cavity.  Fix T81004 Python:
    Images drawn in the Sequence Editor have wrong colors.  GL:
    FrameBuffer: Set GL_FRAMEBUFFER_SRGB if needed.  PyDocs: GPU Module:
    Examples: convert all gl_FragColor variables to FragColor.  Fix
    warning for duplicate field in DNA defaults.  Fix Asan warning in
    property editor texture tab.  UI: New option to invert search filter
    in Dopesheet.  UI: Change Invert Filter icon for UIList.  Cleanup:
    Use enum for return type.  Fix compile error in lite build after
    recent commit.  BLI_ghash_performance_test: Fix memory leaks.
    Cleanup: Use DNA defaults for fluid modifier.  Tests: use
    environment variable for leak sanitizer.  Fix T81688:
    BPY_thread_save crashes with Python 3.9.  Cleanup: reduce
    indentation level in bpy_class_validate_recursive.  Fix crash
    starting Blender with Python 3.9.  Fix T81686: Confusing add menu in
    pose mode.  Cleanup: multi-line comment blocks.  Cleanup: commented
    includes.  Fix T81511: Loop-cut overlay doesn't follow deformed
    cage.  Cleanup: spelling.  Fluid: Removed fluid levelset argument
    from pressure solve.  Fluid: Enabled OpenVDB precision argument.
    Fluid: Update Mantaflow source files.  Fixes T81670: Sculpt paint
    vertex colors brush does not switch to secondary color using CTRL.
    Sculpt: Use plasticity for softbody influence.  UI: Motion Tracking:
    Make Lens a subpanel of Camera.  Fix (unreported) LibOverride:
    possible uninitialized return variable..  Fix T81674: LibOverride:
    'Define Override' UI operation can crash..  Cleanup: Use doxygen
    sections in space_buttons.c.  Property Search: Find results in all
    tabs.  UI: Add highlight arguments to tab buttons.  UI: Monochrome
    Alert Icons not changing color until theme refresh.  EEVEE: Motion
    Blur: Add shutter position option.  Fix T80086 EEVEE: Motion Blur:
    Subframe not taken into account.  Windows/CMake:Support
    BLENDER_USER_SCRIPTS in IDE.  Cleanup: Remove unused properties from
    node Viewer Region operator.  Cycles: fix missing ShaderNode
    ownership in render_graph_finalize_test.  Cycles: Add CUDA 11 build
    support.  Fix T81672: Array modifier default merge distance is 0.1m
    (typo).  Fix T81656: Crash relocating a linked library into the
    current .blend.  Cleanup: remove redundant assignment in
    SCULPT_brush_test_init.  Fix sculpting/painting with viewport
    clipping and radial symmetry.  Fix (unreported) liboverride of an
    object hiding its dependencies..  CMake/macOS: find ZLib before
    setting CMAKE_PREFIX_PATH.  Fix (unreported) broken 'make override'
    of objects in master collection..  Cleanup: Fix typo in function
    name..  Fix T81669: Vertex size in UV Editor changes using Face Dot
    Size in themes.  Fix T81288:Select Linked fails with multi-object
    edit mode.  Cleanup: use BKE_fcurve_ prefix for keyframing bezier
    functions.  Fix T81467: Crash with KD-Tree Weld Modifier.  Fix
    T81589: Correct drag type handling in outliner.  UI: Monochrome
    Alert Icons and use the Question icon in the Quit dialog.  Cleanup:
    remove duplicate code.  UI: Remove Hard-coded Default Font Size.
    Cleanup: Rename outliner helper function.  Fix T81555: Outliner
    object state filter not updating correctly.  Animation: fix
    assertion failure on unsetting active keyframe.  Cleanup: split
    `animchan_sync_fcurve()` into smaller functions.  Animation: enforce
    that the active keyframe is always selected.  Fix T81551: Cycles
    crash updating volume with modifiers.  Fix T80599 Blender Cloud
    folder text on the screen very small.  Cleanup: CMake: Remove
    arguments from endif(..).  File Browser/macOS: Don't treat .app as
    directory.  Libmv: Remove array access from camera intrinsics.
    Libmv: Fix wrong packing order of intrinsics for BA step.  Revert
    "Fix critical lens distortion bug in libmv after rB3a7d62cd1f5e.".
    Libmv: Fix memory leak in modal solver.  Libmv: Cleanup, spelling in
    function name.  BLI: support looking up a key from a set or adding
    it when not existant.  Overlay: Fix Line antialiasing broken for
    some objects.  Cleanup: use openvdb matrices properly.  Animation:
    always try to match the existing curve when inserting keys.  Fix
    T81060: CustomData Correction sometimes breaks UVs and Vertex
    Colors.  Fluid: Use hidden symbol visibility.  Volumes: reduce step
    and default of strength in Volume Displace modifier.  Animation:
    avoid WM notification when nothing changed.  Cleanup: Animation,
    small cleanups on anim channel selection code.  Cleanup: Animation,
    split `mouse_anim_channels()` into separate functions.  Volumes: use
    bounding box diagonal to compute adaptive voxel size.  Pydoc: BGL:
    update links.  Pydoc: Fix bpy.utils submodule showing in main
    toctree.  Pydoc: Move builtin GPU shader information to code.
    Cleanup: Pydoc strings.  Pydoc: Cleanup: Rename function.  Pydoc:
    Add index and genindex to main index.  Pydoc: Remove old note about
    new module in 2.65.  Pydoc: Add submodule heading to submodule
    lists.  Pydoc: Fix duplicate totree for freestyle.  Cleanup: make
    format.  Exact Boolean: let Collection be empty..
    CMake/macOS/OpenMP: copy the library near tests..  Cleanup: use
    macro for comparing file versions.  Cleanup: spelling.  Cleanup:
    remove unused Modifier stackindex struct member.  Cleanup: remove
    unnecessary comments.  Cleanup: use C comments for descriptive text.
    CMake/macOS/OpenMP: allow use of LLVM-Clang with OpenMP..  Cleanup:
    Declare variables where initialized.  UI: Fix incorrect inactive
    status for curve properties.  Fix T81545: Moving nested collections
    changes view layer flags.  Cleanup: Declare variables where
    initialized.  Cleanup: Use LISTBASE_FOREACH macro.  Cleanup: alias:
    use const, remove unused variable..  Fix T81573: Users refcount not
    incremented when creating a proxy..  Cleanup: CMake/macOS: remove
    boost from OIIO libs..  Fix (unreported) install_deps: broken
    compilation of OIDN..  install_deps: Do not request elevated rights
    when creating directory in owned directory..  GPU: Add more
    safeguard for BGL calls.  Fix New Boolean bug that left some stray
    vertices..  BGL: fix issues with addons using BGL at startup.
    Revert "Revert "BGL: Workaround broken bgl usage caused by GPU
    refactor"".  CMake/macOS: Remove _LIBPATH, avoid link_directories..
    GPU: Fix NOT ~ operator for eGPUSamplerState.  Volumes: lower
    minimal voxel size in Mesh to Volume modifier.  BKE: improve
    calculating edges.  BKE: parallelize BKE_mesh_calc_edges.  Fix
    T81468: Missing NULL check for F-curve rna_path in versionning
    code..  UI: Fix node label overflow on high-DPI.  Cleanup: spelling.
    CleanUp: Introduce `eMeshBatchDirtyMode` enum.  Revert "CleanUp:
    Introduce `eMeshBatchDirtyMode` enum".  UI: use Ctrl-TrackPad to
    cycle values.  PyDoc: Set max width to 1000px.  Cleanup: operator
    execution types didn't read well on one line.  Cleanup: spelling.
    PyDoc: resolve duplicate module warnings.  Cleanup: use real-module
    for 'bmesh.ops'.  Cycles: fix incorrect default value for node array
    socket type.  Cycles: fix incorrect asserts in node socket set
    functions.  Fix broken compilation after adding particles DNA
    defaults..  UI: Fix opacity of the popover arrow outline.  Fix
    T80974 GPU: Wide Line emulation shader does not always works.
    T81340: UBSan: load of value .. not valid for GPU enum type.  Fix
    T81529: Can't move with constraint to a zero-size local axis.
    Cleanup: Move transform_orientations functions to separate header.
    Cleanup: Simplify transform_orientation_matrix_get.  Cleanup:
    Simplify use of 'Snapping Gears'.  Refactor CustomData interpolation
    code..  Cleanup/refactor: move init of ParticleSettings to proper
    place..  Add DNA defaults for ParticleSettings..  DNA: cleanup
    endian switching when loading file.  Revert "BGL: Workaround broken
    bgl usage caused by GPU refactor".  UI: Add icons for new sculpt
    trim tools.  Cleanup/refactor: move init of MovieClip to proper
    place..  Add DNA defaults for MovieClip..  UI: Add icons for new
    face set tools.  BGL: Workaround broken bgl usage caused by GPU
    refactor.  Cleanup/Refactor: Shapekey: Get rid of
    `BKE_key_copy_nolib()`.  CMake/macOS: Avoid passing compiler flags
    to try_compile..  Fix T79615: UI: icons and widget emboss look
    different from earlier versions.  Cleanup/refactor: move init of
    Collection to proper place..  Add DNA defaults for Collection..
    Hair: Remove warning about undo when Delete Edit.  Cleanup/refactor:
    move default init of armature to proper place..  Armature: Add
    minimal DNA defaults for bArmature..  Cleanup: remove unnecessary
    includes.  Cleanup/refactor: `BKE_libblock_alloc` -> `BKE_id_new` in
    ID creation code..  Cleanup: Remove `BKE_mask_copy_nolib()` and
    `BKE_mask_free()`..  Fluid: Fix particle helper grid export.
    Cleanup: use '_' prefix for internal bpy.ops variables.  PyAPI: use
    real modules for bpy.ops.  PyDoc: fix most of the sphinx-build
    warnings.  Cycles: fix UpdateTimeStats::clear() not resetting total
    times to zero.  PyDoc: support building without sphinx_rtd_theme.
    UI: Fix alignment in object type visibility popover.  Fix recent
    update to sphinx_doc_gen.sh.  Cleanup: use doxy sections for
    fmodifier.c.  Fix sculpt raycast function returning wrong value.
    PyDoc: Use explicit class names to refence class.  PyDoc: Render in
    text class name using class link syntax.  PyDoc: Fix typo in extern
    audaspace documentation.  PyDoc: Fix sphinx warnign from missing
    newline.  Cleanup: Remove redundant if-condition.  Fix T81480: Input
    0 to scale in redo panel resets to 1.  Cleanup: inconsistent
    parameter name.  Refactor: remove `BKE_<id_type>_copy` functions..
    Refactor `BKE_id_copy` to return the new ID pointer..  Refactor
    `BKE_id_copy_ex` to return the new ID pointer..  Volumes: new Volume
    Displace modifier.  UI: Fix Incorrect Workspace Tab Sizing.  Fix
    T81171: Show Alerts at Center in Statusbar.  Fix T81254: Incorrect
    calculation of EEVEE Transmittance Volumetrics.  UV/Image Editor:
    Overlay Popover.  Python API: add volume.grids.save(filepath) to
    save grids and metadata to disk.  Fix T81490: GPencil merge layer
    duplicated all strokes.  PyDoc: Multithread sphinx-build.  PyDoc:
    Remove workaround for slow sphinx builds.  CleanUp: DrawManager
    Balanced alloc/free of surface_per_mat cache.  CleanUp: Introduce
    `eMeshBatchDirtyMode` enum.  Fix / cleanup panel category tab
    drawing.  Fix T76595: Indicate the Active Keyframe in Graph Editor.
    Cleanup: improve integer types.  UI: Improve labels in "Convert To"
    menu.  UI: Fix capitalization in various places.  UI: Use property
    split in various pop-up dialogs.  UI: Reduce item padding in the
    gpencil edit context menus.  Fix T79184: Specular highlight turns
    object black on some studio lights.  GPU: Fix assert when using gpu
    workaround and SSS + light renderpass.  GPU: Avoid blit operation
    modifying the wrong framebuffer during restore.  Fix T81226: Crash
    opening 64bit files with endian switching.  Cleanup: Alembic, fix
    compiler warning about missing declaration.  Fix T67776:
    Animation/value keyframe slider doesn't appear in dope sheet.
    IDTypeInfo: add flag to indicate that ID has no animation data.
    Cleanup: add comment.  Refactor: Remove `BKE_XXX_localize()`, in
    favor of using regular ID copying code..  Cleanup: IDManagement:
    Localize: tweak to flags..  Fix T81330: Alembic Import ignores
    constant meshes with animated vertex colors.  UI: Hide fade inactive
    geometry overlay settings for unsupported modes.  Silence CLOG error
    about usercount of deprecated IPO IDs..  Fix T81272: Crash on
    opening old files where nodetrees had no name..  Fix T81461: Weight
    paint crash with "Vertex Groups X Symmetry" option.  UI: Add auto
    keyframing popover.  Fix T81465: Snapping to edge center doesn't
    work as expected when using axis locking.  Fix T81488: Deleting an
    Object Constraint crashes Blender.  Fluid: Enable new flood-fill
    helper function.  Fluid: Updated Mantaflow source files.  Sculpt:
    Union and Join mode for trim tools.  Fix T81218: Crash in pose mode
    using a driver on bendy bone Segment.  Batch previews: improve speed
    of preview generation..  VSE: Fix audio strips.  Cleanup: Depsgraph,
    reduce nesting of driver relations code.  BLI: escape double quotes
    in dot export.  UI messages fixes....  Fix T81459: Memory Leak
    Cycles Rendered Viewport.  Fix T81470: Buttons in closed panel
    visible during search.  API Doc Gen: Do not ignore objects file.
    UI: Changes to Viewport Display UI of Volume Object and Fluid.
    Sculpt: Remove mask datalayer after extracting the object.  Fix
    T81343: Smooth shading normals not updating with line project tool.
    Sculpt: Modify damping using the simulation factor of the cloth
    brush.  Sculpt: Preview the active side of the line gestures.  Fix
    T81380: Playback set start/endframe operators can set negative
    rendering range.  Outliner: Move collection exclude button to
    restrict columns.  Fix T81392: subdivision surface poor shading
    without limit surface.  Cleanup: Use short for properties editor tab
    list.  GPencil: Fix unreported Layer SOLO mode broken.  Transform:
    Use orientation of active object with Auto Constraint.  Cycles: Add
    NanoVDB support for rendering volumes.  Fix T80897: Complex solidify
    crash when special ngons are merged.  Fix T80893: Complex solidify
    special case with singularity.  Fix T80895: Complex solidify compare
    edges by content.  Modifiers: Use vertex group options for complex
    solidify flat faces.  Fix T80269: Match material offset in solidify
    modes.  Insert keyframes while preserving shape of curve.
    Initialize CLOG to fix crashing unit tests.  Fix Cycles OpenCL
    failing when extension string is long.  CMake: include
    DNA_modifier_defaults.h.  Fix building without OPENVDB.  Fix
    critical lens distortion bug in libmv after rB3a7d62cd1f5e..  Revert
    "Volumes: make Mesh to Volume modifier independent of object
    transforms".  Volumes: more generic way to handle different openvdb
    types.  Cleanup: remove arguments to ENDIF in CMake files.  Cleanup:
    Declare variables where initialized.  Move sequencer sources from
    blenkernel.  Fix T80397: Select Side not working correctly.  Rename
    eSpaceSeq_Proxy_RenderSize members.  Fix T80282: Playback start
    delayed with AV sync.  Cleanup: simplify tempdir_session_create.
    Correct last commit (where_is_temp refactor).  Cleanup: refactor
    where_is_temp.  Cleanup: remove outdated comment.  Preferences: use
    the users temp directory in background mode.  Cleanup: BKE_appdir
    store static values in a struct, clarify names.  Fix error in last
    commit printing NULL strings.  BKE_appdir: log details about path
    lookups.  Fix color-management ignoring the data-path command line
    value.  Cleanup: clarify names in appdir.  Cleanup: BKE_appdir left
    paths set even when not found.  Cleanup: Remove duplicated View2D
    pan polling logic.  Revert part of previous commit.  Fix compile
    error when compiling with WITH_INPUT_NDOF after View2D changes.  Fix
    error in previous commit....  Fix possible un-initialized variable
    use in UI code.  Fix issues with calling View2D zoom operators in an
    `EXEC` context.  Cleanup: Remove redundant View2D operator poll
    check.  Cleanup: Remove duplicated View2D zoom polling logic.
    Property Search: Set panel expansion when tab changes.  Cleanup: use
    BLI_path_join in appdir.c to simplify logic.  Cleanup:
    Remove/replace C standard library assert() and header usages.
    Cleanup: Remove dead code in panel logic.  Fix error in recent
    change "run UserDef versioning from readfile.c".  Cleanup: use doxy
    sections for appdir.c.  Cleanup: comments for appdir.  GPencil: Fix
    unreported wrong name for RNA setter.  Cleanup: move temp directory
    environment checks into a loop.  Fix invalid temp-dir for image-
    project on unsaved files.  Preferences: remove temp directory
    initialization for WIN32.  Cleanup: remove unused temp directory
    initialization.  Fix stack use after scope error after recent
    cleanup.  UI: Create button group if none exists.  UI: Move button
    groups from layout to block level.  Cleanup: remove unused code in
    blend file loading.  readfile: always run setup_app_data after
    updating defaults.  Cleanup: rename main preferences versioning
    function.  Cleanup: run UserDef versioning from readfile.c.
    Cleanup: centralize versioning.  Property Search: Don't use search
    color for subpanel titles.  Property Search: Differentiate search
    filtered and inactive buttons.  Fix T78503: Disabled layout portion
    passes mouse through.  Cleanup: Declare variables where initialized.
    Cleanup: Fix build error on windows.  Fix non-thread safe code in
    view layer object hash.  Cleanup: clang-format.  Cycles: Add command
    line option for overriding the compute device.  Cleanup: Use enum
    for return values in context callbacks.  Fix T81345: part four, fix
    handling of IDProperties in edit armature undo..  Fix T81345: part
    three, armature `free_data` was not handling editbones properly..
    Fix T81345, part two: crash in depsgraph when freeing COW armature..
    Fix T81345: Part one: Missing handling of ID pointers from EditBone
    IDProperties..  Cleanup: Move `EditBone` structure definition from
    `ED` to `BKE` area..  Fix T81200: Crash on certain armature select
    operators when OpenGL Depth Picking is disabled.  UI: Improve UV
    sticky select mode description.  Cleanup: Refactor
    `ed_screen_context()` to use hash lookups.  Cleanup: split up
    `ed_screen_context()` into separate functions.  Volumes: make Mesh
    to Volume modifier independent of object transforms.  Experimental
    Features: More robust way of sanitizing options.  Experimental
    Features: Sanitize missing (latest) options.  Experimental Features:
    Rename Image editor option.  CleanUp: Remove header only definition.
    Cleanup: reduce variable scopes.  Cleanup: remove redundant theme
    versioning.  Cleanup: spelling.  Fix userpref.blend using version
    from startup.blend.  License: Rename GPL2 license to match the name
    specified in copyright.txt.  Fix (unreported) assert in texture code
    when loading some old 2.74 blend file..  Cleanup: readfile for
    workspaces: NULLify non-owned data pointers..  Fix (unreported)
    design flow in how workspace's relation data are read from .blend
    file..  CleanUp: snode_group_offset -> space_node_group_offset.
    CleanUp: Renamed drawnodespace -> node_draw_space.  Fix text editor
    auto-complete refinement feature.  Fix text editor auto-complete
    mouse interaction.  Fix invalid version check in
    'project_source_info'.  Cleanup: use raw-strings for regex in
    console completion.  Cleanup: pep8 (indentation, spacing, long
    lines).  Cleanup: pep8, blank lines.  Cleanup: trailing space.
    Cleanup: compiler warnings.  Cycles: add time statistics to scene
    update.  Fix warnings in cloth brush int casts.  Cleanup: Use DNA
    defaults for cloth modifier.  Cleanup: Clang tidy fixes.  Fix
    T80873: Grab active vertex preview not working with shape keys.  Fix
    T81268: Crash when undo from Sculpt Mode to Edit Mode.  Paint:
    Ignore inbetween events for anchored strokes.  Sculpt: Cloth
    Simulation Dynamic area mode.  Cleanup: typo in comment.  Cycles:
    Fix broken 32 bit shift..  remove foreachObjectLink callback.
    Cleanup: remove trailing whitespace.  Volumes: support lower
    resolution in viewport.  Fix subdivision surface wrong for non-limit
    surface and subdivision level 1.  Cleanup: make texture coordinates
    const.  Use DNA defaults system for modifiers.  Cleanup: Remove
    unused variable.  Fix: Mesh to Volume modifier crashes when object
    is in edit mode.  Volumes: copy display settings in
    BKE_volume_new_for_eval.  Fix T81248: World nodetree action is
    linked after duplication.  Fix T81267: bad handling of usercount for
    actions duplicated with some animdata..  Fix T80395: Cycles baking
    crash when Surfaces are disabled in the view layer.  Cleanup: clang-
    format.  Fix missing UI elements for the new Brown-Conrady
    distortion model.  Fx several issues with Outliner's collection
    editing re linked/override..  Fix some inactive modifier properties
    not being editable.  Windows: workaround to make Windows Ink tablet
    API work.  macOS: support for key repeat events in keymaps.  Fix
    T81340: UBSan: addition of unsigned offset causes overflow.
    Cleanup: avoid applying offset to null pointer.  Cleanup: avoid
    member access within null pointer.  Cleanup: dna_genfile API for
    accessing struct member offsets.  Fix File Browser filtering showing
    workspaces for "Environment" category.  Fix implicit conversion from
    pointer to bool.  Cleanup: Remove unused View2D variables and
    function.  Cleanup: Reduce indentation.  Fix Cycles CUDA kernels for
    Ampere not building with CUDA 11.  Subdivision Surfaces: make uv
    smooth items consistent with new boundary smooth.  Subdivision
    Surfaces: add boundary smooth option to modifiers.  Subdivision
    Surfaces: add option disable using the limit surface.  Cycles: Fix
    usage of memory barriers in split kernel.  Tracking: Implement Brown-
    Conrady distortion model.  Cleanup: convert gforge task ID's to
    phabricator format.

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 16 Jan 2021 11:44:08 +0100

blender (2.90.1--release~98526-3e85bb34d0d-0thomas~groovy2) groovy; urgency=medium

  * Recompilation following last minute openexr update in groovy.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 28 Oct 2020 11:30:32 +0200

blender (2.90.1--release~98526-3e85bb34d0d-0thomas~groovy0) groovy; urgency=medium

  * Version: Blender 2.90.1 release.  Fix T80899: Crash on editing
    multiple UVs of multiple different objects at the same time.  Fix
    T80771: Avoid changing the visibility of loose geometry when
    entering Sculpt Mode.  Fix T80520: Tris to Quads ignores UV delimit
    option.  Fix T61985: NLA Bake exception baking pose with non-pose
    selection.  Fix invert vertex group weight miscalculation for
    modifiers.  Fix T78793, T79707: Cycles crash on macOS with older
    CPUs.  Cycles: Separate Embree device for each CPU Device..  Fix
    T80437: Auto IK Double Generates IK constraints.  Fix T80885:
    Texture paint camera project crashes after undo/redo.  Add
    versioning for 2.90 files that may have invalid mesh.  Fix OpenCL
    render error in large scenes.  Fix T80630: potential crash in volume
    grids in Eevee shaders.  Fix T80728: UV edge select splits UV's for
    lasso/box/circle select.  Fix T78392: [2.83.5, 2.90, 2.91] Crash on
    undo/ redo after changing modes..  Fix T80457: Library Override -
    Custom Property to Drive Child Particles results in Crash..  Fix
    T80694: Crash reloading scripts from the Python console.  Fix
    T80589: Translations in python scripts are missing..  Fix T62504:
    Crash accessing depsgraph from evaluated view layer.  Fix T77584:
    Edit Mode crash with shape keys created on blank mesh.  Fix T80623:
    Correct Face Attributes affecting modes not listed.  Fix T78225:
    Vertex Colors not showing in edit mode.  Fix T80372: Mantaflow Noise
    Not working with Smoke/Smoke and Fire.  Fix T79626: 2.91 Mantaflow
    crash when adaptive domain + noise are enabled.  Fix T80516: Hook
    modifier crashes without vertex group data.  Fix T71012: Cycles
    baking crash with locked-UI & background-mode.  Fix T80464: Crash
    deleting bone constraints when the armature layer is not active.
    Fix for failing constraints test.  Refactor getting constraints.
    Fix T80604: BLI_polyfill_calc exceeds stack size allocating points.
    Fix T80238: Crash adding properties to material node-trees.  Fix
    T80561: Crash when multi-mesh editing UVs with proportional editing.
    PY API doc: fix doc for new override option of properties..  Fix
    T79718: Eevee OpenVDB render error when frames miss part of the
    grids.  Fix T80332: principle volume shader not working for world in
    Eevee.  Fix T80224: Crash after duplicating and hiding vertices
    while using X Axis Mirror.  Fix T80426: Crash when deleting custom
    orientation.  Fix T79973: Re-ordering face maps messes up the names
    of other face maps.  Fix T80233: Extrude manifold can generate
    invalid geometry.  Fix T80289: GPencil Opacity modifier not working.
    Decimate Modifier: Restore vertex group factor property in UI.
    Version: Blender 2.90.1 Beta.  Fix T77900: File Browser in macOS
    fullscreen crashes.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 23 Sep 2020 22:30:32 +0200

blender (2.90.0--release~98484-0330d1af29c-1-0thomas~bionic1) bionic; urgency=medium

  * Adds embree.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 20 Sep 2020 22:40:06 +0200

blender (2.90.0--release~98484-0330d1af29c-1thomas~bionic0) bionic; urgency=medium

  * Fix T77900: File Browser in macOS fullscreen crashes.  Fix T80258:
    UILayout.prop_search() issues with datablock names.  Doversion: move
    (fix) 2.80 checks to 2.90.  Splash: new image for 2.90 by Daniel
    Bystedt.  Blender 2.90 subversion bump.  Linux: 2.90 release
    information in appdata.  Fix T80104: Crash on making material
    local..  Fix T80078: Overrides: Crash with animated IK control on
    linked armature..  Fix T80182: Curve [Edit Mode] : Can't Deselect
    Control Point with Select Box.  Fix T80149: Cycles OpenCL baking
    broken after changes to uses tiles for baking.  Fix T80135:
    Duplicate doesn't preserve active spline.  Fix T80098: Mesh deform
    doesn't update in edit mode.  Fix T79992: Error calling
    context.copy() in Properties Editor.  Fix #ifdef WITH_PARTICLE_NODES
    and WITH_HAIR_NODES mixup in rna_internal.h.  Fix T77298: Cycles
    multiple object making not working with multiple samples.  Fix
    T77359: Crash adding UV's in edit-mode with linked duplicates.  Fix
    T80016: Shape key animation is linked when duplicating object.
    Enabled workaround to solve threading issues in draw manager.
    Revert "Enabled workaround to solve threading issues in draw
    manager".  Fix T79915: crash when changing to white noise texture.
    Enabled workaround to solve threading issues in draw manager.  Fix
    T80039: Do not subdivide with Multires is mesh has no faces.  Fix
    T79819: crash with OSL trace() and getmessage() after Embree
    changes.  API Docs: Update Changelog from 2.83.  Fix T79970 EEVEE:
    Camera Animation Breaks Motion Blur (Two Steps or More).  Revert
    "Fix T77564: VSE (and compositor background) lost stereoscopy
    preview".  Fix critical bug in foreach ID looper of Scene data-
    block..  Fix T79931: Infinite loop in scene "Full Copy" in 2.90..
    Fix incorrect mask use with curves.  Fix T79935: Inonsistent
    simplify behavior when linking collection with objects in sub-
    collection..  Fix T79816: Restore scene.statistics() BPY function.
    Fix compiler error in MSVSC.  Fix T77300: Some scientific notation
    evaluation has incorrect results.  BLI_listbase: add utility macro
    for looping over lists with an index.  UI: Fix protential stray GPU
    state preventing correct drawing.  Fix T77564: VSE (and compositor
    background) lost stereoscopy preview.  Remove (ifdef) RNA for
    simulation, point cloud and particles.  No experimental feature (but
    debug ones) to work for blender beta/release.  GPUTexture: Extend
    CUBE_MAP_ARRAY_ARB proxy workaround to all Apple gpus.  Fix IDProps
    definition still being editable in liboverrides..  Fix/cleanup
    Constraint poll function in liboverride cases..  Fix T79580: Control
    Mesh Only Partially Drawn After Filling a Surface From a Cage of
    Surface Curves.  Fix T79770: Crash opening 2.83 .blend with linked
    collection containing greasepencil object in 2.91.  Fix incorrect
    pixelsize use where DPI scale was intended.  Fix T79787: orbit/zoom
    sensitivity depends on line-width.  Cleanup: expand UserDef pixel-
    size & DPI documentation.  Fix T77683: Cycles baking crash with
    motion blur enabled and no camera specified.  Cycles: Fix local
    intersections in Embree for non-instancd geometry..  Fix T79757:
    Crash on prefetch when renaming strips.  Fix T79052: Cycles new sky
    texture fails with sun size zero.  Fix T79633: ovrride apply code
    broken with RNA-defined runtime IDProps in some cases..  Fix T79823:
    Typo in cloth filter type description.  Fix popups opening in the
    wrong direction over headers.  Fix T78426: Header flips when
    changing editors.  UI: Fix type in multires modifier subpanel.  UI:
    Remove cutoff text in popovers for 2.90 release.  Fix warning when
    compiling on Linux with WITH_XR_OPENXR enabled.  Fix constant
    lighting change in VR view when rotating head.  Fix undefined
    behavior with --debug-xr.  Fix --debug-xr not outputting OpenXR
    debug prints on Windows.  Fix NULL pointer access in render engine
    reported by address sanitizer.  Fix T79769, T79768: crash tweaking
    volume settings with Cycles viewport render.  Fix/workaround
    graphics issues breaking SteamVR use with Blender.  Fix offset
    applied on top of VR landmark with no positional tracking.  Fix:
    Increase Viewport Sculpt Options panel width.  Fix (unreported)
    sculpt vertex color panel visible for all object types.  Fix T78065:
    OSL shader compilation fails on macOS.  Fix T79591: Liboverride: do
    not update overrides on missing linked data..  UI: Add sculpt cloth
    filter tool icon.  Fix T79082: Softbody self-collision does not work
    on lattices.  Preferences: correct property description for keyitem
    restore.  Fix T79743: baking still uses cage object after removal.
    Fix T79653: Change soft min frame start of cache from 1 to 0.
    Cleanup: incorrect comment wrapping.  Fix T77409: Crash showing
    vertex/face duplicators in edit-mode.  Cleanup: remove two sided
    face check.  Cleanup: use 'inst_ob' variable name for consistency.
    Cleanup: remove unused struct members from dupli-face/vert.
    Cleanup: move mesh access for dupli vert/face into shared function.
    Cleanup: pass normal as a float to dupli-vert function.  Cleanup:
    spelling, use full sentences for object_dupli.c.  Cleanup: use const
    for dupli vert/face, 'r_' prefix for return value.  UI: Fix curve
    widget fill artifacts.  Fix T79738: Double Click does not opening
    folders in File Browser.  Fix (unreported) glitch when making
    liboverride of object from IDtemplate..  CMake: clarify that the
    modules are licensed BSD 3-Clause.  Fix T79680, T79680: confusing
    viewport denoise start sample behavior.  Fix T79718: Eevee OpenVDB
    render error when frames miss part of the grids.  Fix T79706: Delta
    Transform Animation not working.  Fix T79637 Motion blur gives
    artifacts when changing the camera.  EEVEE: Motion Blur: Fix issue
    with batch overflowing with VBOs.  EEVEE: Fix dupli recursion
    constant.  EEVEE: Rework deformation motion blur.  EEVEE: Motion
    Blur: Use evaluated object as key to motion data.  LibOverride and
    modifiers: Add copying of linked modifiers..  Fix T79622: Mesh
    Filter on a locked Shape crashes.  Fix T79712: Color Changes do not
    record in Auto-Key Mode.  Fixes T77882: artifacts rendering OpenVDB
    volumes with multiple grids in Cycles.  Fix UV unwrap not working
    with only one pinned vertex.  Bump the minimum required version for
    2.90.  Cleanup: Use proper bool type and literals for operators poll
    functions..  Fix (unreported) broken Poll function of GPencile mods
    and ShaderFX operators in liboverride case..  Fix part of T79635:
    Disable by default operation on unknown mod from liboverride
    object..  Fix T79708: ShapeKey value greyed out.  Fix T79640:
    "Assign Shortcut" doesn't work for "View 2D Zoom".  Fix T79700: skin
    modifier: prevent error for vert-only mesh.  Fix T79676: Video
    Sequencer image sequence strip source path breaks when saving with
    'Remap Relative' option.  Fix T79703 EEVEE: Crash on Macos due to
    lightcache baking.  Fix T79672 EEVEE: Motion blur steps value broken
    after recent change.  Fix T79692: Full copy of scene makes Blender
    freeze if there is content directly in the master collection..  Fix
    T79563: Compositor's Stabilize 2D in invert mode does not work
    correctly.  Fix T79616: Sort by column in filebrowser is broken.
    Revert "Fix T77409: Crash showing vertex/face duplicators in edit-
    mode".  Fix T79517: Data Transfer modifier fails in edit-mode.  Fix
    mesh data-transfer tracking if a change was made.  Python: don't
    remove existing context overrides when calling an operator.  Timers:
    set first window as context in timer.  Fix memory leak setting error
    text in the data-transfer modifier.  Fix T77409: Crash showing
    vertex/face duplicators in edit-mode.  BMesh: add UV calculate
    center call.  Cleanup: use doxy sections for object_dupli.c.  Fix
    T77298: Can't bake texture with multiple objects.  Fix T79636:
    Inserting special characters with Ctrl+Alt broken on Windows.
    Cleanup: follow code style regarding braces.  Fix T79324: Crash when
    changing View Layer while VR session runs.  Fix T78113: Random
    explosions of cloth with self collision.  Fix T77847: "Add plane >
    align" causes crash when certain rigs are in the scene (2.83, fixed
    in 2.90)..  Fix pose offset on VR session start for some OpenXR
    runtimes.  Fix broken behavior on active VR Landmark change.  Fix
    T77685: object transforms from rigid body simulation are ignored by
    modifiers.  Fix T79619: Sequencer window not updating whilst playing
    animation.  Fix T79346: VSE custom proxy file is broken.  Fix T79246
    GPUShader: compile error on AWS Elastic Graphics.  Fix previous
    commit, we first need to be sure we actually get a mesh....  Fix
    T79604: Switching to edit mode on boolean object runs out of
    memory..  Fix T79201: Mantaflow: Fluid guides don't affect
    simulation..  Code Style: use "#pragma once" in intern/ghost.  Code
    Style: use "#pragma once" in source directory.  EEVEE: Render: Fix
    regression caused by previous Motion blur fix.  Fix T78452 EEVEE:
    Motion Blur: Crash when using camera switching.  Fix T78160 EEVEE:
    Motion Blur: Bug with Follow Path animation.  GPencil: Fix
    unreported wrong Polyline bottom tooltip.  Fix T79586: "rendering
    paused" not shown when viewport render starts paused.  Fix T77885:
    crash rendering grease pencil from compositor with multiple scenes.
    Fix Pose Brush FK mode detecting wrong rotation origin.  GPencil:
    Patch old files after the change in how the first frame is used.
    Cleanup: Remove bad level calls from space image.  Cleanup: Stop
    accessing gpu_batch_presets_reset().  Cycles: load OpenVDB file
    earlier in Blender export.  Move CDData debug print helper from DM
    to CustomData 'namespace'/files..  Cleanup: undeclared warnings.
    Cleanup: avoid debug-only includes for BLI_assert.h.  Fix buffer-
    overflow when drawing Curve Guide objects.  Fix T78520 EEVEE: No
    viewport update when changing material nodetree.  Fix padding when
    multi-editing aligned widgets.  Fix T79408: ungroup operation update
    animation data incorrectly.  Workaround release builds failing.  Fix
    T79309: Safe Areas are not visible.  Fix T79575: Crash loading
    nested set-scenes.  Python: include Python stack trace in the crash
    log.  Fix T78698: Move cursor stuck after removing modifier.  Fix
    T77517 EEVEE: Collection Holdout doesn't work in 2.90.  EEVEE: Fix
    previous commit.  Fix T78954 EEVEE: Motion Blur: Bug with hair
    particles on linked objects.  Fix file name sometimes not visible
    immediately after renaming.  Fix double-click not opening
    directories on some touch-pads.  Fix T77548: Crash when using Add
    Object Tool with Normal Orientation and zero objects in scene.  Fix
    T79370 EEVEE: Texture paint does not update during stroke.  Fix
    T78907: Renaming file doesn't work while mouse is over file icon.
    Workbench: Fix broken id pass.  Fix T79509 Workbench: Object color
    mode broken if more than 4096 objects.  Eevee: do not rely on the
    SOCK_HIDE_VALUE flag for node group sockets..  Fix T72297: disabled
    buttons toggling on drag.  Sculpt: Use vertices instead of faces to
    limit the grids in each PBVH node.  Fix T79524: Button alignment
    broken in some cases.  Fix T78412: Ctrl+Spacebar does not maximize
    Python console on Windows.  Fix T78869: denoising performance
    regression on Windows.  Fix T77346: GPU Workaround Always Render
    Using Main Context.  Fix T79520: Data Transfer modifier:
    crash/assert going into editmode on a source object..  GPUTexture:
    Fix missing break.  PyDoc: use glClearColor before glClear in gpu
    docs.  Fix T79374: Render audio produces random clipping.
    Audaspace: port documentation bugfix from upstream..  Fix T79544: No
    sound in video sequencer preview..  Correct recent fix for Cycles
    motion blur test.  Fix T78630: Custom icons not grayed out in
    inactive layouts.  Fix T78777: Cycles motion blur test differences
    between AVX/AVX2.  Keymap: add back Shift-K to cut-through selected
    faces.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 20 Sep 2020 12:52:26 +0200

blender (2.83.6.1--release~95706-8610c697773-0thomas~bionic0) bionic; urgency=medium

  * Blender 2.83.6 release.  Fix T80530: Crash when switching to Edit
    Mode.  Fix T80159: Custom Normals Averaging crash after clearing
    custom split normals data.  Fix crash accessing image space
    properties without an active window.  Fix T77900: File Browser in
    macOS fullscreen crashes.  Fix Outliner allowing to enter Pose Mode
    on linked armature.  Fix T80104: Crash on making material local..
    Fix T80078: Overrides: Crash with animated IK control on linked
    armature..  Add undo step to Alembic and Collada importers....  Fix
    T80135: Duplicate doesn't preserve active spline.  VR: SteamVR is
    now a supported OpenXR runtime! (Windows only).  Fix T78065: OSL
    shader compilation fails on macOS.  Fix T77683: Cycles baking crash
    with motion blur enabled and no camera specified.  BLI: fix memory
    leak in delaunay 2d.  Fix T80039: Do not subdivide with Multires is
    mesh has no faces.  Fix T80077: Objects disappear when joining with
    a zero scaled axis.  BLI_math_matrix: add invert_m4_m4_safe_ortho
    (m3 version too).  Fix T79915: crash when changing to white noise
    texture.  Fix T80012: Bevel Shader node Samples value has too low
    hardcoded limit.  Fix T77359: Crash adding UV's in edit-mode with
    linked duplicates.  Fix T79111: Cycles: Image Sequence not
    rendering.  Fix T78186: Dyntopo panel error with tools that dont
    have a brush.  Fix critical bug in foreach ID looper of Scene data-
    block..  Fix T79935: Inonsistent simplify behavior when linking
    collection with objects in sub-collection..  MEM_guardedalloc: allow
    freeing const arrays with MEM_SAFE_FREE.  GPUTexture: Extend
    CUBE_MAP_ARRAY_ARB proxy workaround to all Apple gpus.  Fix warning
    when compiling on Linux with WITH_XR_OPENXR enabled.  Fix constant
    lighting change in VR view when rotating head.  Fix/workaround
    graphics issues breaking SteamVR use with Blender.  VR: Properly
    support outputting sRGB swapchain buffers.  Fix T78038: Cycles crash
    rendering with volume object and motion blur.  Bumped version to
    blender 2.83.6 beta.  Blender 2.83.5-release.  Fix T79703 EEVEE:
    Crash on Macos due to lightcache baking.  Fix T77885: crash
    rendering grease pencil from compositor with multiple scenes.  Fix
    T79676: Video Sequencer image sequence strip source path breaks when
    saving with 'Remap Relative' option.  Fix T79324: Crash when
    changing View Layer while VR session runs.  Fix T77847: "Add plane >
    align" causes crash when certain rigs are in the scene (2.83, fixed
    in 2.90)..  Fix T79482: Triangulate quads with 'Beauty' can make
    zero area faces.  Fix crash switching render slots when there is
    only one slot.  Fix T79575: Crash loading nested set-scenes.  EEVEE:
    LightCache: Add warning if the cache cannot be saved.  Fix T78529:
    Blend file corrupted during save caused by high Cubemap Size.  Fix
    T79246 GPUShader: compile error on AWS Elastic Graphics.  Fix T79509
    Workbench: Object color mode broken if more than 4096 objects.
    Workbench: Fix broken id pass.  Fix T78884: GPencil weight paint
    crash when painting over modifier generated points.  Fix T46568: UV
    select-linked failure to de-select.  Fix usercount not decrementing
    in `gpencil_stroke_separate_exec`.  Fix T79207: Crash converting
    curve to mesh.  Fix T78730: CLOG writes/reads outside allocated
    memory..  Fix T78537: too much memory usage rendering animation with
    persistent images.  Fix T79007: Smooth brushes crasing in dyntopo.
    Fix T79158: Eevee cubemaps shows black.  Fix T79187: Outliner "Make
    Single User" crash.  Fix interface artifacts on Intel GPUs.  Fix
    T79260: Crash displaying the same mesh in two windows.  Fix T79254:
    FCurve editor crash when zooming out to limit.  Versionbump: v2.83.5-
    beta.  Versionbump: v2.83.4-release.

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 11 Sep 2020 21:06:30 +0200

blender (2.83.4--release-95647-c113af82881-0thomas~bionic0) bionic; urgency=medium

  * Versionbump: v2.83.4-release.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 12 Aug 2020 15:16:30 +0200

blender (2.83.4~1596607258-0thomas~bionic0) bionic; urgency=medium

  * Versionbump: v2.83.4-release.  Fix buildbot macOS packaging error
    after recent changes.  Fix buildbot packaging error after recent
    changes.  Buildbot: make code signing of packages optional with --
    codesign parameter.  Fix T78999: Crash when adjusting sequencer
    property.  GPencil: Fix unreported missing strokes in interpolation.
    Fix T78867: Crash related to viewing video files.  Fix T79264:
    Mantaflow Field weights cannot be animated.  Fix T79031: Batch
    Generate-Previews doesn't work anymore.  Fix T79272: Dimensions fail
    on negative scaled axis.  Fix mistake in recent fix for text editor
    overflow.  Fix T77609: Scale to Fit Text Box fails when text is too
    narrow.  Fix T77669: Copy-pasting strip twice crashes Blender.  Fix
    T78837: Prefetching can corrupt .blend files.  Fix T78358: random
    crash editing shader nodes with textures.  Fix T78920: missing
    depsgraph relation when using sound strips in VSE.  Fix View3D
    "Mirror" menu, both "Global" and "Local" items are GLOBAL.  Fix
    T78636: Crash displaying many aligned buttons.  Fix T68845: Follow
    Active Quads, divide by zero error.  Fix T78573: Crash when removing
    strips with prefetching.  Fix T78037: fresh install of blender
    2.83.0 not able to save user startup file..  Fix T78306: Weight
    Transfer Operator target mesh doesn't update when transforming
    bones..  Fix T78308: Weight Transfer Operator "Deform Pose Bones"
    destination setting doesn't work..  Fix T79180: Object disappears
    when scaled, set origin etc after applying smooth modifier..
    Version bump: Blender 2.83.4 Beta.  Version Blender 2.83.3 release.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 12 Aug 2020 15:08:34 +0200

blender (2.83.4~1596607258-0thomas~bionic0) bionic; urgency=medium

  * Versionbump: v2.83.4-release.  Fix buildbot macOS packaging error
    after recent changes.  Fix buildbot packaging error after recent
    changes.  Buildbot: make code signing of packages optional with --
    codesign parameter.  Fix T78999: Crash when adjusting sequencer
    property.  GPencil: Fix unreported missing strokes in interpolation.
    Fix T78867: Crash related to viewing video files.  Fix T79264:
    Mantaflow Field weights cannot be animated.  Fix T79031: Batch
    Generate-Previews doesn't work anymore.  Fix T79272: Dimensions fail
    on negative scaled axis.  Fix mistake in recent fix for text editor
    overflow.  Fix T77609: Scale to Fit Text Box fails when text is too
    narrow.  Fix T77669: Copy-pasting strip twice crashes Blender.  Fix
    T78837: Prefetching can corrupt .blend files.  Fix T78358: random
    crash editing shader nodes with textures.  Fix T78920: missing
    depsgraph relation when using sound strips in VSE.  Fix View3D
    "Mirror" menu, both "Global" and "Local" items are GLOBAL.  Fix
    T78636: Crash displaying many aligned buttons.  Fix T68845: Follow
    Active Quads, divide by zero error.  Fix T78573: Crash when removing
    strips with prefetching.  Fix T78037: fresh install of blender
    2.83.0 not able to save user startup file..  Fix T78306: Weight
    Transfer Operator target mesh doesn't update when transforming
    bones..  Fix T78308: Weight Transfer Operator "Deform Pose Bones"
    destination setting doesn't work..  Fix T79180: Object disappears
    when scaled, set origin etc after applying smooth modifier..
    Version bump: Blender 2.83.4 Beta.  Version Blender 2.83.3 release.
    Fix git tag warning when running make update after recent changes.
    Fix alignment/size issue on ARM/RPi architecture.  Fix T75943 EEVEE:
    Cubemaps shows black.  Fix T77455: Blender Freezes when using the 3d
    Scale Gizmo.  GPU: Apple/Nvidia Proxy check.  Fix missing GPU image
    free in background mode.  Fix T77780 Overlay: Weight colors are not
    in render in the right colorspace.  Fix T77984: Cycles OpenCL error
    rendering empty scene.  Fix T77655 Overlay: Edit mode + wire
    drawtype + infront not transparent.  Fix T76229 Overlay: Sulpt
    overlay not working if object use in-front option.  Fix T77641
    Sculpt mode performance regression in 2.83.  Fix T74024 Faces
    missing, weird faces added.  Fix error when filtering in Outliner
    "Blender File" mode with libraries.  Fix compile error in recent
    commit.  Fix T78337: Fix crash when use GPencil merge without
    materials.  EEVEE: Fix undefined behavior when using BSDF nodes
    inside volume shaders.  Fix T78134: GPencil interpolation crash.
    Fix T78042: GPencil: Strokes go missing after Interpolation from
    another layer.  Fix T77759: "Not enough texture slots!" Message lags
    computer.  Build: make update support for git tags.  Fix T78775:
    broken Embree build in make deps for 2.83.  Bumped version to
    Blender 2.83.3-beta.  Updated version Blender 2.83 Release.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 12 Aug 2020 15:07:04 +0200

blender (2.83.3-release~95622-353e5bd7493-0thomas~bionic0) bionic; urgency=medium

  * Version Blender 2.83.3 release.  Fix git tag warning when running
    make update after recent changes.  Fix alignment/size issue on
    ARM/RPi architecture.  Fix T75943 EEVEE: Cubemaps shows black.  Fix
    T77455: Blender Freezes when using the 3d Scale Gizmo.  GPU:
    Apple/Nvidia Proxy check.  Fix missing GPU image free in background
    mode.  Fix T77780 Overlay: Weight colors are not in render in the
    right colorspace.  Fix T77984: Cycles OpenCL error rendering empty
    scene.  Fix T77655 Overlay: Edit mode + wire drawtype + infront not
    transparent.  Fix T76229 Overlay: Sulpt overlay not working if
    object use in-front option.  Fix T77641 Sculpt mode performance
    regression in 2.83.  Fix T74024 Faces missing, weird faces added.
    Fix error when filtering in Outliner "Blender File" mode with
    libraries.  Fix compile error in recent commit.  Fix T78337: Fix
    crash when use GPencil merge without materials.  EEVEE: Fix
    undefined behavior when using BSDF nodes inside volume shaders.  Fix
    T78134: GPencil interpolation crash.  Fix T78042: GPencil: Strokes
    go missing after Interpolation from another layer.  Fix T77759: "Not
    enough texture slots!" Message lags computer.  Build: make update
    support for git tags.  Fix T78775: broken Embree build in make deps
    for 2.83.  Bumped version to Blender 2.83.3-beta.  Updated version
    Blender 2.83 Release.  Fix T77095: fix Cycles performance regression
    with AMD RX cards.  Fix T77734: random crash when rendering
    animation.  Fix T66934 Overlay: "Outline Selected" overlay doesnt
    affect armatures.  Fix: Crash when closing window while Outliner
    shows screens.  Fix T77328: Crash on undo Draw Face Sets stroke with
    dyntopo active.  Fix random crash in Cycles smoke volume loading.
    UV Editor: Fix Vertex Overlay color not being color managed.  Fix
    T77754: Crash after any alembic import undo in an empty scene.  Fix
    T77712: Crash on proxied rig, custom bone shape, driver targeting
    rig.  Fix T77830: Crash in VR session when opening  material
    preview.  Fix memory leak calculating deform modifiers in edit-mode.
    Fix T77913: Incorrect handling of negative-scale bit in
    DRWResourceHandle.  Fix T78112: VSE Sequencer/Preview crash after
    fullscreen.  Fix T67358: Compositor Disabled Node Config ->
    SegFault.  Fix T77460: Easy to create cyclic dependencies in
    collections and crash Blender..  Fix crash when opening some
    old/broken .blend files after recent fix..  Fix (unreported)
    critical mistake in Collection liblink code in readfile.c..  Fix
    T78172: Undo crash due to IDTemplate operations missing undo push..
    Bumped version o blender v2.83.2-beta.  Revert "Fix T77460: Easy to
    create cyclic dependencies in collections and crash Blender.".

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 24 Jul 2020 20:41:40 +0200

blender (2.83.2-release~95599-239fbf7d936~1594273814-0thomas~trusty0) bionic; urgency=medium

  * Updated version Blender 2.83 Release.  Fix T77095: fix Cycles
    performance regression with AMD RX cards.  Fix T77734: random crash
    when rendering animation.  Fix T66934 Overlay: "Outline Selected"
    overlay doesnt affect armatures.  Fix: Crash when closing window
    while Outliner shows screens.  Fix T77328: Crash on undo Draw Face
    Sets stroke with dyntopo active.  Fix random crash in Cycles smoke
    volume loading.  UV Editor: Fix Vertex Overlay color not being color
    managed.  Fix T77754: Crash after any alembic import undo in an
    empty scene.  Fix T77712: Crash on proxied rig, custom bone shape,
    driver targeting rig.  Fix T77830: Crash in VR session when opening
    material preview.  Fix memory leak calculating deform modifiers in
    edit-mode.  Fix T77913: Incorrect handling of negative-scale bit in
    DRWResourceHandle.  Fix T78112: VSE Sequencer/Preview crash after
    fullscreen.  Fix T67358: Compositor Disabled Node Config ->
    SegFault.  Fix T77460: Easy to create cyclic dependencies in
    collections and crash Blender..  Fix crash when opening some
    old/broken .blend files after recent fix..  Fix (unreported)
    critical mistake in Collection liblink code in readfile.c..  Fix
    T78172: Undo crash due to IDTemplate operations missing undo push..
    Bumped version o blender v2.83.2-beta.  Revert "Fix T77460: Easy to
    create cyclic dependencies in collections and crash Blender.".
    Revert "Fix (unreported) critical mistake in Collection liblink code
    in readfile.c.".  Fix T77774: New undo code broken by 'make local'
    behavior..  Revert "Fix T77774: New undo code broken by 'make local'
    behavior.".  Fix T66786: Audio SDL: Video editor Sound muted without
    muting it.  Fix T77803: IK Degrees of freedom drawing glitch.  Fix
    T77803: IK Degrees of freedom drawing glitch.  Fix (unreported)
    wrong size of UserPreferences' `dupflag` parameter..  Fix T77915:
    Cycles OSL microfacet closure not working in custom shaders.
    Cycles: Refactor microfacet BSDFs to remove separate anisotropy
    code.  GPencil: Fix unreported Vertex Opacity Overlay not working.
    Fix T75414: Incorrect masking in Color Balance modifier.  Fix
    T76767: Cycles performance regression with CLI renders.  Fix T77460:
    Easy to create cyclic dependencies in collections and crash
    Blender..  Fix (unreported) critical mistake in Collection liblink
    code in readfile.c..  Fix T77853: Error reloading linked library..
    Fix T77774: New undo code broken by 'make local' behavior..  Fix
    missing hinting information in default font.  Fix missing hinting
    information in monospace font.  Fix for T77095: work around render
    artifacts with AMD Radeon RX 4xx and 5xx.  Bumped blender version to
    2.83.1.  Bumped file subversion to 19.  Fix T77657: NVIDIA Quadro
    FX4800 crash on startup.  GPencil: Improve viewlayer masking check.
    Fix T77148: Crash changing multiple values for sequencer strips.
    Fix T77047: Dyntopo Sample detail size on hidden mesh causes crash.
    Fix T74101: File Browser in macOS fullscreen crashes or makes
    windows unusable.  Fix T77504: Operator search gives wrong results.
    Fix T76894: Disable clipping region selection in material/rendered
    mode.  Fix T72936: Incorrect gizmo orientation with inherit rotation
    disabled.  Fix menu operator/search clipping the last character.
    Fix T77603: OSL parser fails when script ends with comment without
    newline.  Fix crash running "Edit Voxel Size" operator outside of a
    main 3D View region.  Buildbot: Cleanup, remove unused script and
    change naming.  Buildbot: Support multiple workers talking to single
    codesign server.  Buildbot: Don't use builder name in the build
    directory.  GPencil: Fix unreported error in Dots Strokes material
    initialization.  GPencil: Fix unreported Shift+F OPacity key not
    working.  Calculate epsilon values for interp_weights_poly to
    improve accuracy.  Fix T76273 Glitches caused by glCopyImageSubData
    on windows + intel gpu.  Fix T77358: Gpencil can't select geometry
    within transparent layers.  Fix T77520: GPencil viewlayer filter
    produce crash with masking layers.  Fix T77164: scaling/rotation
    fails for 3 selected NURB points.  Fix T77156: GPencil view layer
    filter by layer not working.  Fix T77456: Broken vertex paint undo
    on high-poly objects..  Fix T77448: Camera Solver constraint can't
    be converted to f-curve.  Fix T77367: Blender's snap package ignores
    command line options.  Linux: update appdata for 2.83 release.  Fix
    build error for Cycles standalone.  Remove trailing space.

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 18 Jul 2020 17:26:06 +0200

blender (2.83.1-release~95579-8289fc688b3~-0thomas~trusty0) trusty; urgency=medium

  * Revert "Fix T77460: Easy to create cyclic dependencies in
    collections and crash Blender.".  Revert "Fix (unreported) critical
    mistake in Collection liblink code in readfile.c.".  Fix T77774: New
    undo code broken by 'make local' behavior..  Revert "Fix T77774: New
    undo code broken by 'make local' behavior.".  Fix T66786: Audio SDL:
    Video editor Sound muted without muting it.  Fix T77803: IK Degrees
    of freedom drawing glitch.  Fix T77803: IK Degrees of freedom
    drawing glitch.  Fix (unreported) wrong size of UserPreferences'
    `dupflag` parameter..  Fix T77915: Cycles OSL microfacet closure not
    working in custom shaders.  Cycles: Refactor microfacet BSDFs to
    remove separate anisotropy code.  GPencil: Fix unreported Vertex
    Opacity Overlay not working.  Fix T75414: Incorrect masking in Color
    Balance modifier.  Fix T76767: Cycles performance regression with
    CLI renders.  Fix T77460: Easy to create cyclic dependencies in
    collections and crash Blender..  Fix (unreported) critical mistake
    in Collection liblink code in readfile.c..  Fix T77853: Error
    reloading linked library..  Fix T77774: New undo code broken by
    'make local' behavior..  Fix missing hinting information in default
    font.  Fix missing hinting information in monospace font.  Fix for
    T77095: work around render artifacts with AMD Radeon RX 4xx and 5xx.
    Bumped blender version to 2.83.1.  Bumped file subversion to 19.
    Fix T77657: NVIDIA Quadro FX4800 crash on startup.  GPencil: Improve
    viewlayer masking check.  Fix T77148: Crash changing multiple values
    for sequencer strips.  Fix T77047: Dyntopo Sample detail size on
    hidden mesh causes crash.  Fix T74101: File Browser in macOS
    fullscreen crashes or makes windows unusable.  Fix T77504: Operator
    search gives wrong results.  Fix T76894: Disable clipping region
    selection in material/rendered mode.  Fix T72936: Incorrect gizmo
    orientation with inherit rotation disabled.  Fix menu
    operator/search clipping the last character.  Fix T77603: OSL parser
    fails when script ends with comment without newline.  Fix crash
    running "Edit Voxel Size" operator outside of a main 3D View region.
    Buildbot: Cleanup, remove unused script and change naming.
    Buildbot: Support multiple workers talking to single codesign
    server.  Buildbot: Don't use builder name in the build directory.
    GPencil: Fix unreported error in Dots Strokes material
    initialization.  GPencil: Fix unreported Shift+F OPacity key not
    working.  Calculate epsilon values for interp_weights_poly to
    improve accuracy.  Fix T76273 Glitches caused by glCopyImageSubData
    on windows + intel gpu.  Fix T77358: Gpencil can't select geometry
    within transparent layers.  Fix T77520: GPencil viewlayer filter
    produce crash with masking layers.  Fix T77164: scaling/rotation
    fails for 3 selected NURB points.  Fix T77156: GPencil view layer
    filter by layer not working.  Fix T77456: Broken vertex paint undo
    on high-poly objects..  Fix T77448: Camera Solver constraint can't
    be converted to f-curve.  Fix T77367: Blender's snap package ignores
    command line options.  Linux: update appdata for 2.83 release.  Fix
    build error for Cycles standalone.  Remove trailing space.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 08 Jul 2020 22:47:06 +0200

blender (2.83--release~95530-211b6c29f77-0thomas~bionic2) bionic; urgency=medium

  * Remove trailing space.  Ensure submodules are at correct commits for
    2.83.  Move 2.83 from beta to release.  Splash: new image for 2.83
    by Ian Hubert.  UI: Fix T77173: Report Background Colors for 2.83
    Release.  Revert "Fix T63588: Cycles unnecessarily updates
    background importance sampling map".  Revert "Fix T67577: Add-on
    unregister can't access preferences on factory reset".  Fix T66967:
    skin modifier crash scaling skin radius to zero.  Fix T76533: Gizmo
    uses active face center in edge selection mode.  Cleanup: use C++'s
    nullptr instead of our own C NULL define, in C++ code..  Fix T77192:
    Crash when opening bunny.blend file..  Fix T72088: Missing header
    redraw when transform changes snap.  Cleanup: code comments for mode
    switching.  Fix build error in Cycles standalone without guarded
    allocator.  Fix T77106: Cycles crash baking with AO shader node.
    Fix py api doc gen script after recent versionning changes..  Fix
    T77217: Object mode toggle doesn't work.  Fix T77241: NDOF
    navigation doesn't work with the knife tool.  Fix T67577: Add-on
    unregister can't access preferences on factory reset.  Cleanup:
    warnings.  GPencil: Fix unreported wrong Sculpt brushes
    initialization in Templates.  EEVEE: Fix memory leak when using SSS
    render pass..  Blender: change bugfix release versioning from a/b/c
    to .1/.2/.3.  Fix T77130: Visually broken/stepped wireframe in
    object mode (regression).  GPencil: Reduce aliasing for subpixel
    lines.  Fix T77109: Cycles viewport render crash after object add
    and undo.  Fix T75096: Crash when using liquid simulation as dynamic
    paint brush.  Fix T76947: Optix realtime denoiser progressively
    reduces brightness of very bright objects.  Fix T77105: Crashes when
    clicking "new scene" button.  Fix: A few missing outliner selection
    sync tags.  Fix Cloth Brush grab deformation mode.  Fix Pose Brush
    origin position with large brush size.  Fix naming in the PBVH
    neighbor iterator macro.  Fix PBVH API returning wrong normal when
    using shape keys and modifiers.  Fix T77021: Alembic export of
    animated mesh with multiple UV maps fails.  Fix T77074: Collections:
    Exclude From ViewLayer toggle crashes.  Fix overlapping tabs
    placement when used in right Top-bar split.  Fix T77082:
    Greasepencil error accessing material dropdown on an object without
    materials.  Fix T77049: VSE Image cache is not refreshed when strip
    are muted/ unmuted in metastrip.  Fix T77075: Crash omitting
    optional UILayout.template_ID_tabs parameter.  Fix T68209: Crash
    opening pre 2.8 file with maximized area.  Fix T77067: GPencil
    Object without materials cannot use Vertex Color mode.  Fix T76926:
    Crash with Full Screen file browser window preference.  Fix T76902:
    face sets checkbox broken.  Fix T76970: Unneccessary update calls
    viewport.  DRW: Selection: Extend small object selection workaround
    to all overlays.  Fix T72121: Measurements are being drawn
    incorrectly if one end is off screen.  Fix T77009: texture baking
    crash on Windows.  Cleanup wrong format specifier in a debug
    printf..  Fix T76925: more Cycles OpenCL compile errors with some
    drivers on Linux.  Fix T76267: Stencil texture with negative scale
    dissapears after clicking Image Aspect.  UI: Fix T76918: 3D Mouse
    Inconsistent / Inaccessible UI.  Revert "UI: View3D Cursor Changes".
    VR: Fix big performance bottleneck for simple scenes.  Fix T76941:
    "Set Inverse" in Child Of constraint broken with armatures.
    Cleanup: ID makelocal code: remove useless and confusing debug
    code..  Fix T76997: bad handling of embedded IDs in partial append..
    Fix autokeyframing masks not updating properly.  Tests: correct the
    blender path for non-portable installations.  GTest:
    BLI_ghash_performance_test was failing.  Fix T76990: Crash shortest
    path select with 'face stepping' when no faces..  Fix T76897: Lamp
    Power Not Updating from Driver.  Fix crash when converting BMesh to
    Mesh with shape keys.  Fix T77031: Blender as pymodule crashes when
    rendering.  Cleanup: make format.  CMake: disable WITH_USD with
    blender_lite configurations.  Fix(unreported): Crash on prefetching
    while transforming strip..  Fix T77003: GPencil Paint presets not
    initializated.  Fix T76578: Show bone visibility driver in outliner.
    GPencil: Fix unreported Noise modifier does not work in axis aligned
    strokes.

 -- Thomas Schiex <empnessty@gmail.com>  Tue, 23 Jun 2020 23:59:55 +0200

blender (2.83--release~95530-211b6c29f77-0thomas~bionic0) bionic; urgency=medium

  * Upgraded to official 2.83 release.

 -- Thomas Schiex <empnessty@gmail.com>  Wed, 03 Jun 2020 22:05:09 +0200

blender (2.83-17-beta~95461-b4613e0bca9-0thomas~bionic0) bionic; urgency=medium

  * GPencil: Fix unreported Noise modifier does not work in axis aligned
    strokes.  Cleanup: silence deprecation warnings of Carbon Finder
    Favorites items.  Fix T76925: Cycles OpenCL compile error with some
    drivers on Linux.  Fix T74443: No render in VP9 lossless mode.  Fix
    T76960: fluid baking operators not working with pinned object.  Fix
    T73115: In Front Drawing Bone Envelope Distance.  UV: remove "UV
    Local View" for UV editing.  Fix T73726: Workbench Closest
    Interpolation Artifacts.  Fix (unreported): prefetching wastes
    resources when end frame is reached.  Fix (unreported): Don't
    restart prefetching during rendering..  Fix T76774: Crash on
    prefetching sequences from another scene..  Fix T64277: Inverted
    Wheelmouse.  Fix Python console cursor height.  Docs: note that the
    color-ramp uses image alpha.  Fix T73568: Vertex selection fails in
    weight-paint mode.  Fix T76922: Meta-balls created twice the
    specified size.  Cleanup: spelling.  Cleanup: excess blank lines and
    parenthesis.  Cleanup: quiet uninitialized warning.  Cleanup: add
    doxy sections for event queue handling.  Cleanup: add asserts for
    textview drawing.  Overlay: Wireframe: Add visualization for Hairs
    in wireframe mode.  Fix T76916: Cycles missing deform motion blur
    for shape key + subdiv modifier.  Fix T76909 GPencil: Layers with
    mask(s) invisible when using "in front".  UI: Fix Wideline AA for
    timeline.  Fix T75197: Eevee does not render instanced smoke.
    Cycles: Fix rendering instanced smoke domain..  Fix T73979: Wrong
    location of fluid mesh when domain origin is not in center.  Fluid:
    Fix for non-moving liquid particles.  Fix T70948: Library Override:
    Parenting library override objects does not save offset from
    parent..  Fix T75457: Toggle brushes using same hotkey twice is
    broken.  Fix T76794: Number button cursor overrides eyedropper
    cursor.  Fix color picker being used for non-color buttons such as
    rotation.  Fix T76883: Zero users scenes after undo..  Fix T74298:
    Incorrect cursor position in Python console.  Fix the current
    pixelsize impacting thumbnails.  Correct invalid limits in last
    commit.  Fix T75977: Lower the merge limit in the bisect/mirror
    operation in symmetrize.  Cleanup: compiler warning.  Fix Cycles
    viewport render fully restarting after undo.  Fix T76858: non-thread
    safe sculpt memory allocation when using --debug-memory.  Fix PBVH
    parallel range not initializing user data correctly in some cases.
    Fix unnecessary buffer reallocation in sculpt mode, causing an
    assert.  Fix T75383:Bevel weird behaviour when using bevel weights.
    UI: Make timeline vertical bars thickness work on OSX.  GPU: Attempt
    to fix Crash on startup with Intel HD Graphics 620/630.  Fix T76080
    Workbench: Background Glitches caused by Screen Cavity effect.  Fix
    T73594: Scale Cage sometimes has incorrect center in edit mode.  Fix
    T66916 UI: Wrong information in Status bar after cancelling a
    render.  Fix T76812: [Mantaflow] Inflow particles not continuous.
    Fluid: Updated Mantaflow source files.  Fix T76564 Curve: Missing
    orco cause mesh to not render.  Fix T73847 Overlay: Camera
    orthographic scale moves background image.  Clarify autokeyframe
    tootip.  Fix: build error due to missing definitions.  Fix T74577:
    world_to_camera_view broken for off-axis projection.  Fix T76697:
    [Mantaflow] mesh generation does not account for some particles.
    Fix T72889: Cycles camera motion blur not usng more than 2 steps.
    Animation: Make dopesheet filter labels consistent.  Fix T76375:
    UDIM Rectangular Tiled Image EEVEE freezes Blender.  Fix T76881:
    Changing "Use Speed Vectors" deletes all existing cache.  Fix build
    error after 30cbbccc6002.  Fix T76694: Fluid cache is deleted when
    changing Upres Factor.  Fix (unreported) UV shadow not drawing
    smooth.  Fix T75694: Compositor Backdrop boundbox missing updates.
    Fix T76541: OpenGl Depth Picking not selecting frontmost object.
    Fix T76717: Set Rotation Mode Incorrectly Recalculates Bone Rotation
    In Pose Mode.  Fix Frame Dropping not dropping the correct amount of
    frames.  Made pose push/relax to breakdown behave smooth on
    rotations.  Fix T72729: Mask Modifier Loose Edges Not Shown.  Fix
    T76865: Vertex paint draws hidden but cannot be painted onto.
    CMake: Enable WITH_USD by default.  Fix T76689: Armature layers not
    indicating the existence of bones.  Fix T76780: Freestyle pass for
    one scene not accessible in compositor in other scenes.  Fix T73169:
    Side by Side Stereo Rendering Glitches.  Cleanup: Creator Args
    Spelling.  Fix T76821: Generalize Use Flow Tooltip.  Fix switching
    to particle edit-mode from editmode.  Fix T76859: Cannot switch from
    editmode to texturepaint mode.  Fix sculpt mask interpolation in
    subdivisions.  Fix T76397: Missing value property on Clear Mask pie
    menu.  Fix: T71040 / T58983 Ocean Modifier crashes at high
    resolutions.  Fix invalid bit shift when GPU shader attribute is not
    found.  Fix NULL pointer access reported by ASAN (harmless in
    practice but still weak).  Fix potential crash due to dyntopo GPU
    buffer invalid memory access.  Outliner: Fix (unreported) more data-
    changing operators missing undo..  Fix part of T76544: dyntopo
    sculpt undo stack memory leak.  Fix T76814: [Mantaflow] Surface
    Tension always works.  Fix T76795: Missing node tree update after
    remove-on-cancel.  Fix T76851: GPencil brush is reset after change
    mode.  Fix T76730 DRW: Sorting of empty shading groups..  Fix T76828
    Grease Pencil: Toggle Caps doesn't work.  Cleanup: GPencil: Fix
    float double promotion.  Fix T76799: Crash from undoing the copy-
    pasting of multiple data blocks..  Fix T76593: Coordinate limit of
    10,000 units.  Fix T75292: File-select events not handled while
    modal handler is active.  Fix T76852: Breakdowner remembers limits
    last used.  Fix T76573: Make links with Multires leading to crash.
    Fix T76849: Duplicate templates show in the New menu.  Cleanup:
    unused warning in last commit.  Cleanup: remove NULL checks from
    object mode switching take #2.  Revert "Cleanup: remove redundant
    active object NULL check & poll".  Fix error mixing incompatible
    enums when generating the proxy name.  Cleanup: quiet enum
    conversion warning.  Fix T76734: Changing Envelope FModifier
    controlpoints missing update.  Fix T76698: Movie clip stabilize
    display ignore footage colorspace settings.  Fix T76277: Remove
    wrong cast in rna_NodeTree_update.  Fix embedded IDs not being
    enough/properly initialized..  Cleanup: rename readfile utils
    dealing with embedded IDs to proper name..  GPencil: Fix unreported
    missing Sculpt/Vertex/Weight paint brushes.  Cleanup: clang format.
    Fix T76755: texture paint on udims crash.  Fix T76563: Transforming
    an auto-aligned point won't set it aligned.  Fix T76710: objects get
    lost in linked/overridden collections.  Fix T76695: Not exporting
    normals properly in Alembic format.  Fix T76778: Dopesheet "Show
    Errors" affects timeline.  Fix T76740: Static Override - Library
    Override Crash.  Fix T76738: Duplicate brushes cause assertion on
    undo.  Fix duplicate ID's being created when appending/linking.  Fix
    error versioning paint-slots pre-2.80.  Cleanup: don't check flags
    as booleans.  GPencil: Add licence text at header.  Fix T76476
    EEVEE: Invalid Vector to Float conversion for nodegroups.  GPencil:
    Fix unreported problem filling textured strokes.  Fix T63588: Cycles
    unnecessarily updates background importance sampling map.  Fix
    T76168 Workbench: Shadows behind a culled backface are inverted.
    Fix T73984: unnecessary Cycles viewport updates with object texture
    coordinates.  Update RNA Manual References after camera fix.
    Sculpt: Render Face Sets always as flat shading.  GPencil: Changes
    in 2D template.  Fix T76150: Viewport Axes not toggling correctly
    when 'Floor' and 'Grid' are turned off.  UI: Fix Unreported missing
    background for azone arrow.  Fix T76413 Gizmos: Trackball's
    preselection highlighting is too bright.  Fix T76126 Overlay: Glitch
    when hiding Nurb vertices.  Fix --debug-cycles printing CUDA devices
    twice.  Cleanup: Remove unused variable.  Fix T73286: Projection
    Painting Dense Mesh Bleed.  Fix T76558: Decreasing Viewport Anti-
    Aliasing Samples Makes Scene Whiter.  Fix T76729: Particle Hair Get
    Occluded by Overlays.  Cleanup: Remove uneeded loop.  Fix T75908:
    Sculpt GPU Batches + Render Artifacts.  Cleanup: don't use
    deprecated exception specifications.  Fix T76732: Error detecting
    modifier key clicks.  WM: include previous value, type in event
    printing.  Cleanup: sync clang-format with master.  Fix undo-push
    assert for some modes with zero undo steps.  Fix sculpt/paint
    missing undo-step limiting.  Cleanup: move assignment out of loop.
    Fix T59954: View all Sequences doesn't show all sequences.  Fix
    T52782: crash rendering more virtual parent particles than children.
    Fix T59089: --engine command line option does not affect 3D viewport
    render.  Fix T75071: rendering fails when all render layers
    disabled, but using compositor.  Fix T66005: crash deleting render
    slot while rendering to it.  Fix T75715: crash rendering animation
    with persistent images.  Fix T76388: Freestyle not respecting Show
    Emitter settings.  Revert "GPencil: Add new X-Ray option for Canvas
    Grid".  Revert "GPencil: Change tooltip".  GPencil: Change tooltip.
    GPencil: Add new X-Ray option for Canvas Grid.  Fix T75365: memory
    leak when writing PNG fails due to lack of disk space.  Fix wrong
    Volume object step size tooltip.  Fix T76556: Apply parenting when
    joining parent into object.  Fix T75574: Instant crash: averaging
    custom normals on model..  Fix T76711: override data-blocks could be
    renamed in the outliner.  Fix extra undo step when switching object
    modes.  Cleanup: remove redundant active object NULL check & poll.
    Cleanup: unused arg.  Fix T65426: GPencil mirror modifier doesn't
    work as expected.  Fix T76665: Wrong files selected when using box
    select.  Fix T76703: GPencil bone parenting missing dependency
    update.  Fix T76646: Crash when changing Size in Add Cube pop-up in
    some cases..  Fix zero tablet pressure for simulated events.  Fix
    crash accessing the clipboard.  PyAPI: support PyGetSetDef when
    extending RNA types.  Cleanup: split RNA type extension methods into
    it's own API.  Cleanup: warning.  Fix T76488: fix mask extract poll
    function.  Fix T75347: Update cloth brushes in versioning with a
    valid mass value.  Fix T76306: Disable use creases when there is
    displacement data.  Fix T75968: PBVH raycast returns wrong active
    vertex.  Fix T76320: Thread race condition on undo with prefetching
    enabled.  Fix T70612: Sequencer Crash on enabling Prefetch.  Fix
    T74012: missing fluid simulation domain panels in workbench.  Fix
    T72920: Snap package fails to play audio and blocks audio in other
    apps.  Fix T76535: Eevee + Freestyle render crash with many strokes.
    Fix incorrect assert in Cycles node socket get/set functions.  Fix
    CMake using different OpenEXR / USD includes and libraries in some
    cases.  Fix missing standard OpenColorIO roles, as reported by
    ociocheck.  Fix T76113 GPU: Crash closing file browsers with AMD
    GPUs.  GPencil: Add new parameter for SMAA threshold.  Fix T74694:
    Sculpt Mask Influences Weight/Vertex Paint Drawing.  Fix T76053:
    Rigid Body properties disappears after deleting rigid body
    constraint object and undoing..  Multires: Correct NULL-pointer
    check.  Fix T76132: Can't import Alembic with changing UVs.  Fix
    T76132: Can't export Alembic with changing UVs.  Fix T76669: Crash
    when doing right click on channel.  Fix T76507: Reading clipboard
    blocks keyboard input on X11.  Cleanup: tag unused function.  Fix
    T76514: Invalid geometry in Alembic crashes Blender.  Fix T74818:
    improve tooltip for initial fluid velocity.  Fix T75492: Only
    positive shrink factor values can be animated.  Fix T75889: Cannot
    bake mantaflow via Python API.  Fluid: remove special treatment for
    running Python code on windows.  Cleanup: Remove print statement.
    Fix T73973: GPencil Fill fails when zoom the image.  GPencil:
    Cleanup wrong ID delete.  Fix T75556: Select Emitter Object via
    Hair.  Fix T71882: Offset Edge Slide doesn't switch selection mode.
    Fix EDBM_selectmode_disable_multi_ex return value.  UI: add offset
    edge slide to edge menu.  Cleanup: remove DNA_screen_types.h, use
    struct qualifier.  API Docs: Fix broken url markup.  Fix mathutils
    box_pack_2d docstring.  Fix (unreported) greasepencil crash calling
    transform_fill from outside 3DView.  Fix T76538: Prevent nodesocket
    creation on certain nodes.  Overlay: Replace depth blitting by
    GPU_texture_copy.  Fix T76216 Workbench: Glicht when switching from
    quad views to normal view.  DRW: Fix debug performance stats.  Fix
    T76559: Crash after deleting material leaves invalid pointer in node
    editor..  Fix T76621: UILayout.prop_search() broken for data-block
    names.  Fix T74713: Unpredictable active texture node for Workbench.
    Fix T76512: Sculpt mode: crash when applying base.  Fix T76642:
    Incorrect behavior limiting undo steps.  Fix T76598: GPencil - Set a
    lower limit for Thickness modifier.  UI: apply vertical tool-tip
    offset in pixel-space.  Cleanup: unused arg, clang-format.  Fix
    T75998: Precision of 'Unit Scale' and 'Grid Scale' are mismatched.
    Fix T36263: Pasted strip doesnt have F-Curve keyframes from the
    original.  Fix T71300: Crash on rendering scene recursively from
    sequencer.  Fix T65012: Update depsgraph for matcap flipping.  Fix
    T76484: Infinite event handling when loading with load_ui=False.
    Fix T76324: face set operators not working from Python console by
    default.  Fix T76471: timer not removed after changing file browser
    to another type.  Fix T76525: crash drawing metaballs with multiple
    material slots.  Fix T75958 Overlay: Blender Crashes when selecting
    without Depth Picking.  Fix T76045 Gizmo: line_width does not work
    in latest version.  Fix T76393 Gizmo: Crash on assert(batch-
    >program_in_use == 0).  Fix T76510: Eevee OpenVDB render artifacts
    due to texture clamping.  Fix T76468: volume sequence render not
    using correct frame in renders.  GPencil: Add support for Link
    Modifiers.  VR: Fix OpenXR state freeze on Oculus after taking off
    HMD.  Fix T76469: OpenCL 1.2 Compilation.  Resolve keymap conflict
    for poselib.  Fix T75793: Mirror modifier UV flip only works on
    first UDIM Tile.  Fix T76500: Annotation Tooltip in Movie Clip
    Editor is using old grease pencil text.  Fix Python error in scene
    without sequencer.  Fix T76440: Follow Track -> Constraint to F-
    Curve has no effect.  Fix T76430: Quick smoke not rendering Cycles
    and Eevee.  Fix T76416: Armature Deform parenting option doesn't
    work with Grease Pencil objects.  Fix T76470: GPencil sequence
    interpolate crash when not enough frames in layer.  Fix T76445:
    Selecting an object no longer cycles past the active.  Fix T76392:
    Crash loading app-template with Load UI disabled.  Cleanup:
    warnings.  Fix T75743: Implement restore for brushes that modify
    their own data.  Fix T76414: crash using Python module that uses
    NVRTC.  Fix build with precompiled libraries picking up OpenEXR from
    install_deps.sh.  Cycles: mark CUDA 10.2 as officially supported.
    Fix T76402: App templates prevent factory settings theme reset.  Fix
    T76224: Grid fill offset doesn't work.  Fix T76318: lower part of
    new preferences window does not work.  Fix Cycles Python error when
    device name is not a valid UTF-8 string.  Fix T75883: Smoke
    simulations with Adaptive Domain broken for 'Final' bakes with
    OpenVDB in 2.83.  Fix T76355: USD test fails in debug mode.  Fix
    T76251: Animated procedural texture does not influence particle
    system.  Revert "Fix T76313: Redo in Multires doesn't bring back
    stroke made after a subdivide".  Fix T76313: Redo in Multires
    doesn't bring back stroke made after a subdivide.  Fix T76062:
    Interpolate Radius in Curve Subdivide Special Case.  GPU: Set
    Default Buffer Size Immediate Mode.  T76121 Driver depending on
    animated modifier property does not update.  GPencil: Fix Chisel
    Brush pressure.  GPencil: Hide Canvas Grid when Surface or Stroke
    mode is enabled.  Fix T76364: GPencil grid is not located in the
    right place.  GPencil: More changes to improve Chisel brush.
    Cleanup: Fix return NULL from bool type function.  GPencil: Improve
    Market Chisel angle algorithm.  Outliner: Fix selection sync for
    various operators.  Fix T75995: Cycles render artifacts with
    overlapping volumes.  Fix T76309: changing AOV type does not update
    compositor socket.  Fix some LLVM symbols outside of the llvm
    namespace being public on Linux.  Cleanup: compiler warning with
    clang 10.  Fx build error with MSBuild on Windows.  Fix T76033: VSE
    crash with prefetch, disk cache and meta strips.  Outliner: Fix
    selection extend not toggling.  GPencil: Fix unreported noise using
    Market Chisel pen.  Cleanup: Solidify modifier: Remove unneccessary
    error message..  Curve: Force pretesselate modifier to output a Mesh
    output.  Fix long OptiX BVH build times in Cycles with many objects.
    Fluid: Removed domain size option from diffusion panel.  Fluid:
    Reset noise emission value at the beginning of an adaptive frame.
    Fix T75895: Unable to Compile Cycles on NAVI/Linux.  Fix T76236:
    GPencil drrawing resetting posed positions with armature after layer
    renaming.  Fix T75985: Texture paint brush gradients results in
    wrong color.  Readfile: debug check all IDs are properly linked at
    the end..  Fix T76155: 'Object lost data' on copy-pasting with new
    undo code..  Fix Python bz2 module failing to import on older macOS
    versions.  Fix T71334: top part of render window disappears on
    repeated renders.  Fix T75522: Math node truncate operator tooltip
    provides no explanation.  Fix T75810: Child bone frozen when both
    Auto IK and X-Axis mirror are used.  Armature posemode: add mouse
    independent "Select Linked" operator.  Cleanup: use LISTBASE_FOREACH
    iterator everywhere possible in libquery..  Fix crash after 475bd6b
    occuring on each render end, we need another nullcheck here.
    nstall_deps: USD: Add root usd library directory to build args..
    Fix T76185: GPencil from Curve ignores Cyclic when curve has only 2
    points.  Fix T75432: Cycles progressive refine render slow with
    denoising data.  Fix T76179: Unable to select render passes when a
    render has fewer passes than one in another slot.  Depsgraph: Add
    IDProperties handling..  IDProperties: add a foreach looper and use
    it in libquery code..  Fix T76044: update Cycles to build with OSL
    1.11 master.  Tests: fix some tests passing even if there are Python
    errors.  Fix Python bundled module test error.  Tests: add physics
    tests cloth and softybody.  Strengthen modifiers test validation,
    from D7397..  Fix T75973: don't show raw Python errors to users for
    invalid shortcut paths.  Fix select linked in pose mode.  Fix
    T75993: Mark Seam from UV editor operates on unselected faces.  Fix
    T76098: Dragging text selection with offset resets select start.
    Fix T76152: Shortcut underline under wrong letter.  BLF: add utility
    function to loop over glyph bounds.  Cleanup: unused variable.  Fix
    T75736 Viewport update problem when switching between view layers.
    Fix T75910 Overlay: Face Orientation not working for "In Front"
    objects.  cleanup: Remove unused variable.  Cleanup: Fix warning
    about initialization order with MSVC.  Workbench: Fix weight paint
    overlay and wireframe for infront object.  Fix T75519: Graph editor
    tooltips give false impression of the toggle state.  Fix T74700:
    "Convert Text to Curve" disregards "Text on Curve".  Fix T75398:
    Redo with Shift R always uses the previous pivot center.  Cleanup:
    Use common utility to get direction for TIME_EXTEND.  Cleanup: clang
    format.  Fix T76131: Crash combing Hair using Python.  Fix T76111:
    UV editor's View Selected not working in multiobject editing.
    remove "Select Linked" from the posemode select menu.  Fix T76148:
    Grid fill crashes with multiple connected loops.  GPencil: Change
    defaults for Gradient materials.  Fix T72476: Crash when drag & drop
    Color in the Image Editor.  Fix T74346 VSE: Prefetching doesn't work
    properly with property animations.  Fix T74603: Tweaking offsets
    causes strips to "reverse".  Fix T75495: Blender crashes opening a
    VSE .blend file.  GPU: Add better support for texture copy fallback.
    GPencil: Fix unreported small offset when use Stroke mode.  GPencil:
    Fix unreported jagged lines when using Stroke mode.  Fix T76078:
    GPencil: frames interpolation erase strokes.  Cleanup: Select sync
    from outliner.  Fix: Selection syncing for outliner operators.  Fix
    T69753 Instanced Metaballs not rendering but showing up in Viewport.
    T75631: New multires shrinkage problem.  Fix T75749: UI button text
    selecting is broken by text offset.  Fix edit-mesh selection mode
    switching causing two undo pushes.  Fix edit-mesh moving from edge
    to face mode with Ctrl held.  UI: add mesh skin-resize to menu.  Fix
    T75946: Intersect (knife) doesn't cut all intersections.  Fix
    T63787: Knife intersect crashes.  Cleanup: correct printf warnings
    for bmesh interesect debugging.  Cleanup: remove unused arg, clang-
    format.  GPU: Add Polyline shader (wide line emulation).  Fix T73741
    Grid Floor render on top of Wireframe objects.  Fix T74173 Assert
    when scaling camera in viewport to zero.  Fix T76014: correct
    description of COLLECTION_OT_objects_remove_all.  Fix T73195: stereo
    camera view does not show background image.  Fix T72506 EEVEE:
    Collection Holdout propagates accross material instances.  Fix
    T75607: crash trying to sculpt while remesh is in progress.
    Cleanup: Add assert to crash earlier.  Fix T75611: slow transform of
    many objects at the same time.  Fix T73680: Scene and fluid modifier
    gravity are scaled differently.  Fix T76008: Fluid inflow with
    negative initial velocity is not working.  Fix T75987: crash
    entering edit mode with keyed particles.  Array modifier: limit
    maximum amount of generated geometry..  Fix headless build failure
    on macOS.  Fix T75836: Light target misses updates while dragging.
    Fix T74172: Mirror with bisect results in holes.  Fix T75965: Scale
    to Fit Text Box fails with a single word.  Cleanup: clang-format,
    unused warning.  Cleanup: add explicit enum values in
    DNA_rigidbody_types.h.  Fix invalid rigid body constraint values
    during 2.83 development.  Fix T75991: crash when rigidbody
    encounters unknown constraint type.  Workbench: Use GPU_texture_copy
    instead of GPU_framebuffer_blit for TAA.  GPU: Add GPU_texture_copy.
    UI: Always check if IME Supported After Changing Language.  Fix
    T75938: Workbench normal direction for matcaps.  Fix T75994: Crash
    with 'Split Edges and Faces' | Auto-Merge.  Silence annoying error
    message in writefile on undo step storage..  Cleanup: Fix strict
    compiler warning.  Fix T74423: Cycles rendering artifacts with CUDA
    10.2.  GPencil: Change Thickness Profile icon.  Cleanup: Spelling in
    function name.  Fluid: Use maximum for initial velocity grid
    application.  Fluid: Fixes for cache 'Replay' mode.  Fluid: Fix for
    caches being released when file is loaded.  Fluid: Fix for
    inconsistent behavior with flow and effector objects.  Fluid: Added
    missing outflow object type to enable / disable flow flag.  Fluid:
    Improved cache 'Replay' option.  Fluid: Cleanup in MANTA main class.
    Fluid: Remove noise bake call from Python.  Fix T75681: Mantaflow
    crash when trying to bake a cupcake: The CG solver diverged,
    residual norm > 1e30.  Fluid: Minor UI fix for diffusion panel.
    Cleanup: clarify and update some flags descriptions in libquery
    code..  Fix invalid RNA path for transform orientations..  Fix
    T75964: changing object's viewport display color does not update
    cycles.  Subdiv: Fix wrong non-manifold subdivision in certain
    cases.  Fix T75974: Multiobject editing UV hiding/unhiding does not
    work.  Fix T75981: crash in sculpt mode with mesh that used to have
    multiple materials.  Fix 3D viewport select using grease pencil
    engine when not needed.  Fix T75625: crash on exit in macOS after
    selecting objects.  Fix T75971: 3D Text invisible when fill set to
    None.  Undo: Minor optimization: do not write Scene's 3DCursor..
    Fix T75719: Undo system: Debug assert while undoing several
    operations..  Fix T75909: icons memory leak in headless build.  Fix
    T75969: view layer add with Copy Settings does not copy all data.
    Fix T75893: Undo causes crash with "Load UI" disabled..  Fix:
    Incorrect f-string in previews.py.  Fix Linux/GCC build error after
    recent changes.  Fix T75472 Crash on "Remove Empty Animation Data"
    in NLA editor.  Fix clang-format differences between version 6 and
    9.  Fix T75920: Add object - Align to 3D cursor not working..  Fix
    T75885: Mesh deform modifier not updating on own transforms.  Fix
    T75840: Add check for not generated edges.  Various typos fixes in
    UI messages..  Fix T75914: Assert Knife Tool.  Cleanup: ID
    management: Light ID type..  Fix T75922: Removing custom orientation
    doesn't update gizmo.  Keymap: Add sequencer scrub with box-select &
    RMB select.  Fix T74600: Sequencer blade tool inaccessible with RMB
    select.  Cleanup: accidental value declaration with struct type.
    Fix invalid comparison checking button unit type.  Fix T75778:
    Missing ME_VERT_PBVH_UPDATE in Surface Smooth.  Fix T75766: Smooth
    mask using mesh vert indices direclty.  Fix T75329: Missing
    show_face_sets checks for Multires.  Fix T75662: Surface Smooth
    filter not checking face sets.  Fix crash on Multires Face Set
    visibility sync.  Fix missing Outliner selection syncing on "Select
    Hierarchy".  Fix T75902 Workbench: render crash.  Fix T75878:
    Modifiers disappearing from UI.  Fix T74809: Use after free when
    merging specific areas.  GPencil: Disable animation for Onion Custom
    Colors.  GPencil: Fix missing patch of default Material names.
    GPencil: Fix duplicated default brushes and change settings.  Fix:
    Build error on headless build.  Fix T75842: GPencil  Edit mode of
    unselected object is visible.  Fix T74199 Overlay: Turning off
    overlays also hides edges.  Fix T73815 Overlay: Z axis line doesn't
    show alone on the workspace.  Fix typo causing compilation to fail.
    Fix T75832 DRW Hair: Crash caused by shader compilation.  GPU: Fix
    typo making RG16F use 16 bytes instead of 4.  GPU: Fix missing
    SRGB8_ALPHA8 debug string.  Fix T75811: GPencil Sculpt not working
    when use Subdivide.  Fix poor video sequencer preferences UI layout.
    Fix T75786: GPencil Modifiers were not overridable....  Fix
    (unreported) bda locking of whole GP modifiers whem GP obdata is
    linked..  Fix T75686: Animating scene audio volume doesn't work.
    Windows: Fix working directory issue in debug batch files.  Enable
    new undo code by default..  Fix T74805 Workbench: Back faces flicker
    with Auto Depth is enabled.  Overlay: Fix unreported bug: Edit mode
    overlays drawing during auto depth.  Workbench: Fix unreported bug:
    garbage viewport when changing AA settings.  Fix T75820: Child bone
    head vanishes when connected parent is hidden.  Fix normal smoothing
    for light positioning gizmo.  Fix T75794: Light point gizmo
    translate jumps.  Fix T75796: Misaligned quit dialog keymap.
    GPencil: Add always empty frame when add new layer.  UI: Fix bad
    flow layout.  Fix T75675: Unlinking [with setting users to zero] not
    clearing LIB_TAG_EXTRAUSER_SET flag.  Fix T75680: Nodegroup user
    count increased when file saved in edit group mode..  Fix T74964
    Stereo 3D anaglyph and interlace not working.  Fix T75730: Properly
    remove unused override properties/operations..  Fix (unreported)
    crash on use-after-free in liboverride deletion code..
    Refactor/strengthen a bit invalid operands checks when applying an
    override operation..  Fix T75730: Crash on read of liboverride data
    when missing source modifier..  Fix T73977, T73825: ignore Python
    user site-packages directory by default.  Fix T75780: Gpencil Sculpt
    brushes not working with old files.  Fix memcpy overlapping buffers.
    Fix (unreported) Image Editor UI drawing too dark.  GPUImmediate:
    Use 2 Buffers For (Un)Strict.  GPUViewport: Use GPUBatch for
    viewport drawing.  Fix T75567: Paint Mode Wireframe Incorrect.  Fix
    T75455: High World Space Cavity Samples Crash.  Fix T75750 Image
    Editor: Rendered result is much brighter than in viewport.  Fix
    T75751 Overlay: Clipping Region crashes Blender.  Fix T75443 Color
    Management: Use after free crash when using curve mapping.
    Mantaflow: Change Defaults to Improve Instantaneous Playback.
    Update RNA Manual References.  Fix T75613: "In Front" setting did
    not override image empty "Depth".  Fix assert for Image Editor
    invert/resize operators.  Bump release cycle to beta for 2.83.
    Ensure master points at latest submodule heads.  Fix unreported Auto
    IK crash when using targetless IK..  Fix T75649: Using "Auto IK" on
    FK controls with Rigify will crash Blender..  Fix mistake from last
    commit to solidify..  UI: Avoid manual right-alignment of text in
    splash screen.  UI: Round splash image corners according to theme
    preferences.  Resources: Remove small splash screen image variant.
    UI: Automatically scale splash screen image.  Fix crash whith Simple
    Solidify and Bevel Convex..  Fix incorrect UI_SEP_CHAR checks.
    Cleanup: missing-prototypes warning.  Fix T74881: Plane-track corner
    drag fails with LMB select.  Fix shader error sRGB gizmo drawing
    workaround.  Fix T75712: Sequencer text strip doesn't scale to
    render size.  Fix menu search using exec instead of invoke by
    default.  Fix menu search omitting the outliner context menu.  UI:
    expand names of collection menu.  Cleanup: shadow warning.  Fix
    T75733: Curve extrusion does not include endpoints.  Sculpt: New
    Layer Brush.  Sculpt: Sharpen Mesh Filter.  Fix Shift-Smooth mode
    using wrong parameters.  Fix automasking using the wrong active face
    set.  Fix Randomize Face Sets Colors not working in Multires.
    GPUShader: Implement workaround for gizmo drawing on sRGB
    framebuffer.  Fix T75104: Update Face Sets visibility when entering
    Sculpt Mode.  Fix Windows build error introduced in Wintab commit
    revert.  Revert "Windows: support high resolution tablet pen events
    for Wintab".  Fix T75535: Compositor backdrop gizmo dragging
    interrupts with node mouse over.  Fix T75589: Image Sequences have
    no data on file load..  Cleanup: Remove unused defines.  RNA: Fixed
    incorrect depsgraph tagging for Object.color and pass_index.  Fix
    showing check-boxes in menu-search.  Cleanup: remove text editor
    'select' option that did nothing.  Revert "Cleanup: remove unused
    text.selection_set select option".  Fix T75629: Disallow dragging
    collection instance into itself.  GPencil: Add missing 2.82 Random
    Layer color removed in refactor.  Add Complex Solidify option for
    thickness per face.  Improve Solidify/Bevel Modifier cooperation.
    Cleanup: remove unnecessary branch when lib linking constraints.
    BLI_math: add min/max utils for chars..  Fix T75542: toggling
    modifier visibility not working correct with undo speedup.  UI:
    improve menu search with dimmed menu prefix.  Cleanup: pass font
    drawing x/y offset arguments as int's.  UI: add spin to extrude
    menu.  UI: correct menu used for dope-sheet.  Sculpt: Implement undo
    of Apply Base during sculpt session.  Cleanup: ed_util_imbuf
    sections.  Cleanup: spelling.  Cleanup: remove redundant include,
    clang-format.  Fix T75676: Inconsistent "Only selected" GP layers in
    Dope Sheet.  Fix T75032: New complex solidify algorithm handles
    poorly merging threshold of small geometry details..  UI: Fix wrong
    icon used for Unified Color toggle.  Fix T75677: Annotation in
    compositor/shading tabs loose AA after drawing stroke.  Cleanup:
    unused parameter....  Fix T75667: Use of incorrect terminology in
    the brush_colors_flip operator.  Fix T75592: Correctly calculate
    length of curve verts.  VSE: Add sample tool.  Refactor sample
    operator.  Fix T75421: Wipe clock and Iris transition not working..
    Fix T74875: Preview shows previously cached frame after Hard Cut.
    Fix T75415: Changing text strip "start" leads to flickering image.
    Fix T75382: VSE Strip Adjustments Not Immediately Visible.  Fix
    T74897: VSE animation doesn't work.  Fix volume object not rendering
    correct frame right after loading.  UI: reorder adaptive sampling
    settings in order of importance.  Fix volume object not loading
    frame sequences correct in some cases.  Cleanup: clang-format.
    Cycles/Optix: Support building the optix kernels on demand..
    GPencil: Fix unreported missing update after removing stroke from
    python.  Sanitize and cleanup a bit depsgraph relations building in
    some modifiers..  Factorize some common modifiers depsgraph relation
    update code..  Revert "GPUViewport: Use GPUBatch for viewport
    drawing".  Fix for T75595: File Browser and Windows Unicode Paths.
    Modifiers: Add Bone option for Texture Mask Object.  UI: Better
    support for linked data-blocks in search buttons.  Fix T75489: Crash
    on deleting current workspace from the outliner.  Fix T74800 Bevel
    modifier generates vertex group weight > 1.0..  Fix T75378: Crash on
    clicking in the ghost icon of an appended proxy object.  Fix T67232:
    Multiples targetless IKs in a chain gives weird behaviour (known as
    FakeIK for FK posing).  Fix T71546: VSE stereoscopic strips issues
    with mismatched dimensions.  Fix T74901: Smoke Simulation crashes on
    eevee and is not persistent on Cycles.  Fix T75141: Default template
    versioning error for grease pencil.  Fix T74815: Shapekeys animation
    is blocked after second append of the same object..  Fix T74657:
    Grease Pencil Proportional Editing does not work for 'Individual
    Origins'.  Pointclouds: fix point drawing.  Fix T75546: Solve
    possible endless loop in wintab initialisation.  Cleanup: comment
    bone cycling & simplify logic.  Fix T75526: Color Management Look
    saved in 2.82a resets in 2.83.  Fix T75405: Crash when increasing
    text object bevel depth.  Shading: add Roughness input to Noise and
    Wave texture nodes.  Collections: preserve exclude flag of child
    collections when unexcluding.  Cleanup: VSE rename i to view_id for
    stereo 3d code.  TaskScheduler: Minor Preparations for TBB.
    GPUViewport: Use GPUBatch for viewport drawing.  Cleanup: Remove
    unused var.  Fix T75490: Child Of - difference between 2.82 and
    2.83.  Fix menu search referencing image menu.  Cleanup: unused
    variable.  Fluid: Fix unused variables.  Fix T75491: ctest: usd_test
    fails in a debug configuration.  USD: ensure test does not depend on
    BLI_assert().  Silence assert on ID usercount for deprecated IPO..
    Tracking: Forward compatibility code for distortion models.
    Cleanup: Fix typo error.  Fix T75122: Annotations: Only visible
    scene annotations in dopesheet.  Fix T75425: Bone selection cycling
    not working.  Cleanup: spelling.  UI: English as Default Language.
    Fix T75203: Crash when changing active keying set.  Fix error in
    UI_butstore_ API.  Fix T75288: crash in Cycles image loading with
    multithreaded shader compilation.  Fix T75290: Cycles crash with out
    of bounds memory access in volume mesh build.  Cleanup: clang-
    format.  Fix T75445: Filmic transform not working when using Turkish
    locale.  GPencil: Small changes to brush defaults.  Fix T73552:
    Mantaflow - liquid particles show up in organized unrealistic
    structure.  NewUndo: Fix (studio-reported) discrepency in proxies
    when undoing..  Tracking: Fix missing distortion update on focal
    length change.  Fluid: Fix issue with mesh not being loaded.  Fix
    wrong material indicated in the error message when baking.  Fix
    T74572: adaptive sampling still not working correct with shader
    AOVs.  Fix build error with WITH_X11_XINPUT=OFF after recent
    changes.  Fluid: Disable subframes when using adaptive time-steps in
    the first frame.  Fluid: Fix problem with inconsistent noise when
    using multiple adaptive time-steps.  Fluid: Update Mantaflow source
    files.  Fluid: Manta clang-format update.  Fix manual reference
    error after removal of use_international_fonts.  Windows: support
    high resolution tablet pen events for Wintab.  Windows: support high
    resolution tablet pen events for Windows Ink.  Cleanup: minor
    refactoring of pointer event handling.  Cleanup: add utility
    functions for milliseconds conversion.  Cleanup: remove GHOST API to
    query tablet state from Window.  Fix Windows Tablet API preference
    not being used.  Cleanup: rename to BLI_path_cwd to
    BLI_path_abs_from_cwd.  Cleanup: missed renaming BLI_cleanup_unc_16
    in recent refactor.  Cleanup: reduce scope of variables in custom
    data copying.  Fix T67098: Inset causes shape keys to reset exiting
    edit-mode.  Cleanup: disable clang-format for character table.  Fix
    status bar message showing saved when saving failed.  Cleanup: clang-
    format.  Cleanup: spelling.  Fix building without translations
    enabled.  UI: Splash Screen Language Selection.  Fix missed
    depsgraph update after undo in some cases.  Debugging: change
    Undo/Redo redraw timer to include dependency graph update.  UI:
    Language Selection Changes.  Cleanup: refactor adaptive sampling to
    more easily change some parameters.  GPencil: Fix unreported
    problems with Chisel brush.  UI: Don't collapse all panels for
    subpanels.  Undo: change depsgraph recalc flags handling to improve
    performance.  Fix T73566: Mesh analysis, error showing intersecting
    faces.  Fix T74720: bmesh.ops.delete default context argument does
    nothing.  Cleanup: use doxy sections.  Fix T75471: Outliner: crash
    selecting modifier objects/targets that are in a excluded
    collection.  Fix T75343: Wireframe overylay is not working properly
    with multiple modifiers.  Fix T74828: Fluid: Crash with Fire/Smoke
    Noise.  Fluid: Fixed assertion error.  Revert "Fix memory leak in
    recent panel drag widget cache".  Fix T66751: Symmetrizing armature
    does not symmetrize constraints..  Fix Blender not rebuilding when
    changing linker script.  Fix memory leak in recent panel drag widget
    cache.  Build: use -no-pie for portable builds on Linux.  Cleanup:
    avoid memory allocation for unchanged datablocks in undo.  Cleanup:
    split partial undo code off into functions, tweak debug prints.
    Cleanup: simplify logic for partial undo in ID read.  Cleanup: skip
    reading UI datablocks entirely for undo.  Cleanup: delay creating
    datamap until it's actually needed.  Cleanup: don't use global
    variable for test if IDs are identical.  Cleanup: split off library
    and linked datablock undo restore.  Cleanup: early out on invalid ID
    data to simplify control flow.  Cleanup: split off direct_link_id()
    function.  Fix T73598: Pose options - Auto IK. Bones move on
    release.  Fix crash using object.to_mesh() when in edit mode.
    GPUBatch: Correctly Free Panel Widget Batch.  Fix T75128: Select
    Linked fails when the selection is a delimiter.  Fix T68159: Normals
    point target crashes when exiting edit-mode.  Cleanup: remove unused
    BM_total_loop_select function.  UI: rename 'smoothen' to 'smooth'.
    Cleanup: doxy sections, move utility function to editmesh_utils.c.
    Fix T60069: repeated extrusion uses wrong axis.  Cleanup: BLI_path.h
    function renaming.  Cleanup: clang-format.  UI: Use Consitent Menu
    Layout for Bone Names.  UI: Use Consistent Operator Name.  Fix
    T74572: adaptive sampling not scaling AOVs correctly.  Revert "Fix
    T74572: adaptive sampling not scaling render passes correctly".  Fix
    T75357: USD export broken on windows.  Fluid: Ensure correct
    velocities for noise bake.  GPU: Panel Drag Widget Drawing
    Performance.  Don't take into account time remapping when scrubbing
    with AV sync..  Fix user counting when ungrouping a node group..
    Keymap: sort exported key-maps.  Cleanup: keep parameter docs above
    the function body.  Libmv: Use static scheduler for threading.
    Tracking: Fix (un)distortion happen in single thread.  Fix T75444:
    typo in tooltip.  Fix T74111: Animation Playback Delayed With Time
    Remapping And AV-Sync.  Fix T74889 Baking to current action doesn't
    work properly.  Fix T75418: Outliner Blender File view has UNKNOWN
    category for armatures.  Fix (unreported) wrong hair vertex colors.
    Tracking: Fix slow undistored display.  usual PY API doc gen fix
    after adding a new member to Context....  Fix f-curve sequencer
    versioning logic.  Fix T75297: Apply base inflates meshes with
    Simple subdivision.  i18n: Disable `es_ES` locale..  Fix T75311,
    T75310: Edit Weight Paint Overlay Render Artifacts.  Cleanup: Add
    some comments removed in rB0d0036cb53f8.  Cleanup: spelling.  Fix
    displaying edit-mesh measurements with deform modifiers.  Fix
    T74602: Sequencer slip operator ignores offset constraints.  VSE:
    Draw f-curves for opacity and volume values on the strips.  VSE:
    don't allow strip preview when clicking on the scrubbing region.
    Cleanup: Fix comment style and check if they are valid or make
    sense..  Cleanup: Use `_fn` as a suffix for callbacks in VSE code.
    Volumes: add volume.grids.frame_filepath to get the current frame
    filepath.  Build: hide USD symbols, make Blender symbols visible
    again.  UI: Support split property layout for pointer search
    buttons.  Cleanup: use const for 'clnors' argument where possible.
    Cleanup: macro hygiene, parenthesize arguments.  Cleanup:
    differentiate the evaluation mesh.  Cleanup: Split up Window-Manager
    VR file (and related changes).  UI: 3D Viewport text edit menus.
    UI: Remove 'Simulation' from 'Fluid Simulation' modifier.  Cleanup:
    remove unused method.  Cleanup: Rename Panel * variables from pa to
    panel.  Cleanup: Move Detail Operators and Dyntopo to their own
    files.  Cleanup: Move Mask Filter and Mask Expand to their own
    files.  Cleanup: Move Mesh Filter, Smooth and Automasking to their
    own files.  fix (unreported): Weld Modifier: possible use of
    uninitialized variable.  Cleanup: Move all sculpt transform
    functionality to its own file.  Code Quality: Replace for loops with
    LISTBASE_FOREACH.  Cleanup: Including "BLI_listbase.h" for
    LISTBASE_FOREACH macro.  Cleanup: Missing clang format in previous
    commit.  Cleanup: Move all Face Set functionality to its own file.
    Cleanup: Rename ExtensionRNA variables from ext to rna_ext.  Fluid:
    Refactored caching in main Mantaflow class.  Fluid: Refactored MANTA
    class.  Cleanup: clarification of 'name' in BKE_idtype functions.
    Cleanup: Animation, move AnimData API to
    `anim_data.c`/`BKE_anim_data.h`.  Cleanup: Fix build warning with
    MSVC.  Fix T74495: Shrink/Fatten gives strange results with
    Individual Origins.  New Undo: Fix crash in some complex production
    files..  Cleanup: Rename bScreen variables from sc/scr to screen.
    Cleanup: add missing #includes to some headers.  Cleanup: Rename
    ScrArea variables from sa to area.  Fix T74205: crash cancelling
    transfrom operation in sculpt mode.  Fix T75287: other Cycles render
    passes wrong when using Cryptomatte.  Fix T74572: adaptive sampling
    not scaling render passes correctly.  Cleanup: Continue renaming
    ARegion variables from ar to region.  Cleanup: split
    ED_mesh_mirror_*_table into multiple functions.  Cleanup: split
    `BKE_anim.h` and `anim.c` into smaller pieces.  Fix accidentally
    reverted changes in VR merge due to merge error.  Cleanup: Font,
    added initialisation for two variables.  Fix T75250: setting
    greasepencil active layer not refreshing the dopesheet.  Cleanup:
    typo in comment.  Fix T75315: typo in automasking UI text.  Cleanup:
    use term 'attr' instead of 'attrib'.  Cleanup: use tern 'sync'
    instead of 'synchronization' for function names.  Cleanup: use
    abbreviated names for unsigned types in editors.  Cleanup: quiet
    shadow warnings with ghost & mantaflow.  Cleanup: replace static
    list with argument for curve merging.  Cleanup: bone cursor picking
    API.  Fix T75330: Select linked crashes without a bone near the
    cursor.  Cleanup: improve & use doxy sections for armature_naming.c.
    Cleanup: spelling.  Cleanup: move curve picking functions into
    'editcurve_query.c'.  Revert "Writefile: Cleanup Scene runtime
    data.".  Fix Linux link error with pcre after recent changes, must
    use absolute path.  Fix link error on Linux buildbot with libxml2.
    Fix warnings caused by own earlier commit.  Fix Cycles AVX unit test
    still failing to build with old GCC.  Sculpt: Delay Viewport
    Updates.  VR: Refactor DirectX context management.  Fix more build
    errors/warnings after recent AVX changes.  add memory address to
    undo steps print..  Fix build error on Windows/Linux after recent
    AVX changes.  Fix (harmless) PCRE not found warning when configuring
    CMake on Linux.  Cleanup: simplify Linux buildbot config, where
    default values already match.  Sculpt: Add global automasking
    options for all brushes.  Fix T74983: Material preview icons don't
    refresh.  Fix T75302: GPencil fill does not work on python generated
    strokes.  GPencil: Cleanup typo error for hardness.  Scultp: Face
    Set boundary automasking.  Sculpt: Store explicit value for multires
    sculpt level.  Sculpt Undo: Allow Geometry undo step to be non-
    exclusive.  Fix Face Sets painting and selection precision.  Fix
    T75121: Memory leak in Surface Smooth.  Fix mesh boundary automask
    curve falloff.  Missed file in previous commit.  Fix T72688: Vertex
    Group Weights in Edit Mode Occludes In Front Armatures.  Fix: Build
    error when building with python off.  Revert "Fix T72688: Vertex
    Group Weights in Edit Mode Occludes In Front Armatures".  CMake: Add
    alembic boost dependency.  Cleanup: Avoid complex template type for
    XR-Swapchain.  Fix T72688: Vertex Group Weights in Edit Mode
    Occludes In Front Armatures.  Fluids: improve subframe handling.
    Sculpt: Give a brief explanation of undo stack.  Sculpt Undo: Fix
    multires undo for interleaved nodes.  Fix T75283: GPencil Stroke
    created by `Merge points` can't have fill material.  Fix T75271:
    GPencil Segment select mode doesn't work.  Fix T74224: Add missing
    depsgraph relations for boid particles.  Cycles: AVX implantation of
    Perlin noise..  Writefile: Cleanup Volume runtime data..  Writefile:
    Cleanup CacheFile runtime data..  Writefile: Cleanup MovieClip
    runtime data..  Writefile: Cleanup GPencil data..  Writefile:
    Cleanup Nodetree runtime data..  Writefile: Cleanup Armature runtime
    data..  Writefile: Cleanup Collection runtime data..  Writefile:
    Cleanup Soung runtime data..  Writefile: Cleanup World runtime
    data..  Writefile: Cleanup Lattice runtime data..  Writefile:
    Cleanup Text runtime data..  Writefile: Cleanup VFont runtime data..
    Writefile: Cleanup material runtime data..  Writefile: Cleanup MBall
    runtime data..  Writefile: Cleanup Scene runtime data..  Writefile:
    Cleanup Object runtime data..  Writefile: Cleanup Curve runtime
    data..  Fix T75222: Crash activating menu search.  Cleanup: clang-
    format.  Fix T66494: Alt+ clicking (assign to all selected) does not
    work for NLA strips.  Add a "selected_nla_strips" context member.
    Fix T75234: Saving UDIM tiled texture as OpenEXR saves only the
    first tile.  GPencil: Cleanup typo error.  Tweak write code to allow
    cleaning up runtime data before write..  Sculpt Undo: Refactor
    Geometry undo nodes.  Subdiv: Split evaluation begin+refine into
    separate steps.  Fix curve shortest path picking with right-click
    select.  Fix problem extruding curve segments with selected handles.
    Cleanup: use doxy sections.  UI: avoid term 'Region', use 'Edges &
    Faces' instead.  Grease Pencil: Fix typo in labels and comments..
    Cleanup: use doxy sections for 'idprop' API.  Cleanup: use doxy
    sections for wm_draw.c.  Cleanup: use sections for object_remesh.c.
    Fix customdata interpolation being done multiple times in Weld
    Modifier.  UI: rename "Edge Collapse" to "Collapse Regions".  Fix
    missing break statement in recent face-set support.  Cleanup: quiet
    discarded-qualifiers, unused warnings.  Cleanup: Organize Weld
    Modifier in alphabetical order.  Fix T74588: Weld Modifier: Vertex
    colors and UVs get incorrect values.  Multires: Initial Face Sets
    support.  make.bat: Improve messaging when not detecting MSVC.  Fix
    T75219: Move to New Layer not working.  Add Voxel Mode to the Remesh
    modifier.  Edit Curve: Improve Curve extrude.  Voxel Remesh: Edit
    Voxel Size operator.  Fix VR session toggle not changing reliably on
    session start/end.  Fix missing XR space destruction.  Fix T75244:
    Screw Modifier Crash.  Cleanup: remove duplicate function.  Cleanup:
    use '_recursive' suffix instead of '_rec'.  Fix T75210: Frame range
    does not go down to 0 in the physics tab for mantaflow when clicking
    the left arrow.  Fix T73513: Facing Overlay Intervene With
    Selection.  UI: improve names for mesh split operations.  Fix
    T74898: Multiresolution Ghost After Orbiting.  UI: group edit-mesh
    Separate with Split & Merge.  Keymap: 'M' for edit-mesh merge menu,
    'Alt-M' for split menu.  Edit Mesh: support splitting vertices.
    Cleanup: use sections for armature-select.  Armature: add Select
    Linked (Ctrl-L).  Build: hide most symbols on macOS on Linux to
    avoid conflicts.  Audaspace: Update From Upstream (For API Docs).
    Fix undo incorrectly detecting mesh as always changed after edits.
    Fix undo misdetecting identical future chunk in some cases.  Fix
    undo debug logging not printing all types of undo pushes.  Fix
    T74547 EEVEE: Image texture crash with use after free.  GPencil:
    Remove `is_edit_mode` from cache data.  GPencil: Remove
    GP_DATA_PYTHON_UPDATED used by old engine.  Fix T75144 Grease
    Pencil: Python generated strokes flicker and crash.  GPencil: Rename
    Overlay blend mode to Hard Light.  Fix T74663 GPencil: Fills are
    Flickering on Nvidia.  GPencil: Fix overlay blend mode creating
    inverted colors.  EEVEE: Bloom: Fix inverted source and base buffer.
    Fluid: Removed Empty Space option for liquid domains.  Fluid:
    Optimization for mesh file loading.  NormalOverlay: Center Dot
    Normal Drawing With Modifiers.  Normal Overlay: Hide Normals Of
    Generated Loops.  Fix T75142: No autokeying with pose mode X-Mirror.
    Cleanup: reduce code indentation in autokeyframe_pose().  Fix
    T75053: Paint Overlay Show Modified Wires and Edges.  Fix help
    message misc argument grouping.  Subdiv: Extend some comments.  Fix
    armature edit-mode selected linked.  Armature: remove merge
    function, use dissolve instead.  UI: center align icon-only pull-
    down menus.  Cleanup: remove print left in recent fix for T66655.
    UI: use operator name for extrude repeat.  Extrude Repeat: support
    storing the offset vector.  Fix extrude repeat leaving selection
    history unselected.  UI: move extrude repeat out of the vertex menu.
    Theme: adjust lamp alpha to visually match 2.82.  DRW: match edge
    opacity to 2.82.  UI: Move Array Extrude Below Verticies.  Fluid:
    Optimization for liquid / secondary particle file loading.  Fluid:
    Use dynamic mode whenever active rigid bodies are in the scene.
    Overlay: Edit Mesh: Add offset for thicker edges.  Overlay: Edit
    Mesh: Make offset depth dependent (w.r.t depth precision).  UI: Add
    missing operators to menus in the 3D Viewport Mesh Edit mode.  Fix
    T73945: Don't grey out "Calculate to Frames" in some cases.  RNA:
    expose the pin flag for AnimData and ActionGroup.  Fix missing
    Surface Deform strength versioning.  UI: Fix text padding for labels
    without an icon.  Cleanup: remove DNA_view2d_types.h from
    DNA_sound_types.h.  Screw Modifier: support 1-2 steps.  Fix warp
    modifier using pose matrix without object matrix applied.  Fix
    T72075: Incorrect Grid Fill error message.  Cleanup: remove unicode
    character printing.  Cleanup: spelling, comments.  Cleanup: strict-
    prototypes warning.  Fix T75156: Cast modifier crash in edit-mode.
    Fix T75088: Add tooltips for custom properties.  Fix T75161: Random
    UV doesn´t work with fats drawing.  GPencil: Fix error when stroke
    has 0 points.  Cleanup: Removing unused parameter..  Fix T74604:
    A.N.T Landscape Erode function reports error.  Fix missing NULL
    terminator for new brush option.  Fix key detection issues
    introduced by D7229.  Fix T74969: Crash in gpencil edit mode.
    Cleanup: compiler warnings.  Overlay: Outline: Fix unreported
    feedback loop when smooth wire is disabled.  Cleanup: GPUShader:
    Remove unused shaders.  Fix error in macOS system file detection in
    recent changes.  Sculpt: Pose Brush Face Sets origin mode.  Rename
    Edge Automasking to Mesh Boundary Automasking.  Sculpt: Weight
    normal and area sampling towards the brush center.  Fix T74637:
    Reset face set data when disabling dyntopo.  GPencil: Small tweaks
    to Fill material panel.  Install_deps: Do not wipe out `WITH_PYTHON`
    CMake options..  install_deps: Enable PIC in Python static library..
    Fix Optix build error after recent changes.  Fix T74642: Take
    gravity field weight into account.  GPencil: More cleanups missing
    in previous commit.  UI: Add missing Annotation tool to Paint modes.
    GPencil: Cleanup of unused code a arguments.  CPencil: Cleanup
    unused fill code.  Fix T75111: Crash when using subframes for
    animated fluid collider.  Surface Deform modifier: add vertex group
    and strength control..  Cleanup: Silence uninitialized variable
    warning.  GPencil: Cleanup unused parameter.  Fix T75118: Remove
    Texture Opacity parameter for Fill materials.  Multires: Fix
    unwanted assignment of sculpt session pointers.  Solidify modifier:
    add option to assign shell & rim geometry to selected vertex
    groups..  Warp modifier: add bone from and bone to options when
    using armature objects.  Cleanup: Silence warnings.  Cleanup: Remove
    debug print.  Fix T69060: File Output Node does not work with Time
    Remapping.  Fix T74927: Slow playback using Auto Normalization.  Fix
    T58439: Info Editor does not show operator reports immediately when
    operator cancelled..  Fix T66655: Add-on tool keymap not working
    after restart.  UI: Use Title Case.  UI: Spelling Inconsistencies.
    Cleanup: redundant mask includes.  Cleanup: quiet unused function
    warning.  Cleanup: rename WM_modalkeymap API names, matching
    WM_keymap.  Cleanup: add iterator macros to clang-format.  Cleanup:
    uppercase macros for sculpt iterators, add to clang-format.  UI: use
    pixel unit for generated image dimensions.  UI: fix inconsistent
    modifier menu order for fluid and multiple strokes.  Fix T74996:
    material custom properties not displayed for Cycles.  Cleanup:
    suppress warning about float-to-int conversion.  Fluid: Removed
    obstacle levelset optimization.  UI: Address Issues with recent
    fluid ui changes.  Mantaflow: remove reminents of high res smoke.
    GPU: Add workaround for faulty default attrib values on some
    drivers.  Fix T60682: adds macOS alias redirection for directories.
    Add option to Copy the active view layer, and add an empty view
    layer.  Overlay: Fix crash caused by NULL passes.  Cycles: Restore
    cycles_cubin_cc to working order.  Cycles/Optix: Add
    CYCLES_OPTIX_TEST override.  Sculpt: Create Face Set by Edit Mode
    Selection.  Sculpt: Face Sets Init operator.  Sculpt: Surface Smooth
    Brush and Mesh Filter.  Fix T75087 Workbench: DoF: Divide By Zero
    when antialiasing is disabled.  Sculpt: Use uchar to store the
    sculpt mask in the GPU.  Overlay: Wireframe: New method to avoid
    zfighting with geometry.  Fix T74780: Face sets operators not aware
    of SCULPT_FACE_SET_NONE.  Fix T74761: Reimplement vertex to face
    sets visibility sync.  Fix T74899: Add Draw Face Sets brush to
    versioning defaults.  Fix T74692: Do not draw nodes with the default
    face set.  Fix T74808: Division by 0 in Cloth brush solver with
    overlapping vertices.  Fix T75089: Missing pmap when using Face Sets
    in the mesh filter.  Fix T67888: Incorrect Wireframe After Applying
    SubSurf/MultiRes.  SubDiv: Incorrect normals loose edges.  Fix Crash
    In Paint Overlay.  Fix T70807: Weight Paint Overlay XRay.  Fix
    missing text input on Windows with certain keyboard layouts.
    GPencil: Fix unreported fade object when no Gpencil object is
    selected.  CMake: Fix compilation with Xcode generation on Xcode
    11.4.  Fix T74939: Random Walk subsurface appearance in OptiX does
    not match other engines.  Fix T75047: Number input advanced mode is
    not working in JP keyboard.  Fix T75094: Gpencil Selection mode
    crash in Vertex Paint when build modifier is used.  CMake: Fix
    Blender.app creation/modification time.  CMake: Fix spelling for
    OpenImageDenoise package.  CMake: Fix macOS SDK detection with
    latest Xcode and macOS.  CMake: Remove support of Xcode prior to
    8.2.  Fix T75093: GPencil eraser selection in draw mode erase
    previous selected points.  Keymap: disallow modal key-maps in add-
    ons keyconfig.  CMake: Cleanup, remove unneeded version requirement.
    CMake: Fix detection of Xcode version.  Subsurf: Enable Optimal
    Display by default.  Fix T75062: Frame Flashes During 3D Viewport
    Animation Playback.  Test: update bl_run_operators blacklist, add
    volume object.  Fix T75081: RNA path For FFMPEGSettings missing.
    Cleanup: redundant cast, unused arguments.  Fix crash with missing
    NULL check accessing grease pencil paint.  Fix crashes accessing
    inactive screen properties.  Fix crash accessing length unit
    settings.  Fix crash accessing the tool with no active space.  Fix
    crashes from various missing checks in operator poll functions.  Fix
    crash when make proxy failed to assign a proxy.  Fix crash setting
    the brush with the current brush was unset.  Fix crash closing a
    window in background mode.  Cleanup: use doxy sections & add missing
    sections.  Fix T74417: Freestyle render removes image texture users.
    Fix T74711: tiling brush option in image editor not working anymore.
    UI: rename image source Tiled to UDIM Tiles for easier discovery.
    Fix T75090: crash with old NVIDIA drivers after overlay refactor.
    GPencil: Fix unreported Threshold parameter visible in wrong
    context.  GPencil: Fix unreported missing parameter for Cutter tool.
    Fix error after recent change when WITH_INTERNATIONAL=OFF.  Cleanup:
    typo in print.  UI: remove non-unicode font and simplify default
    font loading code.  UI: always use international font.  Cycles:
    limit number of processes compiling OpenCL kernel based on memory.
    Fix VR viewer offset on session start with no positional tracking.
    Fluid: Small fix for secondary particles.  Alpha hash support for
    hair in EEvee.  Cleanup: use doxy sections.  Fix T74846: UV gizmo
    swaps X/Y.  Cleanup: use const to for some mask arguments.  Cleanup:
    move mask queries into own file.  Cleanup: use 'r_' prefix for
    output arguments.  Cleanup: update doxy sections.  Fix T74662:
    Prefetching causes random crashes.  Fix T75019: Frame Offset does
    not apply to scopes.  Windows/Cleanup: Remove VS2015 support from
    make.bat.  Fix T74038 : Scrolling doesn't work in menu if there is
    no active item.  Cycles: use OpenCL C 2.0 if available, to improve
    performance for AMD.  Add invert mapping option to proximity weight
    edit modifier, and some cleanup..  Modifiers: Vertex Weight Edit add
    invert curve falloff option.  Overlay: Wireframe: Make facing ratio
    offset depends on gl_Position.w.  Cycles: slightly improve OpenCL
    performance by reordering SVM enum values.  Cycles: work around
    OpenCL performance regression after AOVs and vector rotate.
    Cleanup: remove unused Cycles kernel feature flags, replace by node
    levels.  Cleanup: Silence warnings.  Cleanup: use switch statement
    instead of if/else on enum value....  GPencil: Cleanup previous
    commit.  GPencil: Add blank frame when add layer in Dopesheet.  GPU:
    Estimate a better value for the memory used.  Fix T74782: WorkBench
    TAA Artifacts During Painting/Drawing.  GPencil: Replace Tint mode
    "Both" to "Stroke and Fill".  Revert "Fix T74782: WorkBench TAA
    Artifacts During Painting/Drawing".  Fix missing grid theme option
    for Movie Clip Editor.  Fix T64573: RNA_path_from_ID_to_property
    fails for pointcaches.  Fix T74744: Studio Lights editor not
    updating in realtime when tweaking the settings.  Fix T74872:
    Clipping Region not updating.  Fix T74957: Matcap flip not updating.
    Fix T74096: Paint Masking overlay can`t be hidden.  RNA: expose
    comparison tolerance for Mesh.unit_test_compare.  Fix T75036: Assert
    when copying pose bones.  Doc: remove MeshTessFace reference.  Fix
    solidify complex degenerate cases with duplicate faces.  UI: add
    Blender -> System menu.  UI: add menu search functionality to
    operator search menu.  Cleanup: clang-format.  Cleanup: spelling.
    Fix invalid comma use.  Fluid: Enforce minimum thickness to planar
    flow / effector objects.  Fluid: Use different phi for levelset
    generation.  Fix T73505 EEVEE: Group output node sockets default
    value not working.  Fix possible endless loop in Auto Merge & Split.
    Revert "COW: Edit Mesh: Do not copy the looptris pointer".  Fix
    T74984: Crash opening specific production files.  Fix T74782:
    WorkBench TAA Artifacts During Painting/Drawing.  Bump subversion
    for previous theme additions.  UI: Theme options for checkerboard
    pattern colors and size.  Deps: TBB changed their repository URL.
    Change solidify's material offset in complex mode to conform with
    simple mode.  Fix T74195: Solidify Complex Dissolve Crash..
    Depsgraph: Driver Relations, skip finding possible relation with one
    driver.  Fix T73593: Drivers on hide_viewport and hide_render are
    unreliable.  Fix T74923: Weight Painting Overlay Invisible for In
    Front Objects.  Fix T74586: Image Editor Uses Invalid Display
    Channels.  COW: Edit Mesh: Do not copy the looptris pointer.  Sound:
    Fix asymmetrical mutex lock/unlock logic.  Fix T72632: Blender
    crashes using Jack with AV Sync enabled (repeatable).  Fix T74964:
    Stereo Viewport Rendering Not Working.  Fix T73988: Mantaflow fluid
    simulation - Particles for Spray, Foam and Bubbles are one frame
    ahead of Mesh.  Fix T75018: Dirty vertex colours missing tooltip.
    Cleanup: spelling, correct Mesh.mface docs.  Cleanup: use static
    declaration.  Fix OpenXR SDK failing to compile with no JsonCpp
    installed.  GPencil: Fade to Viewport color.  Fix install_deps.sh
    ignoring --skip-xr-openxr.  OpenCL: Bring back CYCLES_OPENCL_TEST
    override.  Fix T73372: cryptomatte not filling last pass for odd
    number of levels.  Fix T67712: cryptomatte sockets created in wrong
    order in some cases.  Fix crash with empty volume object and points
    drawing.  Cleanup: compiler warnings.  GPencil: New Hardeness mode
    for Opacity modifier.  UI: Weight Paint: add a menu for locking and
    unlocking vertex groups..  Fix T74959: Need to be explicit about
    UTF8 encoding in py..  GPencil: Fix unreported slow transform with
    proportional edition.  Python API: add bl_use_stereo_viewport for
    RenderEngine.  Fix T68370, T74973: Cycles cryptomatte not working
    when other passes are enabled.  Fix T74345: missing albedo for
    Cycles principled hair BSDF.  Fix Python error in Cycles baking
    panel.  Fix T74649: Outliner: Cannot set/clear parent with 'Keep
    Transforms'.  Multires: Fix assert when removing modifier in edit
    mode.  Cleanup: Use IDTypeInfo data for `id_swap` functions..
    Cleanup: Move `BKE_libblock_get_alloc_info` to using IDTypeInfo..
    fix API doc generation after new `volume` entry in context....  Fix
    T74154: Mantaflow crash: Baking data for domain type fluid on a
    plane..  Fix T74885: Stamped lens metadata is wrong when camera lens
    is animated.  Multires: Disallow changing mode and quality after
    subdivision.  Fix T74811: GreasePencil Stereo Rendering.  Fix
    T74643: Outline Overlay Shows Hidden Faces.  Cleanup: clang-format,
    comment indentation.  Cleanup: sort file, struct lists.  Cleanup:
    remove old header conventions recently re-introduced.  Cleanup:
    remove debug print accidentally included in own previous commit..
    UI: use consistent names in theme preferences and editors menu.  Fix
    invalid Linux appdata.xml syntax.  Cleanup: fix typos in comments.
    UI: remove unnecessary Shadow from Shadow Samples label in Eevee
    volumetrics.  Fix UI alignment in generator f-curve modifier..
    Cleanup: silence warnign in volume grid code.  PyAPI Docs: Update
    aud example.  Fix Cycles crash in Windows debug mode with volumes.
    Cleanup/refactor: remove BKE_idcode, in favour of BKE_idtype..  Fix
    typos in names fo new mesh and texture IDTypeInfo..  Fix build
    WITH_CXX_GUARDEDALLOC.  Fix T70126: Can't snap between objects with
    Rigid Body.  Cleanup: add extern C.  Fix T74908: volume object step
    size can not be set back to zero.  Fix typo in make.bat help for
    build directory.  ColorManagement: Incorrect Memory Read for RGB
    images.  Fix T74925: Texture Paint Stencil Mask crash.  Fix T74916:
    Industry compat keymap: GP Tweak tool acts like the Cursor tool.
    Fluid: Cleaned up some parts of the fluid modifier UI.  Fix T74915:
    Gpencil Tweak tool does not add point to selection holding Shift.
    Multires: Support "Subdivide" for Simple subdivision type.
    Multires: Optimize memory usage further.  Multires: Reduce memory
    footprint after previous fix.  Multires: Subdiv, properly support
    base edge crease.  GPencil: Cleanup - Split BKE_gpencil.h geometry
    functions into BKE_gpencil_geom.h.  RNA: add MetaElem.select &
    use_scale_stiffness.  Fix T74701: Text on Curve Scaling Issue.
    Subdiv: Make Blender crease to OSD sharpness reusable.  Multires:
    Add missing context initialization.  Multires: Cleanup, typo in type
    name.  Multires: Store modifier pointer for subdivide.  Cleanup:
    `make format` after SortedIncludes change.  Code quality: Enable
    SortedIncludes.  Cleanup: `make format` (and adding . to end of
    comment).  Fix T73931: Stereo Viewport Color Management.
    WindowManager: Remove Stereo Offscreen.  UI: scale sequence handle
    by pixelsize.  Cleanup: rename variables which aren't specific to
    macOS.  Cleanup: declare & assign variables on the same line.
    Theme: update blender light theme.  UI: add view aligned gizmo
    color.  Cleanup: use '\' for doxygen commands.  Cleanup: spelling.
    Cleanup: shadow warning.  Fix building on Linux as '__time64_t'
    isn't portable.  Fix (unreported): Crash on accessing active
    sequence in select groupped operator.  VSE: Strip drawing
    improvements.  VSE: Disk cache.  Fluid: Fixed issue with intial
    velocities in liquid domains.  Cleanup: Prepare XR code for sorted
    headers.  Fix T74837: GPencil: Mirror over first selected marker
    crashes.  UI: Update the Clay Thumb Sculpt icon.  Cleanup: Prepare
    for sorted headers on windows.  Fix (harmless) use of uninitialized
    variables in Cycles.  Cleanup: 64 bit file IO on windows..  Fix NULL-
    pointer dereference after error during VR session start.  Cleanup:
    Fix build warnings on windows..  Fix compilation error after recent
    change.  UI: Make sure theme UI names are correctly capitalized.
    Fix T74524: tooltip for smoke dissolve time is backwards.  Cleanup:
    Resolve HKEY conflict.  Fix T74542, T74386: schulpt changes not
    saving (dyntopo or mutires).  Fix T74842: Remove Vertex Paint
    hotkeys.  GPencil: Fix typo error.  Fix build errors with
    WITH_HEADLESS or WITH_GHOST_SDL.  Fix openXR building with
    install_deps in some compilers..  Fix T74876: Crash when snapping to
    faces.  GPencil: Remove Panel Grease Pencil and move Use Lights to
    Visibility.  Fix headless and Python module build after recent alert
    icon changes.  GPencil: Remove duplicated Mode parameter from Color
    Subpanel in Vertex Paint.  Cleanup: Rename variables.  GPencil:
    Remove background to Dopesheet buttons.  Fix BPY enum property
    definiton failing if items contain spaces.  Cleanup: spelling.
    Tests: add OpenVDB volume tests.  Volumes: add render settings for
    volume datablock.  Cycles: change volume step size controls, auto
    adjust based on voxel size.  Cycles: support for rendering of new
    Hair object prototype.  Cycles: support rendering new Volume object
    type.  Cycles: support for different 3D transform per volume grid.
    Objects: Eevee and workbench rendering of new Volume, Hair,
    PointCloud.  Objects: add Volume object type, and prototypes for
    Hair and PointCloud.  UI: add new icons for Volume, Hair and
    PointCloud.  GPencil: Cleanup int comparisons.  GPencil: Invert
    Dopesheet icons to same order than properties panel.  Weight Paint:
    Implement a new Lock-Relative mode..  Modifier: skip calling
    MOD_deform_mesh_eval_get.  Fix typo causing compile error with
    WITH_XR_OPENXR disabled.  VR: Initial Virtual Reality support -
    Milestone 1, Scene Inspection.  Ghost: Ghost-XR API to abstract away
    and access OpenXR functionality.  Fluid: Correct Tooltip.  Online
    Manual Reference: Update.  Cleanup: Fix warnings about function
    signature of register pass.  GPencil: Fix crash joining objects.
    make deps: Fixes to make OpenXR to work on CentOS Linux.  GPencil:
    Rename old color operators to material.  Fix T74762: Mantaflow: Non
    emmiting flow source affects simulation.  Fix T74322: Wrong object
    bundles with scaled camera.  Cleanup: Remove unused function.
    Multires: Properly support virtual modifiers for Apply Base.
    Cleanup: process colorspace conversion with a 1D pixel array.
    GPencil: Fix Parent layer not working.  Cleanup: blenkernel proper
    header inclusion for BKE_ocean.h.  Fix T74838: fix dereferencing of
    NULL in sculpt_no_multires_poll when no active object exists.
    Multires: Fix Apply Base when there are deform modifiers.  Multires:
    Add utility to create deformed base mesh.  Mesh: Fix applying deform
    modifier up to index.  Mesh: Add utility to calculate deform
    modifier up to index.  Multires: Cleanup, argument naming and order.
    Multires: Cleanup, remove redundant argument.  Fluid: Fixes for new
    abort bake faster feature.  Add experimental global undo speedup..
    Cleanup: rename function.  OverlayEngine: crash when using hidden
    faces.  Revert "Cleanup: use doxy sections".  Fluid: Abort baking
    jobs faster.  Fix error using CUDA in plug-ins on Linux/macOS, hide
    our CUDA symbols.  Multires: Cleanup, naming, make it more
    consistent.  Add accumulated recalc flags to IDs..  Cleanup: minor
    changes..  Fluid: Re-dded Empty Space option in the UI.  Fluid:
    Updated manta pp files.  Depsgraph: Adds helpers to extract/restore
    despgraphs in a given Main..  BKE_lib_id: Add helper to swap full ID
    content and use proper naming..  Cleanup: rename 'centre' to
    'center' in View3D.  Cleanup: sort DNA renaming.  Cleanup: use more
    descriptive variable name for the data-mask.  Revert "UI: Add 7 new
    community themes".  Nodes: Display bl_icon of custom nodes in node
    header.  Fix incorrect Face Sets when using mask extract.  Fix
    visual artifacts with partially hidden meshes and mask extract.  Fix
    T74626: Wrong Face Sets overlay rendering in smooth shading.  Update
    viewport rotation origin when changing Face Set visibility.  Fix
    T61234 Mirroring Grease Pencil keyframes in the Dopesheet fails.
    Cycles: Fix bad escape character used for dot.  Fix T74776: Cycles
    crash with missing image texture after recent changes.  UI: Show
    decorators for lights when using Cycles.  UI: Add 7 new community
    themes.  Cleanup: Typo in comment.  UI: fix backdrop and alignment
    in anim channels.  Fix another implicit cast of boot to int.  Fluid:
    Updated Manta pp files.  Fix implicit cast from bool to int in path
    tests.  Workbench: Crash When Rendering With Stereo.  Cleanup: use
    unsigned char for UI_view2d_text_cache_add.  Cleanup: misleading
    memset use.  UI: Add an Outline to the Popover Arrows.  Workbench:
    Fix default view not reset after drawing.  Fix a syntax error in
    test spec for BLI_delaunay_2d_test..  GPencil: Reduce factor to 5 in
    previous commit.  GPencil: Remove Keep parameter from Select Vertex
    Color.  Fix Blender building after recent 'cleanup'..  Fix outliner
    edit-mode check.  Fix potential draw manager assignment to negative
    index.  Fix potential NULL pointer de-reference creating liquid
    geometry.  Cleanup: add parens for clarity.  Cleanup: add NULL check
    for RNA filename argument.  Cleanup: use 'r_' prefix for return
    args.  Cleanup: avoid setting float values by bit-pattern.  Cleanup:
    redundant checks.  Cleanup: redundant assignments.  Cleanup: use
    'const' style argument.  Cleanup: shadow warning, clang-format.  UI:
    Fix capitalization in the macOS app menu.  UI: Larger Alert Icons.
    GPencil: Change Select Vertex Color to similar selection.  IC
    keymap: Fixes for GP.  GPencil: Fix missing context wheel color in
    Tint tool.  GPencil: Add option to keep selected in Select Vertex
    Color.  GPencil: Use Linear color instead of sRGB for Select Vertex
    Color.  GPencil: Add Select Vertex Color to menu.  GPencil: Rename
    operator select_color to select_vertex_color.  GPencil: Rename
    operator color_select to select_material.  Fix T67446: UV Editor:
    support island select mode for box/circle/lasso selections.
    Cleanup: spelling.  Cleanup: remove unused ARegion from
    bGPdata_Runtime.  CMake: use spaces instead of tabs for icon
    updating script.  Cleanup: sort file lists & struct declatations.
    Cleanup: use doxy sections.  UI: Toolbar icons.  Fix T73921: Eevee
    volume render test memory leak in Mantaflow.  GPencil: Don'r Replace
    color if vertex color is empty.  Cleanup: USD, move some common code
    to an abstract superclass.  Fix T74699: File browser closing while
    loading crash..  Cleanup: `BKE_mesh_nomain_to_mesh`: Add assert that
    source mesh is indeed not in Main..  Cleanup: Comments of wmJobs
    callbacks..  Fix T74397: Crash after undoing quadriflow remesh on
    duplicate with armature deform.  Fix T74686: Loading btx file in
    multires modifier is not working.  Multires: Fix loosing sculpt data
    when using external BTX file.  Fix stereoscopy reference image
    drawing in the viewport.  GPencil: Fix UI typo.  Fix stereoscopy
    drawing for camera background.  Fluid: Potential fix for Eevee tests
    crashing with Mantaflow.  Potential fix for T74609: File Selector
    Crashes Showing Thumbnails..  Multires: Fix Subdivide, Reshape and
    Apply Base.  Multires: Increase default quality to 4.  Subdiv: Fix
    loose geometry callbacks in certain conditions.  OpenSubdiv: Make
    non-full geometry less strict for sharpness.  GPencil: Fix typo
    error.  GPencil: Enable Lights ON to default object in 2D template.
    Python: add foreach_get and foreach_set methods to pyrna_prop_array.
    GPencil: Avoid segment fault when use Simplify modifier.  Cleanup:
    USD, removed unused export job data.  GPencil: Fix Noise modifier
    versioning.  Fix T74696: Segment fault in Noise modifier using
    Vertex Groups.  Fix IDTypeInfo not having enough bits for ID filter
    flag.  GPencil: Cleanup unneeded check.  GPencil: Join Tint and
    Vertex Color modifier.  Fix info showing multi-line reports reversed
    (upside-down).  DeformMod: Performance by reusing buffers.  Cleanup:
    pass const args (mostly Scene & RenderData).  Fix boundary edges
    detection ignoring Face Set visibility.  Fix flood fill operation
    not taking into account hidden vertices.  Use golden ratio conjugate
    for Face Sets hue generation.  Fix Face Set operators not modifying
    sigle poly Face Sets.  Fix T74646: Pick a random face set to be
    rendered white when randomizing the colors.  Fix T74648: Do not
    relax with 0 neighbors or no vertex normal.  Fix mesh shrinking when
    using the relax mesh filter..  Fix memory leak in recent Cycles
    image texture refactor.  GPencil: Move Vertex Paint mode to topbar.
    GPencil: Fix color management in Vertex Paint tools.  Fix T73049:
    Drag & drop on overlapping panels behaves incorrectly.  Fix T74670:
    crash during copy paste of objects..  Expose 'is embedded data' ID
    flag to RNA..  Fix T66505: Dope Sheet shows empty Grease
    Pencil/Annotation layers.  Cleanup: simplified Grease Pencil
    animdata filter.  Cleanup: add device_texture for images, distinct
    from other global memory.  Fix build error with recent OpenImageIO
    versions.  EEVEE: Update Preview file with new lightcache.  GPencil:
    Fix unreliable comparison.  Fix T73228: UI shows settings of wrong
    marker when movie clip is offset.  Fix T73212: Gizmo's are still
    interactive when behind nodes.  Cleanup: move gizmo handling into a
    function.  Fix T71961: Soft body behavior is incorrect when CTRL +
    F12 animation is rendered..  Cleanup: remove unused node tree user
    counting functions.  Bug report preset update (last worked version).
    Fix T74605 Key Indicator for motion paths not updating for objects.
    GPencil: Change Build modifier UI layout for Influence Filters.  Fix
    T74659: Seaching for operator crashes Blender.  DrawManager: Pack
    Draw State Bits.  Fix T74392: HDRI preview spheres appear in render
    passes and reflections.  Fix move-3D gizmo in use 2D spaces.
    Cleanup: text view API.

 -- Thomas Schiex <tom@globule>  Fri, 29 May 2020 22:24:51 +0200

blender (2.83-17-beta~95461-b4613e0bca9-0thomas~bionic0) bionic; urgency=medium

  * Move 2.82a  beta to 2.83 beta before release.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 19 Apr 2020 10:50:55 +0200

blender (2.82a~1583989604-0thomas~bionic5) bionic; urgency=medium

  * Move 2.82a from beta to release.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 19 Apr 2020 10:50:55 +0200

blender (2.82a~1583989604-0thomas~bionic0) bionic; urgency=medium

  * Moving to new upstream version

 -- Thomas Schiex <empnessty@gmail.com>  Mon, 13 Apr 2020 10:07:09 +0200

blender (2.82a~1583989604-0thomas~bionic0) bionic; urgency=medium

  * Move 2.82a from beta to release.  Fix shader build error.  Fix
    T74425: Cannot texture paint an images sequence anymore.  Fix
    T73369: corner pin & sun-beam nodes gizmos are too big.  Fix T63892:
    Tools cannot be registered into some contexts (e.g. PAINT_TEXTURE).
    Fix T74225: Image (from sequence) cannot be loaded.  Fix Vertex
    weight gradient tool show wrong weight/strength values in the UI.
    Fix bone envelopes displaying wrong when armature is scaled.  Fix
    T72028: Crash switching to vertex paint.  Keymap: Add front/back Alt-
    MMB absolute view axis switching.  Codesign: Make file watcher
    robust for network errors.  Codesign: Remove archive with files
    after they were copied.  Codesign: Harden check for archive being
    ready for sign.  Codesign: Attempt to make macOS codesign more
    reliable.  Buildbot: Enable version character for development
    builds.  Revert typo fix to ensure localisations don't break.
    Update add-ons submodule with fixes for 2.82a.  Fix T72253:
    Mantaflow adaptive domain cuts off.  Revert "Constraints: remove
    special meaning of Local Space for parentless Objects.".  Fix
    T74431: EEVEE AO Render Pass.  Fix T74295: Cloth + Internal springs
    crashes on a non-polygonal geometry.  Fix T74278: Light, Image
    Object, and Compositor Backdrop Viewer Node gizmos are too big.  Fix
    crash when compiling renderpass shader on some AMD drivers.  Fix
    (unreported) Separate bones creates empty armature.  Fix camera
    border gizmo size.  Fix T72903: Bone envelope & bone size tool
    functionality swapped.  Fix T74182: Crash saving images from non-
    image spaces.  Fix T74003: Autocomplete bug with
    mesh.loop_triangles. in Blender Python Console..  Fix T73932:
    modifying keyframes in nodes fails when there is an image sequence.
    Fix T54270: Reset last_hit and last_location when reading the file.
    Fix crash loading .blend file saved with Blender 2.25.  Fix T73862:
    Fluid Sim file handle resource leak.  Fix T73898: UDIM crash
    changing form tiled to single.  Fix potential crash with Eevee
    render of missing image textures.  Bump version to 2.82a beta..
    Tagging submodules.  Fix T73442 Overlay: Wireframe infront buggy in
    material shading mode.  Blender 2.82 release bump.  Splash: New
    image for 2.82 by Andry Rasoahaingo (dedouze).  Subversion bump
    2.82.7 (preparing for release).  Fix Attempt to free NULL pointer.
    Fix Attempt to free NULL pointer.  Fix T73675: Leaving exit mode
    tags all objects for update.  Fix memory leak with 2D image
    painting.  Fix T73682: Sampling color fails for float images.  Fix
    unreported: Packing/unpacking errors don't mention tiled images.
    GPencil: Fix unreported missing annotation popover menu.  Fix
    T73713: Tiled textures (UDIM) getting lost when saving the .blend
    but not the textures.  Fluid: Optimization for fluid domain obstacle
    boundary handling.  Fluid: Fixed file formats for script exporter.
    Fluid: Fixes for fluid guiding.  Fluid: Updated manta pp files.
    Fluid: Fixed cache reading issue with larger resolution noise grids.
    OpenVDB: Added missing macros in fluid wrapper file.  Fluid: Fixed
    try/catch exception issue and unsed variable issue.  Keymap:
    preference to swap 3D orbit/pan actions.  Keymap: preference for
    relative/absolute Alt-MMB navigation.  Fix: Build error on windows
    in bf_intern_mantaflow.  Reference correct sha1s of submodules.
    OpenVDB: Fix IOError in try catch statement.  Fluid: Fixed slow
    cache loading for smoke data.  Fluid: Removed UI locks for cache
    file types.  Particle: Added sanity in particle system removal
    function.  Cleanup: Fix comment.  Fix T64058: GPencil - Ensure
    object mode if linking from a library.  Fix T68076: Color Correction
    node generates NaN.  Fix unreported: View All in the Image Editor
    ignores UDIM tiles.  Fix unreported: Trying to create invalid UDIM
    tiles failed without error.  Fix T69776: Error with complex Eevee
    noise texture in some drivers.  Fix T73127 EEVEE: Reflection plane
    not visible in lookdev without scene world.  Fix T73517 Overlay:
    Edit Mode: X-Ray does not work if xray is equal to 1.  Fix T69834
    Edit Mesh: Multi-object edit crash when an instance is hidden.  Fix
    T70121 EEVEE/GPencil: Curves cause crash when using background
    rendering.  Fix finding freetype on Linux not using pre-compiled
    libs.  CMake: remove non-standard package search paths.  Fix T73580:
    Gpencil crash when try to draw without eraser brush available.
    Fluid: Improved baking progress bar UI.  Improve error message
    converting nurb to bezier.  Fix T58842: Add-ons Import/Export
    entries disapear when enabling Filter Addons option.  Fix T67084:
    Modal keymaps could show the wrong shortcut.  Reports: Add utility
    to cancel displayed reports.  Fix T61685 Curve extrusion looses flat
    shading in certain viewport shading.  Fix T72155 Overlay: Bone X-ray
    no longer works in pose or weight paint mode.  Fix T72504 EEVEE:
    Crash when rendering Instance Collection with hair.  Fix wrong
    glColor3usv array size check in clang array checker.  Fix warning
    when initializing the IK chain in the Pose Brush.  Fix wrong default
    value for Lacunarity in Musgrave texture.  Fix T57866: Annotation
    not working using Search and Enter key.  Fix T65306: UI widgets
    clipped when scaled up.  GPU: add projection matrix function to set
    only near/far clipping.  Fix T73567: Mantaflow adaptative domain
    takes objects with the flow turned off into account.  CMake: Attempt
    to fix tests on buildbot.  Grease Pencil: UI: Clarifiy Erase modes.
    Codesign: Fix script for Windows.  Codesign: Possible fix for stamp
    appearing prior to archive.  Fix T73234: Undo/redo with local
    collection crashes.  Fix T73095: Edit Mode Overlay Linked Mesh.
    Fix: UI: Spelling and Capitalization.  Fix T73537: Particle system
    Crash.  Fix T72261 Overlay: Edit Mesh: Edges not visible when using
    "In front".  Overlay: Armature: Fix Display armature as bound box in
    object mode.  Fix CMake error with versions older than 3.9.  Fix
    T73045 Crash entering edit mode for "Object Font" instance mesh.
    Fix Cycles particle hair rendering broken after recent changes.
    Codesign: Fix wrong logging message.  Codesign: Add codesign for
    macOS worker.  Overlay: Armature: Fix wireframe display type not
    working as 2.81.  Overlay: Armature: Improve bone outline z-bias in
    orthographic mode.  Fix T65114 Overlay: Armature: Bones with
    negative scale have wrong display.  Fix T73472: Crash in override
    code on dirty pose bone pointers..  Buildbot: Specify path to macOS
    codesign.  Fix T73364: crash calling particle_sytem.co_hair() on
    disabled particles.  Fix T73559: UDIM Crash Fill Tile.  Text: make
    "Text" tab active when searching.  Fix T73553: Grease pencil poll
    crash with non-gpencil objects.  UI: fix blurring of bitmap icons
    for the navigation gizmo.  Fix error showing viewport units.
    Object: support 'Affect Parents' for snap/clear transform.  Object:
    no longer skip weight paint objects when clearing transform.  UI:
    use full width for ID blocks in speaker properties.  Fix T64024:
    fullscreen switching on macOS shows red line artifacts.  Fix issues
    in Cycles standalone, particularly related to render display.
    Cycles: bump version to 1.11, matching Blender 2.82 release cycle.
    Fluid: More stable flow emission.  Fluid: Better default values and
    cleanup.  Fluid: Fixed deletion issue with secondary fluid particle
    systems.  Fluid: Fixed secondary particle warnings.  Fix tests
    failing on AMD Ryzen, due TBB initialization order issue.  Fix more
    undefined behavior in tangent space computation.  USD: Include USD
    library version in System Info.  Displist: Add mikktspace tangent
    space generation for DL_SURF.  Fix preset tracking setttings missing
    a comma.  EEVEE: Test maximum texture size before render..
    Buildbot: Make archive naming shorter and cleaner.  Buildbot: Allow
    building on systems without scl.  BLI_kdopbvh: Prevent division by
    zero in raycast.  Fix T73051: Multiple IK chains influencing the
    same bone don't work.  Fluid: Updated Manta pp files.  Fix T73499:
    Crash on hiding parent and all children of an object if one child is
    in an excluded collection.  Buildbot: Enable 16 threads for macOS
    worker as well.  Cleanup: remove WM_keymap_verify_item.  Fix
    outliner delete not flushing multi-object edit-mode data.  Cleanup:
    ED_editors_flush_* functions.  Fix T73495: Missing undo switching
    active shape-key in edit-mode.  Cleanup: clang-format, unused
    variable.  Fix changing shape key in multi-object edit mode.
    Displist: Add mikktspace tangent space generation for DL_INDEX3.
    Fix invalid exception used in 'rna_xml'.  DRW: Add support for
    tangent on objects using display lists..  Fix crash when adding
    modifiers to curve/surface/text objects.  Fix T65146: Curve Texture
    Coordinates in Cycles and Eevee differ.  Fluid: Fixes for flow
    objects and initial velocities.  Fix T73483: Mantaflow: Smoke inflow
    in liquid domain emits liquid.  Fluid: Added wavelet noise tile to
    the gitignore.  Fluid: Updated UI.  Fluid: Removed wireframe
    drawtype setter for fluid domains.  Fluid: More cleanup related to
    flow emission maps.  Fluid: Cleanup in flow emission loops.  Fluid:
    Removed the currently unused high-res smoke emission code.  Fix
    T73466: Unable to set particle rotation.  Fix T73054: Add DNA
    defaults for pose_ik_segments.  Fix T73188: RenderResult as Camera
    BG Image.  Buildbot: Increase number of compile thread for Linux
    Buildbot.  Fix T73014: Marker sync does not work correctly if moving
    strip so it overlaps another strip.  Fix T55622: Proportional
    editing for Gpencil/Masks in dope sheet not taking proportional size
    into account.  Fix T72089: Image Editor - Paint mode, Clone Tool -
    disfunctional clear button in the Image slot in the Brush panel.
    Fix T67654: missing ui refresh when changing active particle system.
    UI: pose X-ray state wasn't shown in the header.  Fix solidify
    complex fixed thickness on flipped normal boundary.  UI: hide filter
    alembic option.  EEVEE: Micro optimize disk light.  Fix T67060
    EEVEE: Noise caused by disk lights.  Tool System: add shear tool to
    non-mesh edit-modes.  Fix T62730 Overlay: Selected edit hair points
    highlight is incorrect.  Cleanup: fix compiler warnings related to
    deprecated members.  Alembic depsgraph: explicitly add ANIMATION ->
    CACHE dependency.  Fix T72143: editing image frame start/offset does
    not update in Eevee.  Fix T72593 Blender crashes when modifier
    change the material count.  Fix T72660: Alembic caches are not
    properly updated by drivers.  Partially fix & comment about bad
    handling of `wrong_id` in `read_libblock()`..  Fix T67006: Crash
    RenderEngine with preview.  Fix T54422 FluidSim: ColorRamp set
    position does not update the viewport.  Fix T66699 EEVEE: Material
    Preview "World" option doesn't work.  Fix T65350: scrolling popovers
    with trackpad not working on macOS.  Fix: icon alpha theme option
    does not affect toolbar icons correctly.  Fix T68960: Crash loading
    app-template keymap.  Error in last comment (redundant assignment).
    Fix T69213: App-Template doesn't run scripts in
    BLENDER_USER_SCRIPTS.  Fix T67552 EEVEE: Vector Curves node clamps
    maximum input value at 1.0.  Fix T69070 EEVEE: Volume shader glitch
    if object as axis with 0.0 scale.  Fix: Building without
    WITH_MOD_FLUID.  Fix undefined behavior in tangent space
    computation.  Fix particle instance modifier generating NaN polygons
    in some cases.  Fix part of T65404: quit dialog doesn't show if
    Blender is minimized.  Fix T59804: Expose hidden
    bmesh.ops.symmetrize options in python.  Fix T73409: error deleting
    preset saved on different drive than Blender install.  Cleanup: fix
    compiler warnings.  Fix T73399: Crash trying to move the origin of
    an empty..  Fix T72862: Viewport Render doesn't render Grease Pencil
    Overlays.  Fix T71719: Unrelated menus open on hover.  BLI_rect: add
    rect-rect intersection checks on a single axis.  Fix T72449: Stale
    outliner selection after object duplicate.  makesdna: avoid 'alloca'
    in a for loop.  Docs: update reference to PYTHONPATH.  Depsgraph:
    fix false positive time dependencies for simple drivers..  Sculpt:
    Rename Topology Brush to Slide Relax Brush.  Fix T71373: Sculpt Mask
    not extracting correctly on scaled objects.  Fix T53205: Show Smoke
    Advance Panel at Outflow type.  Fix T72975: [Mantaflow] Mesh
    generation bug.  Fluid: Added resume cache boolean to standalone
    scripts.  Make deps: Force some boost dependencies.  Fix T73349: X-
    Ray Mode - snapping through object stop working on value = 1.
    Fix/workaround initialization order of static TBB/MKL.  Fix T73001:
    Shader Node with driver not updating when animated.  Fix T73336:
    Several issues (including crashes) with ID pointer IDProps and RNA..
    IDProps: add utility to set an ID pointer IDProp value..  Fix
    T72083: Object.proxy_collection is been set to linked target object
    even when target is not a collection.  Fix T69121 DRW: Missing depth
    buffer refresh with GPencil + Cycles.  Fix T71374 EEVEE: Fix Node
    group socket not converting inputs as in Cycles.  Fix T72789:
    Mantaflow cache doesn't work with non-latin cache directory.  CMake:
    Refactor external dependencies handling.  Make deps: Fix zlib
    symbols defined twice.  Fix T73327: GPencil strength sculpt brush
    not working with small brush radius.  Fix T67050 Overlay: Forcefield
    limits are not dashed.  Fix T66956 EEVEE: NaN produced by bad
    geometry mess with the DoF.  Fix T73335 Overlay: Light Distance line
    does not represent custom distance.  Fix T71311 Bridge Edge Loops
    crash when bridging cube edges.  Fix T73279: Particle Rotation
    checkbox enabled when a bake exists.  Fluid: Cleaned up functions
    that deal with Python objects (C-API).  Fluid: Refactored Mantaflow
    <-> Blender pointer exchange once more.  Fix T71344: Optix render
    errors with motion blur and unknown bone constraint relationship.
    Fix wrong DNA alignment on arm{el,hf} and mipsel.  Fix T69921: VSE -
    Waveforms unnecessary redrawn on offset change.  Fix T73311:
    Mantaflow > Liquid: Enabling Initial Velocity on Inflow / Outflow
    crashes Blender.  Fix T72894: Mantaflow: several crashes due to null
    pointers.  Fix Blender DMG bundling for macOS failing on buildbot.
    UI: rename transparency to opacity.  Fix T70415 100% proxy files
    playing with poor performance.  Fix numerical instabilities of
    solidify with complex constraints.  Fix T72619: Fix/implement
    support of particle modifiers in liboverride..  Make
    ED_object_modifier_add() accept NULL scene parameter..  Fluid:
    Refactored the Mantaflow <-> Blender pointer exchange function and
    switched to from NULL to nullptr in cpp files.  Fix T72459: Mask
    Modifier breaks Vertex Parenting.  libs/windows: Prevent USD exports
    from leaking into blender binary..  Fix: Building with clang on
    windows..  Docs: describe turn-table gimble lock mitigation.  Fix
    T73297: Incorrect lock properties tooltip.  Fix T73233: Image Editor
    Color Picker Crash.  Fix T73295: Incorrect BMesh volume calculation.
    Fix T72216 Copied Particles not refreshing in the viewport.
    Industry Compatible Keymap: use MMB to access the active tool.  Fix
    T70891: Motion Path - Changing endframe clamps startframe to 1.  Fix
    T61259: Loop Cut with Trackpad or MagicMouse.  Fix T72213: F-Curve
    animation does not update FreeStyle properties.  Fix T62882: Make
    Dynamic Paint update weights in viewport.  Windows: Update
    platform_win32.cmake to boost 1.70.  Partial Fix T73043: Denoising
    Albedo not working well for Sheen.  Fix T73110: UDIM Texture Paint
    Crash.  Fix T72546: Video Sequencer: Select grouped 'OVERLAP'
    operator wrong selection.  Overlay: Improve Outline diagonal
    Antialiasing.  Fix T71825: Custom Animation Player path overrides
    chosen player.  Fix T73162: Modal tools cant be mapped to MMB.  Fix
    T73265: GPencil console error when delete frist frame.  Fluid: Fix
    for liquid domains in cache replay mode.  Fix T72050 Subdivide
    method "Straight Cut" not working with N-Gons enabled.  Bevel: flush
    selection with non-modal execution.  Fix file browser not excluding
    AirDrop from the System list on macOS.  Fluid: Fix for smoke domain
    geometry object with adaptive domain enabled.  Fix failing
    cycles_render_graph_finalize_test when building with clang.  Fix
    T73187 Overlay: Stereo 3D Camera not displaying correctly.  Fix
    Cycles not correctly using Background.shader if specified.  Fix
    T59747 EEVEE: Bug on EnvironmentTexture.  Cleanup: remove redundant
    function.  Fluid: Fix typo in smoke script.  EEVEE: Fix crash during
    lightbake.  Fix T73224: Crash calling UV Sculpt from operator
    search.  Build: upgrade to OpenEXR 2.4.0, OpenVDB 7.0.0 and Boost
    1.70.0.  Linux: update release notes for appdata.  Fix T71830:
    invalid Linux appdata syntax.  Fix OSL build error on macOS, no need
    to use external pugixml.  Fix T72605: Blender works only in one user
    account on macOS.  Fix T73129: sculpt mode slow on mesh with fake
    user.  Fix T71922: Bisect creates flipped faces.  Fixed secondary
    particle combined export functionality.  Fluid: Improved cache file
    loading.  Fix T73117: B-Bone twist weirdness in chains with sharp
    bends..  Fix: T71159 missing python3.dll.  Weld Modifier: Reduce
    size of the leaf nodes to half.  Fix memory leak when full-copying a
    scene after recent changes..  Cleanup of previous rBac723db57fd8ba5
    commit..  Fix T73170: New Scene -> "Full Copy" Crashes Blender..
    Cleanup: remove dead code in full scene copy/make single users
    area..  Cleanup: factorize collection handling in libquery code..
    Fix T67942 EEVEE: Crash when empty is set as camera and motion blur
    is on.  Gizmo: draw dial arc only over one rotation to avoid
    artifacts.  Fix T73186: Grease Pencil convert to Curve hidden until
    exiting edit mode.  Fix T71154: EEVEE Soft Shadows Viewport
    Rendering.  Fix T73159: Crash transforming 0 edited grease objects.
    Fix T73176: No options for Centre Action Safe Margins.  Build: fix
    Linux linking errors with some combinations of build options.  Fix
    T73135: Gizmos flicker when changing viewport options.  Cleanup: bad
    brace placement for manually formatted blocks.  Fix T72964: Text
    editor Python syntax highlighting for numerals.  Fix T72905: EEVEE +
    UV Edit Unused Map.  Fix T53178: Casting in Blur node with Relative.
    Fix T73064: Embree does not like Bevel shader.  Fix (unreported)
    surface deform modifier not reporting its errors in the UI.
    Overlay: Fix wrong 3D icon for cubemap lightprobes.  Fix T69794
    "Bake Cubemap Only" resets Irradiance Volume if world is updated.
    Python: disable environment variables by default.  Fix T53704: Error
    scaling f-curve handles by -1.  Fix T71952, T70125: Blender Linux
    crash on startup with some tablets.  Fix T72887: Outliner crashes
    when after undo of some linking operation..  Fix EEVEE: Planar
    Reflection data has inverted facing.  Fix T71788 Invalid (pink)
    shader when using wireframe node.  Fix T70766 EEVEE: Performance
    drop with node tree in 2.81.  Fix T68000: load previous settings
    error if config folder already exists.  Fluid: Fix for mesh
    velocities.  Cleanup: Clarification of the
    `Particle.uv_on_emitter()` function docs.  Fix T73121: Blender
    crashes on accessing particle uv_on_emitter.  Fix crash with
    Proportional Edit Connected in UV editing.  Fix T73125: Crash when
    opening a file containing a Line Style..  Fix T73149: Adjust Last
    Operation uses horizontal layout.  Fix T73150: Python tooltips
    missing from toolbar.  Cleanup: unused warnings.  Fix incorrect
    return value for mesh vertex connect.  Fix T73133: UDIM texture
    count in Eevee is limited by OpenGL.  Fix T72860: Mantaflow Fluid
    Sim fails when simulation starts after frame 1.  Fix T72104 Blender
    selects faces outside of Clipping Region if X-Ray is off.  Fix
    T72970: [Mantaflow] When changing the domain settings, the current
    frame of the scene is set to 1.  Fix T73111: Bake data of fluid
    causes crash of Blender.  Fluid: Additional fix for relative cache
    paths.  Fluid: Fix T72971.  Fluid: Moved grid reset loop for inner
    obstacle cells from blenkernel code into Mantaflow.  Fluid:
    Additional fix for relative cache paths.  Fluid: Fix for relative
    cache paths.  Fluid: Updated Mantaflow source files.  Fix T72871
    Overlay: Spotlights cone is much smaller than before.  Fix T72574
    Overlay: 'Show Cone' for Spotlights not working anymore.  Fix
    numaapi on PowerPC platforms.  Fix T72419: 3D cursor placement flips
    axis with geometry orientation.  Fix T68489: Shrinkwrap modifier
    with project not working for curves.  Fix T72803: Texture Paint:
    Shortcut 'Shift + S' Does Not Save an Image.  Fix T72648: Texture
    Paint color sampling always samples only 1st tile when using UDIMS.
    3D View: use compatible quaternions when placing the cursor.  Fix
    T71091: Object restrict selection conflicts with pose selection.
    Cleanup: clang-format.  WM: support keys F20-F24.  Fix bevel leaving
    vertex/edge selection in an invalid state.  DRW: Fix instance batch
    check.  Fix T73070: Disable falloff_shape in the Pose Brush.  Fix
    T73094: Check all vertices when recalculating the mask flags.  Fix
    T71712: Free the dynamic mesh preview when rebuilding the PBVH.
    Cleanup: get rid of magic values for return flags of texture value
    getters..  Fix T72490 Collections: Exclude From View toggle causes
    segment violation.  Fix rendering motion blur scenes with OptiX
    failing with CUDA_ERROR_INVALID_CONTEXT.  Cleanup: added 'Versioning
    code until next subversion bump goes here'.  Fix T72625: Outliner
    visibility keying doesn't carry over from 2.79b.  Fix T73116 Crash
    on startup caused by implicit conversion in glsl.  Fix T71402 EEVEE:
    Transparent material add volume scattering.  Fix T71532 EEVEE: Hair
    UV/Color attributes not working.  Fix T72547 Wireframe overlay
    clipping issues.  Fix T72200: Split Quad View Region Crash.  Fix
    T72255: VSE video addition broken when using recursive filebrowser
    view..  Fix T68480: Normalize All weights with lock Active bug.
    Cycles: Crash fix for random walk SSS with Embree..  Fix T70606: 3D
    cursor oriented by geometry projects on objects displayed as bounds
    box and wire.  Fix T69105: reset the action blend mode to Replace in
    Bake Action..  Fix T57159: don't exit tweak mode in Bake Action if
    reusing the action..  Fix T72861: Viewport Render Keyframes ignores
    Grease Pencil and Shape Keys.  Fix T71798: Full Copy Scene produce
    Orphan Data objects..  Fix T72063: Workbench Sculpt Render.  Fix
    T70273: Auto-keyframe ignored by gizmos.  Cleanup: move property
    auto-keyframing to a generic API function.  Fix T71329: Bevel: Don't
    drop offsets to 'in plane' faces.  Fix T72152 DRW_debug_sphere Not
    Working After Overlay Refactor.  Fix T73044 Crash in UV editor when
    changing UV selection modes.  Fix T72957 Crash using Eye dropper in
    Edit mode with X-ray.  DRW: Fix stencil being modified by passes
    that are read only.  Overlay: Edit Mode: Fix vertices depth test not
    always on.  Fix (unreported) broken PY API doc gen after recent GP
    changes..  Fix T67305: Sculptmode Wireframe Coloring.  Fix T72250:
    Select Boundary Loop.  Fix T73069: Studiolights.  Fix T71620: broken
    particle collisions due to rB0666ece2e2f9.  Cycles: Fix viewport
    rendering when displaying as byte and not half float.  Fix T72470:
    OptiX render fails with scene with many translucent planes on
    Linux..  USD Exporter: clarified export options in the UI.  Fix
    T71491: Sculpt Brush Text Color.  Version 2.82 cycle to beta for
    bcon3, stabilizing period.  Cleanup: use doxy sections in
    wm_event_system.c.  Correct last commit, restore the double-click
    state for modal events.  Fix T72999: Fast keystrokes ignored for
    operators with modal keymaps.  Docs: explain logic behind
    wm_event_modalkeymap.  Fix T72948: Smooth active tool gizmo
    vibrates.  Fix mesh randomize tool not running.  Docs: 2.82 release
    description for Linux appdata.  Fix T71630: Add Delete Tracks to
    Edit menu in NLA editor.  USD Exporter: removed 'Export' from the
    exporter option labels.  USD Exporter: clarification of some
    comments in the code.  USD Exporter: make it possible to debug-print
    arbitrary export graphs.  USD Exporter: properly export objects
    whose parents are not exported.  USD Exporter: removed 'Visible
    Objects Only' exporter option.  USD Exporter: removed exclusion of
    'Holdout' collections.  Fix T72375: Crash when using spin tool.
    Cycles: Fixed OpenCL kernel build..  Fix T71295: Duplicate macro
    faulty after rotation.  Cycles: Disable fluid motion blur regression
    test.  Fix UV gizmos poll failing with multiple objects.  Fix
    multiple UV gizmos being linked at once.  Gizmo: use pivot center
    for UV gizmos.  Gizmo: improve 2D arrow select detection.  Fluid:
    Fix broken motion blur for liquids.  Fix T72900: Mouse-move causes
    redraw when gizmos are hidden.  Cleanup: centralize WM_gesture_end
    call.  Fix T72976: CRASH When Selecting Camera.  Industry Compat
    keymap: Fix gizmos stealing the Alt-key when navigating the
    viewport.  Revert recent change to the particles RNA, and only
    affect the UI..  Fix T66529: Cycles motion blur render errors with
    fast rotating objects.  Fix build error in tests on Clang / macOS.
    Fix T72954: Cycles gradient texture not clamped when using OSL.
    Cycles: Add OptiX AI denoiser support.  Fix T72288: Left click on
    empty space inside file browser resets scrolling.  Fix T72878:
    Alphabetical sorting in Outliner sorts shorter names last.  Tests:
    Natural string comparing (BLI_strcasecmp_natural()).  Fix T62311:
    Metaball animation playback crash.  Fix T72235: crash entering
    particle editmode with non-valid PTCacheEdit psys pointer.  Fix
    T72119: UV/Image Editor theme face colors with no effect.  Fix
    T72667: Collection delete hierarchy in edit-mode crashes.  DNA: mark
    OrigSpace structs as run-time.  Cleanup: mesh data header.  Fix
    T72919: NDOF 'Free' orbit preference is ignored.  Cleanup: use
    paint/sculpt prefix in BKE_paint.h.  Fix T72251: Add rotate brush as
    constrained by radius for automasking.  Fix T72647: Check if the
    PBVH type makes sense for the sampling mode.  Fix T72830: Check if
    the mesh has mask data before extractig or slicing.  Sculpt: Pose
    Brush with Inverse Kinematics.  Fix T72935: Applying transform to
    parent mesh changes rotation of children using quaternions.  Fix
    T69314: Broken Rotation to Deltas for Quaternions.
    bmesh_intersect_edges: Remove unnecessary index setting.  GPencil:
    Fix unreported memory leak.  GPencil: Remove memory allocation for
    triangles.  Blenlib: Add C++ guard for Queue.  Edit Mesh: add
    comments to EDBM_op_finish.  Depsgraph: Revert unwillingly staged
    change from previous commit.  Depsgraph: Cleanup spelling.
    Depsgraph: Refactor, make evaluation stages easier to extend.
    Depsgraph: Cleanup, move private functions to anonymous namespace.
    Cleanup: Remove unused task scheduler constants.  Edit Mesh: pass in
    Mesh instead of BMEditMesh to EDBM_update_generic.  Fix T69246:
    Outliner - Objects Filter Selected, Hidden and Active not working
    properly.  GPencil: Remove is_annotation parameter.  Annotations:
    Split annotation operators and pointer functions.  Fix T72499: UV
    Editor : Selection tools don't deselect when dragging on an empty
    space [face selection].  GPencil: Fix wrong keymap for Radius
    thickness (related to T72945).  BMesh: remove BMEditMesh.ob pointer.
    BMesh: remove BMEditMesh.ob use for ED_transform_snap_object_* API.
    BMesh: remove BMEditMesh.ob use for ED_mesh_mirror_* API.  BMesh:
    remove BMEditMesh.ob use for select mirror.  BMesh: remove
    BMEditMesh.ob use for undo.  BMesh: remove BMEditMesh.ob use
    BKE_editmesh_lnorspace_* API.  BMesh: remove BMEditMesh.ob use for
    draw manager.  BMesh: remove BMEditMesh.ob use for vert coord
    access, projection.  BMesh: remove BMEditMesh.ob use for Bevel.  Fix
    T70821: Hair Radius Is Actually Hair Diameter.  Industry Compat
    keymap: Support MMB for immediate transform tool use again.  Fix
    T72700: Missing flush vert visibility on sculpt undo.
    BM_mesh_intersect: Match the mesh in Debug build with Release.
    Fix/Cleanup invalid call to blendfile reading in UNDO_DISK..  Fix
    BKE_mesh_validate_arrays invalidating face selection.  Gizmo: match
    UV editor gizmos more closely to the 3D view.  Cleanup: remove
    unused 2D arrow gizmo.  Gizmo: support 3D arrow gizmos in 2D spaces.
    Gizmo: use compatible scale values between 2D/3D gizmos.  Fix
    T72902: Whiskey Lake support.  USD Exporter: removed from
    experimental features.  Fix crash opening specific files.
    Depsgraph: Fix wrong ID filtering.  Fix (unreported) critical
    mistake in Node copying code..  Edit Mesh: Use multithreading in
    other parts of Auto Merge & Split.  Industry Compat keymap: Fix
    Polybuild tool not working with this keymap.  Fix T72682: Regression
    when moving markers while holding ctrl.  Fix T72423: Incorrect
    tooltips in curve profile layout.  Industry Compat keymap: Properly
    support Grease Pencil Edit Mode.  GPencil: Add missing update in
    previous commit of task T72897.  CMake: enable FFTW for headless &
    bpy configurations.  Cleanup: warning.  Fix T72897: Move Channels
    operator moves Grease Pencil Layers wrongly.  BLI_kdopbvh:
    Deduplicate code.  Industry Compat keymap: Support the recently
    added Drag option.  Industry Compat keymap: Support 1-3 keys in the
    UV Editor when Sync Selection is enabled.  BLI_bvhtree_overlap does
    not work multithreaded.  BLI_bvhtree_overlap: Don't use BLI_task API
    when not needed.  BLI_bvhtree_overlap: Fix wrong count of child
    nodes.  BLI_bvhtree_overlap: Make sure the number of nodes matches
    the number of threads.  Edit Mesh: Multithread support for Auto
    Merge & Split.  BLI_bvhtree_overlap: Improve non-multithreaded
    usage.  Fix T71495: Some Textures with AnimData not visible in
    Dopesheet.  UI: scale region hide threshold by zoom level.  Fix
    gizmos flickering when resizing regions.  Fix toolbar flickering on
    resize, inability to hide.  UI: Improve toolbar width snapping.
    Keymap: default to gizmo drag when LMB select is in use.  Tool
    System: enable fallback tool by default.  Tool System: store the
    fallback tool for re-use.  Fix T57111: Particle texture keyframes
    missing from Graph Editor.  Fix T72821: Crash when IOD is removed
    from post-update callback.  Transform: Pose: Partial support for
    Auto IK + X-Mirror.  Fix T72820: Linked objects jumping around
    during render.  Fix T69207: Surface objects showed curves ADD menu
    (Shift+A) in editmode.  Fix T70986: NLA strip Animated Influence
    does not respect Default Interpolation.  Fix T71303: RMB outside
    context menu ignored.  Tool System: adjust Smooth/Randomize modal
    operator behavior.  Cleanup: remove redundant image assignment when
    ensuring UV's.  Cleanup: quiet const warnings.  EditMesh: Improve
    AutoMerge with Split Edges & Faces.  Transform: Individual Origins:
    Create islands between only selected uvs..  Image Editor: Initialize
    Add Tile options from current tile.  Cleanup: clang-format.  Sculpt:
    Add color alpha controls to the brush cursor.  Sculpt: Remove
    partial viewport updates from sculpt stroke code.  Fix T72747:
    Increase minimum voxel size in the voxel remesher.  Fix T72792:
    Crash with Vertex Groups + Weld Modifier after generative modifiers.
    Fix T68131: Cycles bake panel code typo.  Fix T72788: Crash Edit
    Custom Bone Object.  Tracking: Selection Crash.  UI: Remove leftover
    look dev (rename to HDRI preview).  Transform: Use parent bone
    orientation if the bone has not size.  Cleanup: clang-format.
    Cycles: Use OIIO UDIM tag instead of %04d.  UI: Add icons for Sculpt
    mode Topology & Multiplane Scrape tools.  Cycles: Support UDIMs with
    OSL shading.  Cleanup: Remove BLI_stringenc_path.  Shrinkwrap:
    improve triangle boundary stability in Target Normal Project..
    Action Constraint: introduce a mix mode setting..  Docs: clarify
    wire-frame tool-tip.  Cleanup: remove unused statvis code & struct
    members.  install_deps.sh: No longer forcing Alembic sources to be
    redownloaded.  install_deps.sh: show which parameter is wrong.
    Object: 'Affect Only Origins' support for Snapping.  Fix snapping
    pose mode bugs.  Cleanup: use doxy sections for view3d_snap.  Fix
    T72636: Error with matrix multiplication in freestyle modifier.  Fix
    T72402: Decimate f-curves fails with co-linear key-frames.  Cleanup:
    correct filenames in comments.  Fix T72578: overwrite not animatable
    in 2.8x.  Fix T72382: Arrow keys fail in search menu.  Fix T72555:
    Brush Radius/Size and Strength not linked on header tools settings
    when Unified Brush is active.  Fix Py API doc generation after
    Mantaflow merge..  Fix utility function used for wrong vector size.
    Fix T72443: Support time remapping for camera-markers.  Object:
    'Affect Only Origins' support for 'Clear Transform'.  Object:
    extract data transform container into own API.  Fix crash in
    delaunay triangulation due to epsilon issues..  GPencil: Hide
    dopesheet slider options for Annotations.  Fix: NaN error in
    smoothminf function.  Fluid: Ensure GIL in conversion function.
    Textures: Support UDIM images.  Fix T72445: Cycles crash with
    Displacement maps in OSL.  Fix T72471: Cycles AOV support breaks
    passes with divide_type.  Fix: Build error with clang on windows..
    UI: Remove orphan datablocks directly from File->Clean Up menu.
    Cleanup: in ID name management code: root_name -> base_name..  ID
    Management: Improve speed of code used when creating/renaming and
    ID..  ID Management: Improve speed of code used when
    creating/renaming and ID..  ID Management: Improve speed of code
    used when creating/renaming and ID..  ID Management: Fix/Sanitize
    code used when creating or renaming an ID..  ID Management: Improve
    speed of code used when creating/renaming and ID..  ID Management:
    Add some basic tests regarding name handling..  Remove empty header
    added by accident.  Fix T71844: Outliner: show_active doesn't expand
    armature to show active bone.  Cleanup: simplify transform cursor
    DPI scaling.  Cleanup: split transform cursor drawing into their own
    files.  Fix T71817: Preferences tagged dirty by 'Enabled Add-ons
    Only'.  Fix T72577: vert/weight paint 'Orbit Around' & 'Frame
    Selected' fail.  Fix IC-keymap doesn't allow MMB to run the active
    tool.  Cleanup: clang-format.  Cleanup: spelling.  Cleanup: remove
    redundant 'char *' casts.  Cleanup: use BLI_bitmap type.  Fix
    (unreported) hair particle 'Delete Edit' missing children hair
    updates in particle editmode.  Fix particle editmode undo not doing
    proper updates when child particles are visible.  Fix cloth triangle
    area calculation being wrong.  Animation: Added option to playblast
    only keyframes of selected objects.  Fix T71795: Unproject with high
    clipping range sometimes results in nans.  Fix T72473: Particle
    hair: X mirror UI doesnt show 'topology mirror' option (even though
    it is being used for the ADD brush).  Fix T72128: Overlay: Edge
    indices stacking on top of edge measurements.  Fix T63407: 'Select
    linked' operator in UV editor is broken in when multi-object-editing
    contains an empty mesh.  Fix error drawing topbar popovers without a
    brush.  Fix error drawing paint UI without a brush.  Fix T72236: UV
    Stretching Overlay.  UI: use DPI scale for transform cursors.  Fix
    error in recent gizmo tweak workaround.  Cleanup: use 'context' to
    make panels show in their section.  Cleanup: add sections to
    preferences UI script.  Fix panel for USD experimental showing for
    all sections.  Animation: Clarified tooltip for Viewport Render
    Animation.  Gizmo: add the ability to postpone refreshing while
    tweaking.  Cleanup: use wrapper function for gizmo group refresh.
    Cleanup: const warning, unused var.  Fix T72372: color picker is
    unreliable with large "clip end" values.  Workbench: Force Vertex
    Colors in Paint Mode.  Fix T72289: FreeStyle python error.  Fix
    T72353: Camera Limits Visibility.  Fix T72124: LookDev Sphere
    Rendering.  Cleanup: remove unused gesture event..  Fix error
    assigning the fluid particle flag to the wrong member.  Fix linking
    errors WITH_MOD_FLUID=OFF, again.  Image Editor: Load UDIMs even if
    secondary tile is selected.  Cleanup: use ELEM macro.  Cleanup:
    warnings.  Image Editor: Disable tile operators if tile 1001 is
    missing.  Image Editor: Add option to create multiple tiles at once.
    Image Editor: Add option to fill UDIM tiles during creation.  Fix
    T72487: Painting on unitialized UDIM tile crashes.  Fluid: Fix
    placement of flag reset.  Fix T72430: GPencil normalize command
    crashes blender.  Sculpt: Use more saturated colors in the cursor.
    Fluid: Fix that maps old smoke and fluid modifiers to new manta
    modifier.  GPencil: Cleanup - Remove duplicated code.  GPencil: Fix
    brush panels after UI reorganization.  USD: Only show in
    experimental features when built with USD support.  USD Exporter:
    show export options by default.  Fix unreported: Crash when confirms
    GRAPH_OT_decimate.  UI: Prevent crash when opening file browser with
    mouse not in window.  Fix T68665: FCurve group disappear on
    Curve/Surface object data.  Cleanup: Animation: mark function
    parameter as `const`.  Fix T72507: Depth of bones missing for
    navigation.  Fluid: Fix particle settings type.  Fluid: Fix python
    script after refactor.  Manta: Fix using path as an input and
    output.  Cleanup: spelling.  Cleanup: de-duplicate tool gizmo.  Fix
    T72416: Tool settings ignored when activated from gizmo.  Cleanup:
    RNA naming.  Cleanup: de-duplicate check for un-baked guide.
    Cleanup: rename effec -> effector.  Cleanup: renaming guiding ->
    guide.  Cleanup: replace verbose checks with read-only attributes.
    Cleanup: use single quotes for enum values.  Cleanup: remove unused
    variables.  Cleanup: naming for BKE_fluid particle functions.
    Cleanup: use uint.  Cleanup: remove redundant string initialization.
    Cleanup: use snake case variable & function names.  Cleanup: conform
    header guards to Blender's style.  Cleanup: split smoke drawing out
    into it's own file.  Cleanup: redundant struct declarations.
    Cleanup: sort struct declarations.  Cleanup: sort file lists.
    Cleanup: use BKE_fluid prefix for fluid API.  PyAPI: disable
    threading hack when fluid is disabled.  Cleanup: style, always use
    braces.  Fix deprecated DNA define checks.  Cleanup: remove
    contributors, license begin/end & doxy file argument.  Cleanup:
    compiler warnings.  Cleanup: clang-format.  Cleanup: remove
    redundant headers.  Cleanup: replace 'if 0' with 'DEBUG_PRINT'
    define.  Fix linking errors WITH_MOD_FLUID=OFF.  GPencil: Fix
    unreported missing onion skin in renders.  Mantaflow [Part 12]:
    Updated docs.  Mantaflow [Part 8]: Customization for particle
    system.  Mantaflow [Part 5]: Update other /intern packages.
    Mantaflow [Part 6]: Updates in /blender/source.  Mantaflow [Part
    11]: Updated entire smoke.c code.  Mantaflow [Part 9]: Updated rna
    smoke code.  Fix: Missing category in
    IMAGE_PT_paint_settings_advanced panel.  Mantaflow [Part 7]: Added
    bake configuration.  Mantaflow [Part 4]: Adapted build config.
    Mantaflow [Part 10]: Updated fluid modifier settings.  Mantaflow
    [Part 3]: Customized UI for Manta fluids.  Mantaflow [Part 2]: Added
    fluid wrapper files.  Mantaflow [Part 1]: Added preprocessed
    Mantaflow source files.  Fix T72467: Crash when using many (>64)
    images in a shader.  Fix T72474: UDIM breaks box mapping in Cycles.
    Fix T72440: Dragging & dropping color in the Image Editor crashes.
    Fix typo in UDIM operator (always capitalize UI labels).  UI: de-
    duplicate mask context menu.  Cleanup: move mask menu out of
    bl_operators.  Cleanup: remove redundant dynamic tool expansion.
    Cleanup: pep8, unused vars, line length.  Cycles: Fix one-tile UDIM
    rendering.  Cleanup: whitespace.  Cleanup: use static sets.
    Industry Compat keymap: Fix paint mode context menus.  UI: tweaks to
    the brush Stroke panel.  UI: Brush Settings overhaul.  Industry
    Compat keymap: Add support for the context menu PC keyboard key.
    Industry Compat keymap: Fix issue in UV editor Box Select tool.
    USD: on Apple disable USD if library cannot be found.  Fix T72412:
    Weld Modifier: Merged edges not displayed in wireframe.  Fix T72409:
    Remove references to Unified use_pressure_size and
    use_pressure_strength.  USD: disabled unit test that fails on the
    buildbot.  USD: Simplified unit test and made it work on Windows as
    well.  Image Editor: Increase size of Add Tile popup.  USD: Remove
    file created in unit test after the test is done.  USD: more
    efficient mesh & curve writing.  Cycles: Fix compilation of the
    Render Graph test.  Gizmo: add gizmos for UV transform
    translate/rotate/scale.  USD: Introducing a simple USD Exporter.
    Gizmo: fix button 2D hotspot size.  Cleanup: unused function,
    spelling.  Cleanup: clang-format.  Add support for tiled images and
    the UDIM naming scheme.  UI: Add extra bevel options to popover from
    tool settings bar.  Cleanup: Typo.  Cleanup: Follow the commenting
    convention.  Cleanup: Rename variables (_tot -> _len).  UI: Remove
    User Preference "Enable All Experimental Features".  Cleanup: Fix
    typo in user preference code.  macOS: add missing info to code
    signing instructions regarding key files.  Revert "Fix T72064,
    T72158: weight paint shows X/Y/Z symmetry options that don't work".
    Cycles: perform clamping per light contribution instead of whole
    path.  Fix T72380: New Weld Modifier is crashing when used after a
    Vertex Weight Modifier.  MacOS release: Fix typo in codesign
    instructions.  Cleanup: redundant NULL checks, simplify tool
    fallback arg checks.  Fix fallback tool for tools that don't define
    their own keymaps.  UI: Use property split layout for absolute shape
    keys.  Gizmo: use fallback tool for curve/armature edit modes.  Fix
    tool fallback being ignored with transform gizmos.  Industry Compat
    keymap: Add Remesh shortcuts.  Fix error in recent context menu
    update.  Cleanup: some variables had unused naming but were used.
    UI: increase size of fallback tool popover.  UI: remove dummy tool
    drawing functions.  Modifier: New Weld Modifier.
    BLI_bvhtree_overlap_ex: add 'max_interactions' parameter.  Cleanup:
    disable debug print define in override code..  DrawManager: Disable
    Clipping in material/rendered mode.  Industry Compat keymap: Fix and
    remove keymap conflict.  Add missing draw state check to
    OVERLAY_edit_mesh_draw.  Depsgraph: add missing #include to
    DEG_depsgraph_query.h.  Cycles/OpenCL: Remove NULL PTR Workaround.
    CMake: recent removal of linked libs gave errors in some cases.  UI:
    show tool cycling shortcuts in the toolbar.  PyAPI: add utility
    functions get the size from an evaluated string.  Fix
    bpy.extras.object_data_add use without an active space.  Docs:
    expand comments in versioning code.  Fix T72340: Version bump for
    recent Userdef changes.  Cleanup: spelling.  Overlay Engine:
    Armature: Fix bones disapearing with custom bone color.  Cycles:
    support for custom shader AOVs.  Fix menu buttons not displaying
    down arrow with emboss=False.  Fix: Fullscreen File Browser showing
    override warning on file open.  Fix T71995: Texture Paint workspace
    crash with new scene.  Fix T70447: 'WholeCharacter' Keying set
    doesn't key None properties.  GPencil: Invert Simplify options.  Fix
    T71609: Resizing bone length to 0 gets it stuck to that size.
    CMake: fix linking Blender as a Python module.  Fix T72220: Hide
    Edit Overlays.  Keymap: use the application key for the context
    menu.  GHOST: add support for application/menu key.  Cleanup: extra
    semicolon, comma warnings.  Fix T72258: Loading keymap crashes on
    startup.  Cleanup: header guards.  Cleanup: undeclared variable
    warning.  Fix T72272: Error setting tool in weight paint mode.
    Cleanup: remove duplicate variables.  Edit Armature: match separate
    selection with meshes.  Fix separating bones on hidden layers.  Fix
    T72310: Separate bones creates empty armatures.  Add the ability to
    create internal springs to the cloth sim.  Fix T72006: Clay brush
    with size pressure corrupts mesh.  Fix T72054: Sculpt Mode crash
    when using Relax Mesh Filter with Dyntopo enabled.  Fix T72092: Clay
    Strips Brush stroke crash with Brush Detail Size.  Fix Mask Brush
    gradient artifacts.  Cleanup: Redundant variable assignment to self.
    Cycles: Add OptiX acceleration structure compaction.  Fix T72145:
    Object.update_from_editmode crashes with empties.  Gizmo: add view
    aligned gizmo for shear.  Fix T71878: Cycles crash with adaptive
    subdivision and empty mesh.  Fix T72282: Cycles OpenCL error after
    recent math node changes.  Fix T71480: crash with Eevee image
    texture node and clipping.  Fix T72269: crash with Eevee and normal
    maps after recent math node changes.  Fix T72240: GLSL error with
    some old NVIDIA drivers, causing crash at startup.  Fix T72252:
    crash running ocean bake in background mode.  Fix T72064, T72158:
    weight paint shows X/Y/Z symmetry options that don't work.  Industry
    Compat keymap: Support tool cycling for all tool shortcuts.  Fix
    ShaderNodeCustomGroup.copy method being called too often.  Shaders:
    noise and wave distortion now work uniformly instead of diagonally.
    UI: Custom Face Orientation Colors.  Shader Nodes: Add Interpolation
    modes to Map Range node.  Maths Node: Additional functions.
    Cleanup: remove unused arguments.  Preferences: correct experimental
    flag use.  UI: File Browser Volumes and System Lists Icons.  UI:
    disk to disc icon dat file rename.  Tool System: experimental
    fallback tool support.  Tool System: don't assert when showing
    tooltips in a different space.  UI: only use toolbar draw-style for
    buttons with icons.  Gizmo: add optional background alpha for 2D
    button gizmo.  Windows: Fix failing tests due to missing manifest..
    Fix T71342: macOS does not always use the discrete GPU for Blender.
    Cleanup/Windows: Separate out the MS-CRT into a subfolder.  Fix
    crash when trying to decimate baked fcurve channels.  Fix T72215:
    Insert Blank Keyframe Active Layer) creates a new frame in all
    layers.  Cleanup: clang-format.  Draw: Removal of MultiSample
    Buffers.  Fix T72118: Enable Windows 10 Non-client DPI Scaling.
    Cleanup: Windows Manifest usage..  glTF: upgrade Draco to version
    1.3.5 and add mesh skinning support.  Cleanup: Workbench: Remove
    Double negation.  Workbench: Fix missing Clipping state when usint
    Alt+B clipping.  UI: Add tooltips for modifiers.  Overlay Engine:
    Fix unreported crash on startup caused by new shader.  Fix T63766:
    Multiresolution behavior when using crease edge.  Overlay Engine:
    Armature: Use Wire AA on custom bone loose edges.  Overlay Engine:
    Fix bone outline antialiasing.  Fix T72169: "New File" loads UI,
    even when disabled.  GPencil: Fix Stroke keeps selected when
    duplicate (unreported).  Overlay Engine: Fix crash in select mode
    with  Lock Object Modes off.  Cleanup: Silent Warnings.  Fix T72154:
    Background Camera Images.  Revert "Fix T71576 Mesh error on
    mutimaterial Meshes on legacy nvidia drivers".  Overlay Engine:
    Outlines: Fix occluded alpha being too low.  Overlay Engine:
    Outlines: Bypass antialias path when not needed.  Fix T71576 Mesh
    error on mutimaterial Meshes on legacy nvidia drivers.  Cleanup:
    Removes double notification.  Fix T72182: Fade Layers Option does
    not work when activating a layer from Dope Sheet or Outliner.  Fix
    T72175: DrawManager Crash Large Objects.  Industry Compat keymap:
    Use consistent shortcuts for sculpt mode masking.  Industry Compat
    keymap: Support scroll wheel zooming also while Alt is held.
    Industry Compat keymap: Fix Tweak tool in UV Editor (Unreported).
    Industry Compat keymap: Support 1-4 keys for switching selection
    modes in the UV Editor.  Overlay Engine: Cleanup & enable line AA on
    in front passes.  Overlay Engine: Add back selectability of planar
    lightprobe data plane.  Overlay Engine: LightProbe: Simplify drawing
    of irradiance grid data.  Overlay Engine: Outline: Simplify drawing
    code.  Overlay Engine: Simplify outline rendering by using the
    antialiasing pass.  Fix macOS bundling error with latest release,
    increase DMG disk space a little.  Fix T72076: Edit mode circle
    selection inconsistency with animation.  Make curve decimation only
    take into account the selected curve points.  Fix T72157: Overlay
    Hide Bone Relationship Lines.  Fix T72130: Wireframe Visible After
    Disabling.  Fix T72156: Render Viewport Animation Meta Data.
    GPencil: Fix error in previous patch.  GPencil: Cleanup duplicate
    Panel settings definition in previous commit.  GPencil: Add Opacity
    y Onion switch to Dopesheet.

 -- Thomas Schiex <empnessty@gmail.com>  Mon, 13 Apr 2020 10:06:32 +0200

blender (2.82a~1583989604-0thomas~bionic0) bionic; urgency=medium

  * Jumping to version 2.82a.

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 04 Apr 2020 16:45:43 +0200

blender (2.81a~1575459147-0thomas~bionic0) bionic; urgency=medium

  * New upstream version (2.81a).

 -- Thomas Schiex <empnessty@gmail.com>  Mon, 30 Dec 2019 14:29:38 +0100

blender (2.7-xxx-0thomas~bionic0) bionic; urgency=medium

  * Fix T60402: Increased data.users value, when running:
    C.active_object.to_mesh(C.depsgraph, True) - on curve..  =Fix unused
    func warning in GP code....  Fix syntax error breaking compile in GP
    code..  Revert "Fix T57371: Generative modifiers in editmode display
    vertex group weights ...".  Fix T57371: Generative modifiers in
    editmode display vertex group weights.  EditUV: Only clear data VBO
    when selection changes.  Merge branch 'blender2.7'.  Fix T55668:
    Volume Keyframe on Cut-ted Metastrip (re-doing the fix in better
    way)..  Revert "Fix T55668: Volume Keyframe on Cut-ted Metastrip.".
    GP: New Cutter, Constraints and Segment selection.  Fix T57371:
    Generative modifiers in editmode display vertex group weights ....
    Fix T59990: Crash when entering edit mode with skin modifier
    enabled.  Merge branch 'blender2.7'.  Fix T60145: Cycles resets
    manually set affinity.  Update bundled version of NUMA API library.
    GP: Missing in previous count commit.  Fix T60415: wrong font
    preview image alpha blending..  Fix Python errors batch generating
    preview images..  Fix T60411: crash in multi-object pose mode, with
    some armatures in rest pose..  GP: Fix missing Fill properties in
    Topbar.  GP: Reduce memory reallocation in multiedit mode.  UVEdit:
    Port texpaint_loop_wire to batch request.  UVEdit: Add back uv angle
    stretch aspect correction.  UVEdit: Port batches to batch request.
    WM: Use draw manager to draw UV image editor spaces.  BMesh: Add
    BM_face_calc_area_uv.  Texture Paint: Add filtering option for
    texture paint overlay.  Workbench: Support node texture "closest"
    interpolation option.  GPUShader: Cleanup Unused shaders.  Mesh
    Batch Cache: Cleanup Unused.  Edit Mode Selection: Make Vertices not
    occluded by edges.  GPUMaterial: Cleanup / optimization.  Mesh
    Selection: Port to batch cache request.  Mesh Batch Cache: Fix wrong
    assert.  GPUShader: Add selection id shader.  Mesh Batch Cache: Put
    context evaluation out of batch cache.  DRW: Fix texture paint
    crashing if object has no material slot.  Merge branch 'blender2.7'.
    Fix T60227: Crash when Cycles uses more than system threads.  Fix
    T60320: Cycles OpenCL denoising filter errors on some drivers..  GP:
    Count all strokes when use multiedit for VBO size.  Fix auto-run
    warning RNA type.  Theme: update blender light theme preferences.
    Theme: disable blender_light 3D view gradient.  3D View: fade out
    dupli-wire color 70%.  3D View: use faded wire for set-scene
    objects.  3D View: use dupli wire color for shaded wire drawing.
    Cleanup: blend existing colors.  Cleanup: avoid repetition
    versioning theme.  startup: view background color wasn't default.
    Fix background color use in 3D view.  Preferences: remove author
    field.  Cleanup: remove tabs after line start.  Cleanup: unused
    vars.  MSVC: remove compiler __func__ define.  MSVC: remove compiler
    __func__ define.  fix D4187: Collada Importer: Material assignment
    broken after importing Mesh with multiple materials.  Fix T60266:
    missing viewport updates after changing scene world datablock..  Fix
    use of uninitialized GPU context memory in release builds..  Subdiv:
    Fix memory leak.  Fix T60393: Subdiv gives wrong vertex colors.  Fix
    T59631: Crash in Surface Deform modifier Bind when Dynamic Paint is
    included..  GP: Fix render glitch when have collision with mesh.
    Use proper ID to create FModifier RNA pointer.  Support proportional
    edit scaling on dopesheet keyframes.  Fix T60340: Removing f-curve
    modifier doesn't update animation.  Keep track of owner of f-curve.
    UI: make pie menus stick only when tapping key..  Fix T59913: error
    saving cloth preset.  fix T60049: Collada Exporter: When exporting
    multiple UVs, the set index must start with 0.  GP: Fix unreported
    pixel glitches.  Fix T60285: allow negative offsets in shrinkwrap
    (worked in 2.79)..  3D View: use faded color for dupli instance
    outlines.  3D View: use faded color for dupli instance wire &
    points.  Undo System: switch active text block when undoing.  Fix
    anim_utils.bake_action typo.  Clenaup: remove unused EM_WAITCURSOR.
    Cleanup: remove unused copy menu code.  Cleanup: end DefNode macro
    w/ semicolon.  Cleanup: end bgl macros w/ semicolon.  Fix gizmo
    orientation w/ shear tool.  Fix T60358: popup clipping within
    window.  Fix T60358: popup clipping within window.  Fix T60354:
    Paint color shown when not used.  Cleanup: sort RNA types after
    ename.  Cleanup: ensure header guards come first.  Cleanup: ensure
    header guards come first.  Merge branch 'blender2.7'.  Fix T55336:
    Crash w/ dyntopo sculpt.  Undo System: apply accumulation steps.
    Fix sculpt redo failing to enable dyntopo.  Fix memfile undo
    decoding creating undo steps.  Fix T59165: Text operations fail to
    undo.  Merge branch 'blender2.7'.  Build Environment: install clang-
    format for macOS / Linux..  Fix Cycles viewport render doing some
    unnecessary work at the start..  Fix T60300, T57774: Cycles OpenCL
    viewport crash with subsurface scattering..  Fix T60351: Blender
    crashes when using fill tool without existent keyframe.  Revert/Redo
    ugly rBd12b3767f81d commit (i.e. add locked sorting option to
    UIList)..  Fix T60324: node linking UI bugs with some shader nodes..
    Fix T60244: Bisect in mirror modifier doesn't work properly..  Merge
    branch 'blender2.7'.  Cycles: Add utility to dump BVH tree as
    graphviz file.  Cycles: Make BVH wider prior to packing.  Fix
    T60342: exception when creating cycles integrator or sampling
    preset.  Fix T60338: Allow user to input units of another system.
    Fix T55336: Crash w/ dyntopo sculpt.  Undo System: apply
    accumulation steps.  Fix sculpt redo failing to enable dyntopo.  Fix
    memfile undo decoding creating undo steps.  Fix T59165: Text
    operations fail to undo.  Avoid assert w/ recent sculpt changes on
    undo.  Fix swapped active/selected lattice vertex color.  UI: use
    keymap introspection for tooltip creation.  WM: add
    keymap.find_from_operator(...).  Fix IS_EVENT_ACTIONZONE macro.
    Assert: add check to last commit.  Object Mode: only toggle active
    object mode once.  Fix T60044: Sculpting brush is not visible.
    Revert "Fix T60044: Sculpting brush is not visible on file load".
    Fix T60327: Value input with adaptive imperial units not working
    properly.  Fix inconsistent naming and behavior for base
    visible/selected/editable..  Fix T60320: Cycles OpenCL volume
    rendering error on some drivers..  Fix T60300: Cycles SSS render
    hanging with AMD OpenCL..  Quick Explode: replace BI based material
    handling (using 'fade'/'blend').  Quick Explode: use keyword
    argument.  Fix T56545: Material referencing missing UV crash.  Fix
    T58479: Quick Favorites Lets you add multiple of the same item.  Fix
    T60314: Missing strength w/ weight gradient.  Typo fixes.  Fix
    T59984: Drivers don't update values in UI or show proper errors.
    Fix T59450: brush colors flip inactive w/ texture paint.  Fix
    T60263: render layer node sockets not showing on file load, for some
    files..  Fix T60291: Wrong tooltip in for Add Cube tool.  Fix
    T60306: Circle select tool behaves like a mode.  Properly clean up
    Python when exiting due to --python-exit-code.  Merge branch
    'blender2.7'.  Make DNA and RNA errors more meaningful and friendly.
    fix rotational limits not showing for GENERIC ridgid body
    constraint.  Fix workbench shading pie menu.  Vertex Paint: support
    vertex masking.  Cleanup: comments causing bad clang-format output.
    Fix T60167: wrong shader nodes in Eevee add menu..  Fix bad enum
    value since 299ff7dcd13.  Subdiv: Use defined order of corner/edge
    vertices.  Subdiv: Move single threaded code to a single function.
    Subdiv: Cleanup, de-duplicate code.  GP: Hide Options and Curves
    popovers for Fill brushes.  Fix missing updates when
    muting/soloing/reordering NLA tracks..  Cleanup: corrections to last
    commit.  Cleanup: move DNA comments before struct members.  Cleanup:
    fix typo..  Fix T59151 Bevel modifier has bad input width for
    percent..  OpenSundiv: Simplify tweaking of shared stencil/patch
    settings.  Fix T60247: app.handlers.undo_post calls undo_pre's
    function..  Cleanup: naming for return args.  Fix T58964:
    drivers_remove fails w/ missing paths.  PyAPI: Add
    AnimationData.drivers.new/remove methods.  Cleanup: tweak last
    commit.  Fix generated toolbar keymap w/ annotation tool.  Fix
    T59944: Template operator_mesh_uv.py fails.  Better bevel normal
    hardening when some faces were smooth..  Cleanup: add trailing
    commas to structs.  Correct error in recent button type check.  UI:
    Use grid-flow layout throughout Preferences.  Fix typo..  GP: Fix
    missing initialization converting 2.7 files.  Fix T60213: crash
    loading .blend file with material override..  UI: tweaks to user
    preferences layout..  Cleanup: add trailing commas to structs.
    object.dimensions: add warning about multiple consecutive
    assignments..  Fix T60187: Latest couple of builds fail to run, need
    libGLX.so.0.  UI: tweak preferences.  Cleanup: style, line length.
    fix T59743: Collada exporter: Add option for exporting flat curves.
    Correct version patching of Preferences theme.  fix T60092 collada
    exporter: exporting a rig with one single bone fails.  Fix T60183:
    Images as Planes (addon) Attribute Error..  Theme: update.  UI:
    length now scales proportionally w/ multi-but.  Cleanup: 3d view
    panel median value storage.  Cleanup: avoid function call for
    pointer compare.  NLA: rewrite evaluation channel data structures..
    UI: Preferences Redesign Part 2.  GP: Add Fill keyframe if active
    not equal to CFRA.  Fix T57890: freestyle rendering crash..  Fix
    T60157: Applying subdivide GP modifier gets wrong fill.  Fix T58669,
    T59772: freestyle + EEVEE render not working..  Fix T59546: Grease
    Pencil Edit: Rotation around individual origins error.  Fix T58692:
    splash screen next not working when using BLENDER_USER_CONFIG..
    Depsgraph: Fix missing relation from node tree to light.  Fix
    T60124: Multires modifier not reading data from external files.
    Silence warning.  Outliner: better support for clips/masks ('Blender
    File' view).  UI: fix incorrect collapse menu button alignment..
    UI: make text editor scrollbar with consistent with other editors..
    UI: alter scrollbar extents to not interfere with split/join areas..
    UI: fix incorrect area splitting shape in corners..  UI: fix display
    of menu buttons without text and icon, and only a down arrow..  UI:
    fix too wide resize area on edges of nodes, interfering with
    content..  Fix T59898: Slow modifier stack on trasnform.  Fix
    T58657: blender 2.7 keymap Alt+A does not work for animation
    playback..  Fix T59946: multiple quit dialogs possible..  Fix
    T60068: missing viewport update when renaming objects in outliner..
    Fix T60132: Convert hair particles to mesh.  Partial fix T60148:
    EEVEE hangs when anamorphic bokeh is too low.  Fix T59768: UV
    context menu showing in image editor..  EEVEE DoF: Fix runtime
    error: division by zero when blades was 0.  Fix T60044: Sculpting
    brush is not visible on file load.  Cleanup: Spelling.  Provide more
    information on unknown GPU.  Merge branch 'blender2.7'.  Recognize
    llvmpipe renderer as software OpenGL.  Object: don't flip scale when
    setting dimensions.  Fix T54771: Can't change multiple dimensions at
    once.  Cleanup: unused calculation.  Cleanup: indentation (right
    shift).  Merge branch 'blender2.7'.  Fix T60099: Inconsistent
    normals from spin tool.  Spin Tool: don't flip when using a negative
    angle.  Fix eternal loop in spin tool merge first/last.  Haiku:
    build fix.  Haiku: build fix.  Fix T60099: Inconsistent normals from
    spin tool.  Spin Tool: don't flip when using a negative angle.  Fix
    eternal loop in spin tool merge first/last.  Merge branch
    'blender2.7'.  Cleanup: use typed unsigned ints.  Cleanup: use typed
    unsigned ints.  UI: refactor layout vars out of uiFontStyle.  Missed
    last commit.  3D View: use full opacity by default.  Fix T60101:
    vertex paint color sample.  Fix T59049: some modal transform keys no
    working in custom keymaps..  Fix T58113 Multiple problems with bevel
    harden normals..  Fix T59349: Cycles viewport render flickering when
    changing some settings..  Merge branch 'blender2.7'.  Fix for T58250
    fix: Blender failing to start with OpenGL context < 4.5..  Cleanup:
    don't do nodetree verification/versioning twice..  Fix T60073: can't
    unlink by dragging from some node input sockets..  Fix T60022: Crash
    when adding grease pencil object to a collection disabled in
    viewport..  Fix T59925: Crash when adding any generative modifier on
    a curve with more than one material..  Don't link against GLU
    library.  Fix T54962: Cycles crash using subsurface scattering
    texture blur..  Fix T58250: crash starting Blender on X11 without
    OpenGL 3.3..  Fix T60119: incorrect filter size in new scenes..  Fix
    T59072: Text extrusion cannot be animated.  Fix incorrect drawing of
    material list outline, after recent changes..  Fix T57177: redo
    select random operator selects hidden objects..  Fix some
    inconsistencies in object visibility/selectability tests..  Fix
    T60107: gizmos should not show for unselectable objects..  Fix
    T58870: submenus don't open for some specific mouse positions..  Fix
    accidental changes to default preferences in recent startup.blend
    commit..  Fix T60056: Make Duplicates Real with Keep Hierarchy does
    nothing.  GP: Include Lasso eraser in Fill and Primitives.  Fix
    T59527: Segment fault changing layer visibility and onion skin.
    Cleanup: indentation.  DRW: remove INDEX4 normal flipping.  Revert
    "GPU: add negated normal conversion functions".  Fix T59842: Curve
    flat shading doesn't work.  GPU: add negated normal conversion
    functions.  Cleanup: variable name.  Cleanup: preprocessor
    indentation.  Transform: default shrink/fatten even-offset to false.
    Fix new material for pinned objects.  Merge branch 'blender2.7'.
    Fix T60014: material link pref ignored.  Fix (unreported):
    unpredictable crashes when it is done snap after automerge..  Fix
    T58859: render with compositor does not render other scenes..  Fix
    wrong alpha blending for datablock preview icons..  Merge branch
    'blender2.7'.  Fix T60061: Cycles OSL point density not working..
    Fix T60037: single column layout breaks file browse button..  Fix
    T59063: operator search menu loses background in some cases..  Fix
    wrong grease pencil shader FX usage of object location..  Fix
    T59792: Cycles crash rendering motion pass with motion blur
    enabled..  Fix T60051: Wrong stroke projection when viewmode set to
    Front.  Fix T60046: crash with Cycles viewport render and particle
    info node..  Fix T60031: Joining two Grease Pencilobjects sometimes
    crashes.  Fixes and edits to studio light operators.  Cleanup: py-
    gpu error checks.  Revert file rename from T59773 fix.  Fix T59773:
    Raise exception if the gpu module is used in backgound mode..  Fix
    poll function for SelectPattern operator.  Fix T60030: Select
    pattern fails with pose bones.  Fix T60060: Corrective Smooth
    Modifier binding process is broken..  GP: Cleanup pad to _pad.  UI:
    correct sequencer icon in add menu.  UI: Show shade smooth/flat in
    curve context menu.  Fix T59886: Missing transform gizmo update.  3D
    View: use grid & all axes in axis-views.  UI: add scale option for
    template_icon_view button.  Cleanup: use RNA icon instead of passing
    as an arg.  Cleanup: indentation, naming.  PyRNA: enum no longer
    returns first item when the value isn't found.  Fix image editor
    tool-settings missing from topbar.  Cleanup: rename manipulator
    references.  Cleanup: use '_pad' in DNA.  Cleanup: rename
    target_weight -> weight.  UI: de-duplicate top-bar and panel paint
    scripts.  UI: add painting blend mode to top-bar.  GP: Don't use
    offset for Stroke projection.  Fix T60015: snap to grid - snaps only
    to largest increment.  Outliner: expand view layer collections by
    default, revealing objects..  Templates: tweaks to startup
    templates..  Viewport: update default set of HDR images..  Cleanup:
    remove unused camera studio lights..  Cleanup: specify default
    studiolight name, instead using first alphabetically..  Fix T59991:
    duplicate entries for node select operators in keymap..  UI: icon
    set updates by Andrzej Ambroz..  Fix: Cramped layout in object
    parent properties.  Cleanup: remove non-existing function
    declarations.  GP: Mew Merge Strokes operator.  Cleanup: warnings
    (clang).  Fix: Scrolling Preferences could cause blank UI.  Fix
    T59675: Motion path frame numbers at wrong positions.  Cleanup:
    avoid counting list multiple times.  Cleanup: use bool, style.
    Cycles: restore old sample and material override settings for view
    layers..  Fix T57078: Alembic curve import: better check for
    topology similarity.  Fix T59164: Run Alembic in background when
    INVOKE'd.  Docs: update manpage and html with app description
    matching website..  UI: update Blender application icon on all
    platforms..  Alembic import: Fix crash with mcol indices out of
    bounds.  Alembic import: lock interface while importing.  Fix
    T59785: Curve modifier does not update in realtime in object mode.
    Fix T59526: VSE Add submenus for clips/masks dont show with only one
    item.  Sequencer: refactor clipboard copy to no longer increase user
    count..  Fix more issues with recent render passes code cleanup..
    Fix T59910: material editor UI issue after recent changes..  Fix
    T59922: crash reading files with older renderlayers.  Fix T59774:
    Lightmap Pack Error: Element-wise multiplication: not supported
    between 'Quaternion' and 'Vector' types..  GP: Rename
    GP_STROKE_RECALC_CACHE to GP_STROKE_RECALC_GEOMETRY.  Merge branch
    'blender2.7'.  Fix (unreported) broken Cycles tests after numaapi
    changes today..  API Doc: point to blender2.7 new folder..  Point
    API doc back to master one..

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 11 Jan 2019 22:34:07 +0100

blender (84007-b56b41d51f2-0thomas~bionic0) bionic; urgency=medium

  * Fix T60402: Increased data.users value, when running:
    C.active_object.to_mesh(C.depsgraph, True) - on curve..  =Fix unused
    func warning in GP code....  Fix syntax error breaking compile in GP
    code..  Revert "Fix T57371: Generative modifiers in editmode display
    vertex group weights ...".  Fix T57371: Generative modifiers in
    editmode display vertex group weights.  EditUV: Only clear data VBO
    when selection changes.  Merge branch 'blender2.7'.  Fix T55668:
    Volume Keyframe on Cut-ted Metastrip (re-doing the fix in better
    way)..  Revert "Fix T55668: Volume Keyframe on Cut-ted Metastrip.".
    GP: New Cutter, Constraints and Segment selection.  Fix T57371:
    Generative modifiers in editmode display vertex group weights ....
    Fix T59990: Crash when entering edit mode with skin modifier
    enabled.  Merge branch 'blender2.7'.  Fix T60145: Cycles resets
    manually set affinity.  Update bundled version of NUMA API library.
    GP: Missing in previous count commit.  Fix T60415: wrong font
    preview image alpha blending..  Fix Python errors batch generating
    preview images..  Fix T60411: crash in multi-object pose mode, with
    some armatures in rest pose..  GP: Fix missing Fill properties in
    Topbar.  GP: Reduce memory reallocation in multiedit mode.  UVEdit:
    Port texpaint_loop_wire to batch request.  UVEdit: Add back uv angle
    stretch aspect correction.  UVEdit: Port batches to batch request.
    WM: Use draw manager to draw UV image editor spaces.  BMesh: Add
    BM_face_calc_area_uv.  Texture Paint: Add filtering option for
    texture paint overlay.  Workbench: Support node texture "closest"
    interpolation option.  GPUShader: Cleanup Unused shaders.  Mesh
    Batch Cache: Cleanup Unused.  Edit Mode Selection: Make Vertices not
    occluded by edges.  GPUMaterial: Cleanup / optimization.  Mesh
    Selection: Port to batch cache request.  Mesh Batch Cache: Fix wrong
    assert.  GPUShader: Add selection id shader.  Mesh Batch Cache: Put
    context evaluation out of batch cache.  DRW: Fix texture paint
    crashing if object has no material slot.  Merge branch 'blender2.7'.
    Fix T60227: Crash when Cycles uses more than system threads.  Fix
    T60320: Cycles OpenCL denoising filter errors on some drivers..  GP:
    Count all strokes when use multiedit for VBO size.  Fix auto-run
    warning RNA type.  Theme: update blender light theme preferences.
    Theme: disable blender_light 3D view gradient.  3D View: fade out
    dupli-wire color 70%.  3D View: use faded wire for set-scene
    objects.  3D View: use dupli wire color for shaded wire drawing.
    Cleanup: blend existing colors.  Cleanup: avoid repetition
    versioning theme.  startup: view background color wasn't default.
    Fix background color use in 3D view.  Preferences: remove author
    field.  Cleanup: remove tabs after line start.  Cleanup: unused
    vars.  MSVC: remove compiler __func__ define.  MSVC: remove compiler
    __func__ define.  fix D4187: Collada Importer: Material assignment
    broken after importing Mesh with multiple materials.  Fix T60266:
    missing viewport updates after changing scene world datablock..  Fix
    use of uninitialized GPU context memory in release builds..  Subdiv:
    Fix memory leak.  Fix T60393: Subdiv gives wrong vertex colors.  Fix
    T59631: Crash in Surface Deform modifier Bind when Dynamic Paint is
    included..  GP: Fix render glitch when have collision with mesh.
    Use proper ID to create FModifier RNA pointer.  Support proportional
    edit scaling on dopesheet keyframes.  Fix T60340: Removing f-curve
    modifier doesn't update animation.  Keep track of owner of f-curve.
    UI: make pie menus stick only when tapping key..  Fix T59913: error
    saving cloth preset.  fix T60049: Collada Exporter: When exporting
    multiple UVs, the set index must start with 0.  GP: Fix unreported
    pixel glitches.  Fix T60285: allow negative offsets in shrinkwrap
    (worked in 2.79)..  3D View: use faded color for dupli instance
    outlines.  3D View: use faded color for dupli instance wire &
    points.  Undo System: switch active text block when undoing.  Fix
    anim_utils.bake_action typo.  Clenaup: remove unused EM_WAITCURSOR.
    Cleanup: remove unused copy menu code.  Cleanup: end DefNode macro
    w/ semicolon.  Cleanup: end bgl macros w/ semicolon.  Fix gizmo
    orientation w/ shear tool.  Fix T60358: popup clipping within
    window.  Fix T60358: popup clipping within window.  Fix T60354:
    Paint color shown when not used.  Cleanup: sort RNA types after
    ename.  Cleanup: ensure header guards come first.  Cleanup: ensure
    header guards come first.  Merge branch 'blender2.7'.  Fix T55336:
    Crash w/ dyntopo sculpt.  Undo System: apply accumulation steps.
    Fix sculpt redo failing to enable dyntopo.  Fix memfile undo
    decoding creating undo steps.  Fix T59165: Text operations fail to
    undo.  Merge branch 'blender2.7'.  Build Environment: install clang-
    format for macOS / Linux..  Fix Cycles viewport render doing some
    unnecessary work at the start..  Fix T60300, T57774: Cycles OpenCL
    viewport crash with subsurface scattering..  Fix T60351: Blender
    crashes when using fill tool without existent keyframe.  Revert/Redo
    ugly rBd12b3767f81d commit (i.e. add locked sorting option to
    UIList)..  Fix T60324: node linking UI bugs with some shader nodes..
    Fix T60244: Bisect in mirror modifier doesn't work properly..  Merge
    branch 'blender2.7'.  Cycles: Add utility to dump BVH tree as
    graphviz file.  Cycles: Make BVH wider prior to packing.  Fix
    T60342: exception when creating cycles integrator or sampling
    preset.  Fix T60338: Allow user to input units of another system.
    Fix T55336: Crash w/ dyntopo sculpt.  Undo System: apply
    accumulation steps.  Fix sculpt redo failing to enable dyntopo.  Fix
    memfile undo decoding creating undo steps.  Fix T59165: Text
    operations fail to undo.  Avoid assert w/ recent sculpt changes on
    undo.  Fix swapped active/selected lattice vertex color.  UI: use
    keymap introspection for tooltip creation.  WM: add
    keymap.find_from_operator(...).  Fix IS_EVENT_ACTIONZONE macro.
    Assert: add check to last commit.  Object Mode: only toggle active
    object mode once.  Fix T60044: Sculpting brush is not visible.
    Revert "Fix T60044: Sculpting brush is not visible on file load".
    Fix T60327: Value input with adaptive imperial units not working
    properly.  Fix inconsistent naming and behavior for base
    visible/selected/editable..  Fix T60320: Cycles OpenCL volume
    rendering error on some drivers..  Fix T60300: Cycles SSS render
    hanging with AMD OpenCL..  Quick Explode: replace BI based material
    handling (using 'fade'/'blend').  Quick Explode: use keyword
    argument.  Fix T56545: Material referencing missing UV crash.  Fix
    T58479: Quick Favorites Lets you add multiple of the same item.  Fix
    T60314: Missing strength w/ weight gradient.  Typo fixes.  Fix
    T59984: Drivers don't update values in UI or show proper errors.
    Fix T59450: brush colors flip inactive w/ texture paint.  Fix
    T60263: render layer node sockets not showing on file load, for some
    files..  Fix T60291: Wrong tooltip in for Add Cube tool.  Fix
    T60306: Circle select tool behaves like a mode.  Properly clean up
    Python when exiting due to --python-exit-code.  Merge branch
    'blender2.7'.  Make DNA and RNA errors more meaningful and friendly.
    fix rotational limits not showing for GENERIC ridgid body
    constraint.  Fix workbench shading pie menu.  Vertex Paint: support
    vertex masking.  Cleanup: comments causing bad clang-format output.
    Fix T60167: wrong shader nodes in Eevee add menu..  Fix bad enum
    value since 299ff7dcd13.  Subdiv: Use defined order of corner/edge
    vertices.  Subdiv: Move single threaded code to a single function.
    Subdiv: Cleanup, de-duplicate code.  GP: Hide Options and Curves
    popovers for Fill brushes.  Fix missing updates when
    muting/soloing/reordering NLA tracks..  Cleanup: corrections to last
    commit.  Cleanup: move DNA comments before struct members.  Cleanup:
    fix typo..  Fix T59151 Bevel modifier has bad input width for
    percent..  OpenSundiv: Simplify tweaking of shared stencil/patch
    settings.  Fix T60247: app.handlers.undo_post calls undo_pre's
    function..  Cleanup: naming for return args.  Fix T58964:
    drivers_remove fails w/ missing paths.  PyAPI: Add
    AnimationData.drivers.new/remove methods.  Cleanup: tweak last
    commit.  Fix generated toolbar keymap w/ annotation tool.  Fix
    T59944: Template operator_mesh_uv.py fails.  Better bevel normal
    hardening when some faces were smooth..  Cleanup: add trailing
    commas to structs.  Correct error in recent button type check.  UI:
    Use grid-flow layout throughout Preferences.  Fix typo..  GP: Fix
    missing initialization converting 2.7 files.  Fix T60213: crash
    loading .blend file with material override..  UI: tweaks to user
    preferences layout..  Cleanup: add trailing commas to structs.
    object.dimensions: add warning about multiple consecutive
    assignments..  Fix T60187: Latest couple of builds fail to run, need
    libGLX.so.0.  UI: tweak preferences.  Cleanup: style, line length.
    fix T59743: Collada exporter: Add option for exporting flat curves.
    Correct version patching of Preferences theme.  fix T60092 collada
    exporter: exporting a rig with one single bone fails.  Fix T60183:
    Images as Planes (addon) Attribute Error..  Theme: update.  UI:
    length now scales proportionally w/ multi-but.  Cleanup: 3d view
    panel median value storage.  Cleanup: avoid function call for
    pointer compare.  NLA: rewrite evaluation channel data structures..
    UI: Preferences Redesign Part 2.  GP: Add Fill keyframe if active
    not equal to CFRA.  Fix T57890: freestyle rendering crash..  Fix
    T60157: Applying subdivide GP modifier gets wrong fill.  Fix T58669,
    T59772: freestyle + EEVEE render not working..  Fix T59546: Grease
    Pencil Edit: Rotation around individual origins error.  Fix T58692:
    splash screen next not working when using BLENDER_USER_CONFIG..
    Depsgraph: Fix missing relation from node tree to light.  Fix
    T60124: Multires modifier not reading data from external files.
    Silence warning.  Outliner: better support for clips/masks ('Blender
    File' view).  UI: fix incorrect collapse menu button alignment..
    UI: make text editor scrollbar with consistent with other editors..
    UI: alter scrollbar extents to not interfere with split/join areas..
    UI: fix incorrect area splitting shape in corners..  UI: fix display
    of menu buttons without text and icon, and only a down arrow..  UI:
    fix too wide resize area on edges of nodes, interfering with
    content..  Fix T59898: Slow modifier stack on trasnform.  Fix
    T58657: blender 2.7 keymap Alt+A does not work for animation
    playback..  Fix T59946: multiple quit dialogs possible..  Fix
    T60068: missing viewport update when renaming objects in outliner..
    Fix T60132: Convert hair particles to mesh.  Partial fix T60148:
    EEVEE hangs when anamorphic bokeh is too low.  Fix T59768: UV
    context menu showing in image editor..  EEVEE DoF: Fix runtime
    error: division by zero when blades was 0.  Fix T60044: Sculpting
    brush is not visible on file load.  Cleanup: Spelling.  Provide more
    information on unknown GPU.  Merge branch 'blender2.7'.  Recognize
    llvmpipe renderer as software OpenGL.  Object: don't flip scale when
    setting dimensions.  Fix T54771: Can't change multiple dimensions at
    once.  Cleanup: unused calculation.  Cleanup: indentation (right
    shift).  Merge branch 'blender2.7'.  Fix T60099: Inconsistent
    normals from spin tool.  Spin Tool: don't flip when using a negative
    angle.  Fix eternal loop in spin tool merge first/last.  Haiku:
    build fix.  Haiku: build fix.  Fix T60099: Inconsistent normals from
    spin tool.  Spin Tool: don't flip when using a negative angle.  Fix
    eternal loop in spin tool merge first/last.  Merge branch
    'blender2.7'.  Cleanup: use typed unsigned ints.  Cleanup: use typed
    unsigned ints.  UI: refactor layout vars out of uiFontStyle.  Missed
    last commit.  3D View: use full opacity by default.  Fix T60101:
    vertex paint color sample.  Fix T59049: some modal transform keys no
    working in custom keymaps..  Fix T58113 Multiple problems with bevel
    harden normals..  Fix T59349: Cycles viewport render flickering when
    changing some settings..  Merge branch 'blender2.7'.  Fix for T58250
    fix: Blender failing to start with OpenGL context < 4.5..  Cleanup:
    don't do nodetree verification/versioning twice..  Fix T60073: can't
    unlink by dragging from some node input sockets..  Fix T60022: Crash
    when adding grease pencil object to a collection disabled in
    viewport..  Fix T59925: Crash when adding any generative modifier on
    a curve with more than one material..  Don't link against GLU
    library.  Fix T54962: Cycles crash using subsurface scattering
    texture blur..  Fix T58250: crash starting Blender on X11 without
    OpenGL 3.3..  Fix T60119: incorrect filter size in new scenes..  Fix
    T59072: Text extrusion cannot be animated.  Fix incorrect drawing of
    material list outline, after recent changes..  Fix T57177: redo
    select random operator selects hidden objects..  Fix some
    inconsistencies in object visibility/selectability tests..  Fix
    T60107: gizmos should not show for unselectable objects..  Fix
    T58870: submenus don't open for some specific mouse positions..  Fix
    accidental changes to default preferences in recent startup.blend
    commit..  Fix T60056: Make Duplicates Real with Keep Hierarchy does
    nothing.  GP: Include Lasso eraser in Fill and Primitives.  Fix
    T59527: Segment fault changing layer visibility and onion skin.
    Cleanup: indentation.  DRW: remove INDEX4 normal flipping.  Revert
    "GPU: add negated normal conversion functions".  Fix T59842: Curve
    flat shading doesn't work.  GPU: add negated normal conversion
    functions.  Cleanup: variable name.  Cleanup: preprocessor
    indentation.  Transform: default shrink/fatten even-offset to false.
    Fix new material for pinned objects.  Merge branch 'blender2.7'.
    Fix T60014: material link pref ignored.  Fix (unreported):
    unpredictable crashes when it is done snap after automerge..  Fix
    T58859: render with compositor does not render other scenes..  Fix
    wrong alpha blending for datablock preview icons..  Merge branch
    'blender2.7'.  Fix T60061: Cycles OSL point density not working..
    Fix T60037: single column layout breaks file browse button..  Fix
    T59063: operator search menu loses background in some cases..  Fix
    wrong grease pencil shader FX usage of object location..  Fix
    T59792: Cycles crash rendering motion pass with motion blur
    enabled..  Fix T60051: Wrong stroke projection when viewmode set to
    Front.  Fix T60046: crash with Cycles viewport render and particle
    info node..  Fix T60031: Joining two Grease Pencilobjects sometimes
    crashes.  Fixes and edits to studio light operators.  Cleanup: py-
    gpu error checks.  Revert file rename from T59773 fix.  Fix T59773:
    Raise exception if the gpu module is used in backgound mode..  Fix
    poll function for SelectPattern operator.  Fix T60030: Select
    pattern fails with pose bones.  Fix T60060: Corrective Smooth
    Modifier binding process is broken..  GP: Cleanup pad to _pad.  UI:
    correct sequencer icon in add menu.  UI: Show shade smooth/flat in
    curve context menu.  Fix T59886: Missing transform gizmo update.  3D
    View: use grid & all axes in axis-views.  UI: add scale option for
    template_icon_view button.  Cleanup: use RNA icon instead of passing
    as an arg.  Cleanup: indentation, naming.  PyRNA: enum no longer
    returns first item when the value isn't found.  Fix image editor
    tool-settings missing from topbar.  Cleanup: rename manipulator
    references.  Cleanup: use '_pad' in DNA.  Cleanup: rename
    target_weight -> weight.  UI: de-duplicate top-bar and panel paint
    scripts.  UI: add painting blend mode to top-bar.  GP: Don't use
    offset for Stroke projection.  Fix T60015: snap to grid - snaps only
    to largest increment.  Outliner: expand view layer collections by
    default, revealing objects..  Templates: tweaks to startup
    templates..  Viewport: update default set of HDR images..  Cleanup:
    remove unused camera studio lights..  Cleanup: specify default
    studiolight name, instead using first alphabetically..  Fix T59991:
    duplicate entries for node select operators in keymap..  UI: icon
    set updates by Andrzej Ambroz..  Fix: Cramped layout in object
    parent properties.  Cleanup: remove non-existing function
    declarations.  GP: Mew Merge Strokes operator.  Cleanup: warnings
    (clang).  Fix: Scrolling Preferences could cause blank UI.  Fix
    T59675: Motion path frame numbers at wrong positions.  Cleanup:
    avoid counting list multiple times.  Cleanup: use bool, style.
    Cycles: restore old sample and material override settings for view
    layers..  Fix T57078: Alembic curve import: better check for
    topology similarity.  Fix T59164: Run Alembic in background when
    INVOKE'd.  Docs: update manpage and html with app description
    matching website..  UI: update Blender application icon on all
    platforms..  Alembic import: Fix crash with mcol indices out of
    bounds.  Alembic import: lock interface while importing.  Fix
    T59785: Curve modifier does not update in realtime in object mode.
    Fix T59526: VSE Add submenus for clips/masks dont show with only one
    item.  Sequencer: refactor clipboard copy to no longer increase user
    count..  Fix more issues with recent render passes code cleanup..
    Fix T59910: material editor UI issue after recent changes..  Fix
    T59922: crash reading files with older renderlayers.  Fix T59774:
    Lightmap Pack Error: Element-wise multiplication: not supported
    between 'Quaternion' and 'Vector' types..  GP: Rename
    GP_STROKE_RECALC_CACHE to GP_STROKE_RECALC_GEOMETRY.  Merge branch
    'blender2.7'.  Fix (unreported) broken Cycles tests after numaapi
    changes today..  API Doc: point to blender2.7 new folder..  Point
    API doc back to master one..

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 11 Jan 2019 22:18:00 +0100

blender (83671-df3e7d0361c-0thomas~bionic0) bionic; urgency=medium

  * Point API doc back to master one..  Fix (unreported) broken Cycles
    tests after numaapi changes today..  GP: Avoid Onion calculation
    when play animation.  Merge branch 'blender2.7'.  Fix T59874: Cycles
    CPU 25% load only during rendering.  Fix T59865: UV editor vertex
    snap to active does not make any sense..  Fix T59870: Can't select
    "Face area" in average normals operator..  Fix T58734:
    bvhtree.fromObject - error ( returned NULL without setting an error)
    in blender 2.8..  GP: Enable Brush cursor by default for new
    brushes.  Fix T59900: duplicate font loading error and memory leak..
    Merge branch 'blender2.7'.  X11: support multiple tablet devices..
    Merge branch 'blender2.7'.  Fix T59864: UV editor missing options in
    snapping pie menu..  X11: support multiple tablet devices..  X11:
    support multiple tablet devices..  cleanup: remove unused passes.
    Fix T59861: converting GP stroke to curve doesn't immediately work.
    Fix T59884: Rigidbody Calculate Mass Sets Mass to 0.  Fix T59389:
    Solidify Modifier does not work with 'beveled' Curve objects..  UI:
    fix display of menu buttons without text and icon, and only a down
    arrow..  UI: fix inconsistent icon button widths for popovers and
    enums..  Fix T59799: texture paint mode crash for object with no
    materials..  Merge branch 'blender2.7'.  Fix T56595: Hair Dynamics
    stop working after saving new file.  Merge branch 'blender2.7'.
    Cleanup: style.  Cleanup: use unsigned char (change previous
    commit).  Cleanup: warnings.  Fix T59866: UV editor: no circle
    select..  Fix T57861: Object.ray_cast (and all RNA functions using
    "ob->runtime") broken in Blender 2.80.  GPU: Add another driver to
    the list of unused_fb_slot_workaround.  Fix T59505: Knife tool cut
    preview line becomes black.  Revert "Fix T59505: Knife tool cut
    preview line becomes black".  GP: Remove duplicate code moving to
    single function.  Fix/cleanup typos and such in UI messages (and
    some comments)..  Build script: Don't use external Pugi for OSL.
    Fix/cleanup another bunch of UI messages issues..  Fix T59722:
    stencil texture overlay not working on macOS..  Fix T59799: crash
    entering texture paint mode..  Fix floating panel (HUD) applying DPI
    incorrectly.  Fix and workaround for i18n messages extraction code..
    Cleanup: First batch of UI messages fixes (typos, final points...)..
    Avoid creating & registering zero sized AZones.  GP: Small changes
    to help text.  GP: Add Shift+F to define strength for primitives.
    Fix T59783: Convert GP stroke to geometry menu disabled.  Fix
    missing update when deleting animation channels..  Fix missing
    update when toggling NLA solo mode..  BLI_math_rotation: properly
    name the quaternion power function..  Fix T59782: Replace RMB by MMB
    in bottom help text.  Point locale sub-repo to blender2.7 branch..
    GP: Update Suzanne 2D object.

 -- Thomas Schiex <empnessty@gmail.com>  Thu, 27 Dec 2018 23:28:43 +0100

blender (83671-df3e7d0361c-0thomas~bionic0) bionic; urgency=medium

  * Point API doc back to master one..  Fix (unreported) broken Cycles
    tests after numaapi changes today..  GP: Avoid Onion calculation
    when play animation.  Merge branch 'blender2.7'.  Fix T59874: Cycles
    CPU 25% load only during rendering.  Fix T59865: UV editor vertex
    snap to active does not make any sense..  Fix T59870: Can't select
    "Face area" in average normals operator..  Fix T58734:
    bvhtree.fromObject - error ( returned NULL without setting an error)
    in blender 2.8..  GP: Enable Brush cursor by default for new
    brushes.  Fix T59900: duplicate font loading error and memory leak..
    Merge branch 'blender2.7'.  X11: support multiple tablet devices..
    Merge branch 'blender2.7'.  Fix T59864: UV editor missing options in
    snapping pie menu..  X11: support multiple tablet devices..  X11:
    support multiple tablet devices..  cleanup: remove unused passes.
    Fix T59861: converting GP stroke to curve doesn't immediately work.
    Fix T59884: Rigidbody Calculate Mass Sets Mass to 0.  Fix T59389:
    Solidify Modifier does not work with 'beveled' Curve objects..  UI:
    fix display of menu buttons without text and icon, and only a down
    arrow..  UI: fix inconsistent icon button widths for popovers and
    enums..  Fix T59799: texture paint mode crash for object with no
    materials..  Merge branch 'blender2.7'.  Fix T56595: Hair Dynamics
    stop working after saving new file.  Merge branch 'blender2.7'.
    Cleanup: style.  Cleanup: use unsigned char (change previous
    commit).  Cleanup: warnings.  Fix T59866: UV editor: no circle
    select..  Fix T57861: Object.ray_cast (and all RNA functions using
    "ob->runtime") broken in Blender 2.80.  GPU: Add another driver to
    the list of unused_fb_slot_workaround.  Fix T59505: Knife tool cut
    preview line becomes black.  Revert "Fix T59505: Knife tool cut
    preview line becomes black".  GP: Remove duplicate code moving to
    single function.  Fix/cleanup typos and such in UI messages (and
    some comments)..  Build script: Don't use external Pugi for OSL.
    Fix/cleanup another bunch of UI messages issues..  Fix T59722:
    stencil texture overlay not working on macOS..  Fix T59799: crash
    entering texture paint mode..  Fix floating panel (HUD) applying DPI
    incorrectly.  Fix and workaround for i18n messages extraction code..
    Cleanup: First batch of UI messages fixes (typos, final points...)..
    Avoid creating & registering zero sized AZones.  GP: Small changes
    to help text.  GP: Add Shift+F to define strength for primitives.
    Fix T59783: Convert GP stroke to geometry menu disabled.  Fix
    missing update when deleting animation channels..  Fix missing
    update when toggling NLA solo mode..  BLI_math_rotation: properly
    name the quaternion power function..  Fix T59782: Replace RMB by MMB
    in bottom help text.  Point locale sub-repo to blender2.7 branch..
    GP: Update Suzanne 2D object.  Fix T59505: Knife tool cut preview
    line becomes black.

 -- Thomas Schiex <empnessty@gmail.com>  Thu, 27 Dec 2018 23:23:02 +0100

blender (83617-4c5e76025d8-0thomas~bionic0) bionic; urgency=medium

  * GP: Update Suzanne 2D object.  Fix T59505: Knife tool cut preview
    line becomes black.  Fix T59644: FPS meter not showing in VSE.
    Cleanup: const cast.  Fix T59734: cyclic dependency with drivers on
    PoseBone.bbone_*..  Fix T58327: Quick Favorites "Remove from
    Favorites" missing for added Modifiers.  Fix T59686: snap to
    adaptive grid occurs with a "delay".  GP: Primitive: Changes from gp
    branch.  Merge branch 'blender2.7'.  Cleanup: fix ATTR_FALLTHROUGH
    warnings..  Fix T59708: decimate modifier does not show face count
    before decimation..  Fix T59691: Crash when deleting data-block
    video or audio in a video editor.  Cleanup: Indentation.  Fix
    T59668: UV unwrap pinning bugs..  Workbench: Fix crash when using
    more than one metaball.  Fix T59608: Curves invisible in object
    mode.  Fix inconsistent/broken Cycles object visibility for
    instances..  Merge branch 'blender2.7' into master..  Fix T57907:
    Crash with hair when switching between object and edit mode.  Fix
    T59687: Crash when rendering animation.  Update for moving
    blender2.8 to master..  Update .arcconfig for moving master to
    blender2.7 branch..  Update for moving master to blender2.7 branch..
    Correct orientation pie menu.  GP: Cleanup weird thickness scale.
    Fix T57816: Crash when deleting recently orphaned collection.  Fix
    T59673: wrong B-Bone handle references when duplicating bones..  Fix
    T59709: Light target gizmo scaling.  GP: Move calculated center only
    for selected strokes.  GP: Cleanup API removing extra ID parameter.
    Fix bug selecting verts in mixed edge/vert mode.  RNA: naming, user-
    preferences -> preferences.  3D View: add object color drawing
    option.  Cleanup: unused arg.  Cleanup: macro hygiene, line length.
    Mesh Batch Cache: Fix missing flag for looptris indexbuf generation.
    Workbench: Fix wrong TEXTURE_DRAWING_ENABLED check and rework
    drawing logic.  UI: use smaller widget for expanding hidden region.
    Library: correct BKE_id_to_unique_string_key fix.  GP: Use only
    selected points to calc transform center.  GP: Enable center for
    Local Origins only.  GP: Undo center calculation.  GP: Change
    default parameters for convert curves..  Fix T59648: Linking
    material to greasepencil object causes crash.  GP: Changes in API to
    make internal update.  Merge branch 'master' into blender2.8.
    Cycles: Fixes for recent curve robustness.  Fix T59672: UVs are not
    updating when changed in panel.  Revert "GP: New Python update API
    functions (WIP)".  Fix T59674: context menu for channels not found.
    Fix T59083: normal transform orientation ignores absolute grid
    snap..  Fix for camera background images options not showing when
    using stereoscopy..  GP: New Python update API functions (WIP).  Fix
    T57777: Decimate modifier face count does not work.  Fix T57045:
    Unhandled degenerate case in bevel code.  Fix T58404: Node/Socket
    grabbing with Lasso tool.  Correct own error in 1ce9a142b6abd.
    Merge branch 'master' into blender2.8.  Fix T59074: BMesh intersect
    hangs.  Cleanup: naming.  Correct error in last commit.  Fix context
    menu w/o an active object.  Keymap: use action-tweak for node re-
    route.  Tool System: default node editor to select tool.  Fix
    T59300: Box select fails in node-editor.  UI: correct error in
    recent UI cleanup.  Cleanup: style.  Merge branch 'master' into
    blender2.8.  PyAPI: don't truncate enums in exception messages.
    Cleanup: remove intermediate menu drawing function.  Fix T58937:
    Appended menus to VIEW3D_MT_editor_menus are not displayed.  UI: add
    UILayout.direction.  UI: add method to draw menu contents.  Fix
    possible key collision w/ BKE_id_to_unique_string_key.  Fix T59626:
    Outliner rename overlaps icons.  Fix T59579: Grease Pencil copy
    buffer loses material information.  Mesh Batch Cache: Fix
    uninitialized loop variable.  Fix crash clicking on trackball
    widget.  Cleanup: argument wrapping indentation.  UI: expose gizmo
    orientation as a single enum.  Fix T59391: Crash snapping to active.
    Fix T59387: Axis target crash.  GP: Fix error drawing on Camera view
    for Surface/Stroke.  GP: Primitive: Add MMB to confirm.  Fix
    (unreported): Wireframe fails in the sculpt mode on some AMD GPUs..
    Fix T59595: Grease Pencil and CameraView.  Fix T59574: Prop_search
    fails to set objects from scene..  Fix T58376: incorrect tooltip in
    subsurf modifier.  Fix T59273: Text object disappears when Fill Mode
    is set to None.  Fixes for particle system and physics.  Fix T58739:
    Camera Location, keyframe Bug.  BLI_bitmap: add functions operating
    on the whole bitmask..  GP: Primitive: Fix jitter.  GP: Primitive:
    Add RMB behaviour to Grab/Move.  Merge branch 'master' into
    blender2.8.  Build info: Ensure hash length is same across all
    platforms and has no conflicts.  UI: move gizmo orientation settings
    into popover.  Merge branch 'master' into blender2.8.  Fix
    Proportional Edit Projected 2D method skiped center calculation.
    Fix T59578: enabling "vertex group weights" in edit mode results in
    crash.  RNA: support setting default values for custom properties..
    Fix T59237: Instancing on a path doesn't do anything.  Fix T59500:
    Weight Smoothing Not Working.  UI: show panel type in Python
    tooltips.  RNA: convenience method for orientation name & icon.
    Gizmo: optional custom orientations for transform.  Transform: use
    the scenes transform orientation.  GP: Update Gizmo position when
    select.  Theme: use menu text color for floating redo panel.
    startup: default file selector to empty filename.  Fix T57139:
    Transform overlay shows even when disabled.  Fix invalid string
    comparison.  Fix invalid string comparison.  UI: tweak shading
    popover.  DNA: move back-face culling to shading popover.  Merge
    branch 'master' into blender2.8.  Cleanup: spelling.  Cleanup: use
    static struct for app-template state.  GP: Add calculation of center
    for transformation by stroke (WIP).  GP: Improve z-depth for Blur
    FX.  Mesh Batch Cache: Port loose_edges to batch request.  Edit
    Mode: Show loose edges if in draw type is wire.  Wireframe Overlay:
    Make use of colorTransform when transforming an object.  Mesh Batch
    Cache: Cleanup / Reorder function for more consistency.  Fix T58899:
    Eevee - Material Index missing from panel.  Workbench: Fix crash
    when sculpting with a multi material mesh.  Mesh Batch Cache: Port
    edge_detection to batch request.  DRW: Cleanup / Renaming of mesh
    batch cache functions.  Mesh Batch Cache: Port all_edges batch to
    batch request.  DRW: Fix flat object not being selectable in
    wireframe view.  Merge branch 'master' into blender2.8.  Fix T59104:
    Snapping: Align rotation to target broken in edit mode..  Fix
    T58335: Grease Pencil Objects in Edit Mode have transform gizmos in
    wrong location.  Potential fix for sculpt mask diffuse color drawing
    update.  Fix Sculpt mask enable/disable does not update drawing
    immediatelly.  Fix T59569: crashes when generate rig..  Fix for
    T59325. Constraint to Fcurve in Motion Tracking was broken.  GP:
    Primitive: Fix flickering when using a noise brush.  Fix enum icon
    button size for fractional UI scale..  Fix edit mesh component
    buttons width not being consistent..  Fix T59536: safe area values
    were swapped.  Merge branch 'master' into blender2.8.  Fix T59564:
    Huion pen pressure not working on Linux, after recent changes..  Fix
    T59009: UV unwrapp correct aspect fails on some shapes..  Fix
    T55105: Smoke Emission from particles was ignoring lattice deformer
    on the particles.  Fix crash with armature custom bone in wireframe
    mode.  Fix T59484: Particles Lattice deform fails.  Fix T59529: Auto
    smooth not working.  Fix T59478: Information Bar Missing Data when
    in Sculpt Mode.  Correct own error in changes to pose gizmo center.
    DRW: Instance: Makes it possible to have instances of a non-init
    batch.  Armature: temp workaround for crash caused by custom bone
    drawing.  Cleanup: Typo in comment.  Use proper buffer size for
    statistics.  Cleanup: Reduce indentation level.  Transform:
    calculate initial depth for axis-target.  Py Docs: documentation for
    draw_handler_add/remove.  Fix T59496: Movie Clip Editor does not
    display metadata.  Transform: when snap affect is off for a
    transform mode, ignore snap settings entirely..  Fix crash showing
    footage information for non-animation movie clips.  Fix edit-mode
    wire color being used for other objects.  Fix T59548: Grease Pencil
    Primitives ignore the 'draw below' option.  Gizmo: exclude overlays
    from origin-set depth.  Fix 3D view depth buffer ignoring overlay
    option.  Fix T59519: Grease Pencil stroke with noise modifier
    crashes blender.  Theme: too low contrast blender_light edit-edge.
    Fix T59535: Select linked delimit doesn't refresh.  Missed when
    renaming tool settings.  Fix paste/append w/ local-view.  Cleanup:
    python quotes.  Fix T53544: Crash drawing scene w/o world.  Correct
    missing NULL check in recent commit.  Fix T59461: Follow active quad
    asserts.  GPencil: Cancel w/ RMB click.  Fix T59366: gpencil eraser
    shows w/ shape tool.  Mesh Batch Cache: Port vertex paint surface to
    batch request.  Mesh Batch Cache: Port weight paint surface to batch
    request.  DRW: Polygon Offset: Also offset lines and points.  Weight
    Paint Overlay: Refactor wire drawing.  Fix gizmos showing for non-
    visible objects.  Fix multi-object state on load.  Transform: option
    to use incremental snapping.  UI: use icons for text edit
    copy/paste.  UI: Extend context menu to check current selection.
    RNA: Add Mesh.count_selected_items().  Fix T59424: color wheel snaps
    to center, losing hue when value is zero..  Fix error when Blender
    starts - variable not initializated.  GP: Change order of primitive
    buttons.  DRW: Fix vertex paint using original object for batch
    cache.  Mesh Batch Cache: Port Texture paint wires to new batch
    request.  Mesh Batch Cache: Port Texture paint batches to new batch
    request.  Curve Batch Cache: Fix issue with cd_used.  Mesh Batch
    Cache: Optimization & Refactor shaded surface support.  Fix T59373:
    Background Colors don't match in Workbench renderer.  Workbench: Fix
    srgb texture not being color managed in texture color mode.
    Cleanup: Fix typo in comment.  GP: Change Primitive manipulator to
    secondary Gizmo color.  Fix T59112: bone pinning error.  Fix T59493:
    view selected in GP edit mode does not take obmat into account.  GP:
    Change Primitive manipulator color.  Fix T59490: wrong curve handle
    lines.  Fix T59404: Mistake in recent EdgeHash refactor broke edge
    generations in mesh validate code..  Correct modifier stack
    validation.  Fix T59172: Blender 2.7x keymap error when setting
    pivot point.  Fix T58652: Crash editing shape keys weirdness with
    instances.  Remove some files restored in Game Engine.  Fix T59483:
    Grease Pencil Additive Drawing mode doesn't work with shapes.
    Eevee: Change Bent normal calculation.  GPU: Add Intel HD Graphics
    530 to the list of buggy intel gpus.  Workbench: Use int to fix
    compilation issues on certain platform.  Context: add
    objects_in_mode(_unique_data).  Merge branch 'master' into
    blender2.8.  Cleanup: use 'tool_settings' name everywhere in UI
    scripts.  Context: remove active_gpencil_brush.  Theme: use grey for
    blender_light inactive menu text.  Theme: use black for
    blender_light view-overlay.  3D View: empty image option to show
    front/back.  Correct error in last commit.  DNA: clear / remove
    deprecated flags.  Merge branch 'master' into blende2.8.  Cleanup:
    use bit-shifted flag definitions in DNA.  Fix T59446: Grease pencil
    mirror modifier wrong.  GP: Add option to occlude eraser.  GP:
    Primitive: Add curve tool icon.  UI: initialize Overridable Static
    checkbox for custom properties..  GP: Fix Onion Skin slow
    performance.  Theme: blender_light text editing colors were too
    similar.  Cleanup: theme right shift.  Theme: include new colors.
    Fix T58975: "@=" operator silently fails.  Cleanup: style.  Fix
    string formatting, fall through attr.  GP: New Curve primitive and
    other primitive improvements.

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 23 Dec 2018 00:19:47 +0100

blender (83616-dafaa6f2288-0thomas~bionic0) bionic; urgency=medium

  * Fix T59505: Knife tool cut preview line becomes black.  Fix T59644:
    FPS meter not showing in VSE.  Cleanup: const cast.  Fix T59734:
    cyclic dependency with drivers on PoseBone.bbone_*..  Fix T58327:
    Quick Favorites "Remove from Favorites" missing for added Modifiers.
    Fix T59686: snap to adaptive grid occurs with a "delay".  GP:
    Primitive: Changes from gp branch.  Merge branch 'blender2.7'.
    Cleanup: fix ATTR_FALLTHROUGH warnings..  Fix T59708: decimate
    modifier does not show face count before decimation..  Fix T59691:
    Crash when deleting data-block video or audio in a video editor.
    Cleanup: Indentation.  Fix T59668: UV unwrap pinning bugs..
    Workbench: Fix crash when using more than one metaball.  Fix T59608:
    Curves invisible in object mode.  Fix inconsistent/broken Cycles
    object visibility for instances..  Merge branch 'blender2.7' into
    master..  Fix T57907: Crash with hair when switching between object
    and edit mode.  Fix T59687: Crash when rendering animation.  Update
    for moving blender2.8 to master..  Update .arcconfig for moving
    master to blender2.7 branch..  Update for moving master to
    blender2.7 branch..  Correct orientation pie menu.  GP: Cleanup
    weird thickness scale.  Fix T57816: Crash when deleting recently
    orphaned collection.  Fix T59673: wrong B-Bone handle references
    when duplicating bones..  Fix T59709: Light target gizmo scaling.
    GP: Move calculated center only for selected strokes.  GP: Cleanup
    API removing extra ID parameter.  Fix bug selecting verts in mixed
    edge/vert mode.  RNA: naming, user-preferences -> preferences.  3D
    View: add object color drawing option.  Cleanup: unused arg.
    Cleanup: macro hygiene, line length.  Mesh Batch Cache: Fix missing
    flag for looptris indexbuf generation.  Workbench: Fix wrong
    TEXTURE_DRAWING_ENABLED check and rework drawing logic.  UI: use
    smaller widget for expanding hidden region.  Library: correct
    BKE_id_to_unique_string_key fix.  GP: Use only selected points to
    calc transform center.  GP: Enable center for Local Origins only.
    GP: Undo center calculation.  GP: Change default parameters for
    convert curves..  Fix T59648: Linking material to greasepencil
    object causes crash.  GP: Changes in API to make internal update.
    Merge branch 'master' into blender2.8.  Cycles: Fixes for recent
    curve robustness.  Fix T59672: UVs are not updating when changed in
    panel.  Revert "GP: New Python update API functions (WIP)".  Fix
    T59674: context menu for channels not found.  Fix T59083: normal
    transform orientation ignores absolute grid snap..  Fix for camera
    background images options not showing when using stereoscopy..  GP:
    New Python update API functions (WIP).  Fix T57777: Decimate
    modifier face count does not work.  Fix T57045: Unhandled degenerate
    case in bevel code.  Fix T58404: Node/Socket grabbing with Lasso
    tool.  Correct own error in 1ce9a142b6abd.  Merge branch 'master'
    into blender2.8.  Fix T59074: BMesh intersect hangs.  Cleanup:
    naming.  Correct error in last commit.  Fix context menu w/o an
    active object.  Keymap: use action-tweak for node re-route.  Tool
    System: default node editor to select tool.  Fix T59300: Box select
    fails in node-editor.  UI: correct error in recent UI cleanup.
    Cleanup: style.  Merge branch 'master' into blender2.8.  PyAPI:
    don't truncate enums in exception messages.  Cleanup: remove
    intermediate menu drawing function.  Fix T58937: Appended menus to
    VIEW3D_MT_editor_menus are not displayed.  UI: add
    UILayout.direction.  UI: add method to draw menu contents.  Fix
    possible key collision w/ BKE_id_to_unique_string_key.  Fix T59626:
    Outliner rename overlaps icons.  Fix T59579: Grease Pencil copy
    buffer loses material information.  Mesh Batch Cache: Fix
    uninitialized loop variable.  Fix crash clicking on trackball
    widget.  Cleanup: argument wrapping indentation.  UI: expose gizmo
    orientation as a single enum.  Fix T59391: Crash snapping to active.
    Fix T59387: Axis target crash.  GP: Fix error drawing on Camera view
    for Surface/Stroke.  GP: Primitive: Add MMB to confirm.  Fix
    (unreported): Wireframe fails in the sculpt mode on some AMD GPUs..
    Fix T59595: Grease Pencil and CameraView.  Fix T59574: Prop_search
    fails to set objects from scene..  Fix T58376: incorrect tooltip in
    subsurf modifier.  Fix T59273: Text object disappears when Fill Mode
    is set to None.  Fixes for particle system and physics.  Fix T58739:
    Camera Location, keyframe Bug.  BLI_bitmap: add functions operating
    on the whole bitmask..  GP: Primitive: Fix jitter.  GP: Primitive:
    Add RMB behaviour to Grab/Move.  Merge branch 'master' into
    blender2.8.  Build info: Ensure hash length is same across all
    platforms and has no conflicts.  UI: move gizmo orientation settings
    into popover.  Merge branch 'master' into blender2.8.  Fix
    Proportional Edit Projected 2D method skiped center calculation.
    Fix T59578: enabling "vertex group weights" in edit mode results in
    crash.  RNA: support setting default values for custom properties..
    Fix T59237: Instancing on a path doesn't do anything.  Fix T59500:
    Weight Smoothing Not Working.  UI: show panel type in Python
    tooltips.  RNA: convenience method for orientation name & icon.
    Gizmo: optional custom orientations for transform.  Transform: use
    the scenes transform orientation.  GP: Update Gizmo position when
    select.  Theme: use menu text color for floating redo panel.
    startup: default file selector to empty filename.  Fix T57139:
    Transform overlay shows even when disabled.  Fix invalid string
    comparison.  Fix invalid string comparison.  UI: tweak shading
    popover.  DNA: move back-face culling to shading popover.  Merge
    branch 'master' into blender2.8.  Cleanup: spelling.  Cleanup: use
    static struct for app-template state.  GP: Add calculation of center
    for transformation by stroke (WIP).  GP: Improve z-depth for Blur
    FX.  Mesh Batch Cache: Port loose_edges to batch request.  Edit
    Mode: Show loose edges if in draw type is wire.  Wireframe Overlay:
    Make use of colorTransform when transforming an object.  Mesh Batch
    Cache: Cleanup / Reorder function for more consistency.  Fix T58899:
    Eevee - Material Index missing from panel.  Workbench: Fix crash
    when sculpting with a multi material mesh.  Mesh Batch Cache: Port
    edge_detection to batch request.  DRW: Cleanup / Renaming of mesh
    batch cache functions.  Mesh Batch Cache: Port all_edges batch to
    batch request.  DRW: Fix flat object not being selectable in
    wireframe view.  Merge branch 'master' into blender2.8.  Fix T59104:
    Snapping: Align rotation to target broken in edit mode..  Fix
    T58335: Grease Pencil Objects in Edit Mode have transform gizmos in
    wrong location.  Potential fix for sculpt mask diffuse color drawing
    update.  Fix Sculpt mask enable/disable does not update drawing
    immediatelly.  Fix T59569: crashes when generate rig..  Fix for
    T59325. Constraint to Fcurve in Motion Tracking was broken.  GP:
    Primitive: Fix flickering when using a noise brush.  Fix enum icon
    button size for fractional UI scale..  Fix edit mesh component
    buttons width not being consistent..  Fix T59536: safe area values
    were swapped.  Merge branch 'master' into blender2.8.  Fix T59564:
    Huion pen pressure not working on Linux, after recent changes..  Fix
    T59009: UV unwrapp correct aspect fails on some shapes..  Fix
    T55105: Smoke Emission from particles was ignoring lattice deformer
    on the particles.  Fix crash with armature custom bone in wireframe
    mode.  Fix T59484: Particles Lattice deform fails.  Fix T59529: Auto
    smooth not working.  Fix T59478: Information Bar Missing Data when
    in Sculpt Mode.  Correct own error in changes to pose gizmo center.
    DRW: Instance: Makes it possible to have instances of a non-init
    batch.  Armature: temp workaround for crash caused by custom bone
    drawing.  Cleanup: Typo in comment.  Use proper buffer size for
    statistics.  Cleanup: Reduce indentation level.  Transform:
    calculate initial depth for axis-target.  Py Docs: documentation for
    draw_handler_add/remove.  Fix T59496: Movie Clip Editor does not
    display metadata.  Transform: when snap affect is off for a
    transform mode, ignore snap settings entirely..  Fix crash showing
    footage information for non-animation movie clips.  Fix edit-mode
    wire color being used for other objects.  Fix T59548: Grease Pencil
    Primitives ignore the 'draw below' option.  Gizmo: exclude overlays
    from origin-set depth.  Fix 3D view depth buffer ignoring overlay
    option.  Fix T59519: Grease Pencil stroke with noise modifier
    crashes blender.  Theme: too low contrast blender_light edit-edge.
    Fix T59535: Select linked delimit doesn't refresh.  Missed when
    renaming tool settings.  Fix paste/append w/ local-view.  Cleanup:
    python quotes.  Fix T53544: Crash drawing scene w/o world.  Correct
    missing NULL check in recent commit.  Fix T59461: Follow active quad
    asserts.  GPencil: Cancel w/ RMB click.  Fix T59366: gpencil eraser
    shows w/ shape tool.  Mesh Batch Cache: Port vertex paint surface to
    batch request.  Mesh Batch Cache: Port weight paint surface to batch
    request.  DRW: Polygon Offset: Also offset lines and points.  Weight
    Paint Overlay: Refactor wire drawing.  Fix gizmos showing for non-
    visible objects.  Fix multi-object state on load.  Transform: option
    to use incremental snapping.  UI: use icons for text edit
    copy/paste.  UI: Extend context menu to check current selection.
    RNA: Add Mesh.count_selected_items().  Fix T59424: color wheel snaps
    to center, losing hue when value is zero..  Fix error when Blender
    starts - variable not initializated.  GP: Change order of primitive
    buttons.  DRW: Fix vertex paint using original object for batch
    cache.  Mesh Batch Cache: Port Texture paint wires to new batch
    request.  Mesh Batch Cache: Port Texture paint batches to new batch
    request.  Curve Batch Cache: Fix issue with cd_used.  Mesh Batch
    Cache: Optimization & Refactor shaded surface support.  Fix T59373:
    Background Colors don't match in Workbench renderer.  Workbench: Fix
    srgb texture not being color managed in texture color mode.
    Cleanup: Fix typo in comment.  GP: Change Primitive manipulator to
    secondary Gizmo color.  Fix T59112: bone pinning error.  Fix T59493:
    view selected in GP edit mode does not take obmat into account.  GP:
    Change Primitive manipulator color.  Fix T59490: wrong curve handle
    lines.  Fix T59404: Mistake in recent EdgeHash refactor broke edge
    generations in mesh validate code..  Correct modifier stack
    validation.  Fix T59172: Blender 2.7x keymap error when setting
    pivot point.  Fix T58652: Crash editing shape keys weirdness with
    instances.  Remove some files restored in Game Engine.  Fix T59483:
    Grease Pencil Additive Drawing mode doesn't work with shapes.
    Eevee: Change Bent normal calculation.  GPU: Add Intel HD Graphics
    530 to the list of buggy intel gpus.  Workbench: Use int to fix
    compilation issues on certain platform.  Context: add
    objects_in_mode(_unique_data).  Merge branch 'master' into
    blender2.8.  Cleanup: use 'tool_settings' name everywhere in UI
    scripts.  Context: remove active_gpencil_brush.  Theme: use grey for
    blender_light inactive menu text.  Theme: use black for
    blender_light view-overlay.  3D View: empty image option to show
    front/back.  Correct error in last commit.  DNA: clear / remove
    deprecated flags.  Merge branch 'master' into blende2.8.  Cleanup:
    use bit-shifted flag definitions in DNA.  Fix T59446: Grease pencil
    mirror modifier wrong.  GP: Add option to occlude eraser.  GP:
    Primitive: Add curve tool icon.  UI: initialize Overridable Static
    checkbox for custom properties..  GP: Fix Onion Skin slow
    performance.  Theme: blender_light text editing colors were too
    similar.  Cleanup: theme right shift.  Theme: include new colors.
    Fix T58975: "@=" operator silently fails.  Cleanup: style.  Fix
    string formatting, fall through attr.  GP: New Curve primitive and
    other primitive improvements.

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 22 Dec 2018 10:26:09 +0100

blender (83385-351f537fa83-0thomas~bionic0) bionic; urgency=medium

  * GP: New Curve primitive and other primitive improvements.  Fix
    T59396 Grease pencil brush crash.  GP: Add NULL checking for object.
    Fix T56185, T59351: bypass GL_PROXY_TEXTURE.. test on AMD GPU +
    windows.  Fix T59388: Blender crash upon F3 command search in VSE.
    UV pin: Use ID_RECALC_COPY_ON_WRITE instead of the almighty 0.  Fix
    T59381: UV editor - Pinned vertex missing update.  Fix UV editor
    missing/typo circle_select.  NLA: insert keyframes correctly for
    strips with non-Replace mode..  Fix T59322: View Layer - Search not
    working.  GP: Added keymaps for Sculpt select.  GP: Fix missing
    changes after rename CTX.  fix shader editor errors when showing
    world shader tree.  Merge branch 'master' into blender2.8.
    Dependencies builder: Don't rely on system-wide PugiXML.  Fix broken
    particle distribution after recent fix.  Fix wrong color in center
    of HSV circle picker, after recent changes..  Fix T59358: Wrong
    status bar keymap for release confirms and right click select..  Fix
    T59182: Blender 2.8 win64 crashes on start.  GP: Rename CTX and OB
    modes.  Edit Curve: Add Normal size in overlay popover and change
    default range.  Curve Batch Cache: Add support for loose edges and
    curve/surf modifier.  Wireframe: Fix wireframe color in edit mode
    for surfaces.  DRW Batch Cache: Fix hack being a bit too much hacky.
    Displist: Reuse tesselated pos and nor for wireframes.  Curve Batch
    Cache: Add back support for shaded geometry.  GPUBatch: Add
    GPU_batch_clear to clear batches without freeing.  Wireframe: Fix
    Object Viewport display "all edges" options not working.  Curve
    Batch Cache: Rework Implementation to use new batch request.  DRW:
    Simplify text edit drawing.  GPUBuffers: Fix uninitialized memory
    use causing undefined conditional jump.  Fix T59334: Crash
    initializing crazyspace on object with subsurf and displacement.
    UI: show frame rate in movie clip editor.  Attempt to sanitize node
    tree deletion.  Fix T59220: Deleting object causes blender 2.8 to
    crash.  Merge branch 'master' into blender2.8.  CMake: Fixes for
    OpenGL library preferences.  Fix T59365: Blender crashes when I try
    to open a .blend file..  fix relationship line always drawing from
    the parents origin.  Fix T58351: Make Single User crashes.  New
    object API function : BKE_object_eval_reset().  Build fixup for
    previous commit.  Fix T58652: Crash editing shape keys weirdness
    with instances.  Fixing crash with cycles baking with is_cage and no
    cage.  Transform: remove incorrect 3D view check.  UI: tweak text
    editing fields for higher contrast.  Fix T59347: Crash drawing empty
    image.  Correct error in last commit.  Keymap: correct keymap names.
    Keymap: only use double-click MMB w/ LMB select.  Fix mesh select
    path not updating the gizmo.  Merge branch 'master' into blender2.8.
    Fix selection history clearing when selecting all.  Merge branch
    'master' into blender2.8.  Missed last commit.  Merge branch
    'master' into blender2.8.  Missed last commit.  Cleanup: naming
    (mean -> median) see T47811.  Cleanup: naming.  Fix T59337: Camera
    visual aids ignore overlay.  Preferences: add option for header
    position.  Fix compiler error.  GP: Add Subdivide Smooth option.
    Fix T59137: Prefs moves header to bottom.  Fix T57724: Opening file
    browser flips user-prefs header.  Merge branch 'master' into
    blender2.8.  Fix typo in context docs..  UI: show workspace cycling
    key bindings in menu.  GP: New Smooth operator.  Fix T58014, T58650:
    issues with hex color and Filmic view transform..  Color management:
    add OCIO aware utility functions for transform to/from XYZ..  Fix
    T58549, T56741: HSV color picker issues with Filmic view transform..
    Speedup: new OldNewMap implementation for file loading.  Merge
    remote-tracking branch 'origin/master' into blender2.8.  deps: add
    missing sqlite dll to windows build..  Merge branch 'master' into
    blender2.8.  Cycles: Update standalone app to OIIO 2.0.  RNA: revert
    recent rename 'updated' -> 'dirty'.  Cleanup: macro hygiene, style,
    doxy comments.  BLI_edgehash: assert when edges use the same vert.
    GP: Cleanup const variables.  Fix error in recent key-item
    filtering.  Fix force fields not affecting rigid bodies.  Silence
    warning (const).  GP: Missing change of texture format in previous
    commit.  Fix T59125: Outliner does not show view layer count.  GP:
    Create Framebuffer textures only if needed.  GP: Changes textures
    from  DEPTH24_STENCIL8 to DEPTH_COMPONENT24.  BLI: New Edgehash and
    EdgeSet implementation.  Armature Edit Mode: improve box/lasso
    select.  Cleanup: use doxy grouping for view3d select.  Cleanup:
    style.  Cleanup: replace ifdef w/ stub.  Gizmo: multi-object pose-
    mode gizmo positioning.  Gizmo: use general active center
    calculation.  Cleanup: de-duplicate active item center access.
    Templates: remove redundant directory init.  Fix building w/o
    bullet.  Fix T59248: Crash in Grease Pencil Edit mode when adding
    Annotation.  Fix (unreported) Broken rigidbody requirements when
    adding objects to a RB collection..  Fix T59208: Error when loading
    reference/background image in edit mode.  Fix T59234: Crash when
    enter in Edit mode.  Mesh Batch Cache: Fix crash when using edit
    mode normal display..  Fix T58450: Skin modifier not working if
    applied after subsurf.  Fix transform gizmo showing with active
    element pivot point and no selection..  UI: use consistent
    subdivision modifier name when creating from shortcuts..  Point API
    doc to proper path..  Merge branch 'master' into blender2.8.  Fix
    T59213: Application menu links to outdated version of Python API..
    Keymap: event type filter w/ finding keymap items.  Fix T59133: Area
    light size not updating from viewport gizmo..  PyTemplates
    operator_modal_timer: update to 2.8.  startup: default file selector
    to a useful path.  Fix action-zones showing up as shortcuts.
    Keymap: refactor keymap item find logic.  Fix T59170: Box select
    ignores modifiers-keys once tool option is set.  Merge branch
    'master' into blender2.8.  Cleanup: use colon separator after
    parameter.  Docs: correct doxy comments.  Keymap: add Shift-F1..3
    editor shortcuts.  Fix T59211: Edit-mesh display crashes.  Fix
    Cycles baking active/cage.  Fix T59210: Measure tool crash w/o
    overlays/gizmos.  Fix rulers being removed on click.  Revert "Tweak
    UI message of Ruler tool.".  Fix toolbar key-accelerator w/ LMB
    select.  Merge remote-tracking branch 'origin/master' into
    blender2.8.  dependencies windows: Replace pthreads-win32 2.9.1 with
    pthreads4w 3.0.0.  GPUState: Change isolated glLineWidth usage to
    GPU_line_width.  GPUTexture: Add debug print for cubemap textures.
    GPUTexture: Fix memory statistics not working for Multisamples
    textures.  DRW: Fix redundant texture creation.  GPUState: Remove
    glLineWidth warnings about size 0x0.  GPUTexture: Add debug output
    to check what texture was created.  UI: fix enum icon buttons
    haveing different size..  FFmpeg: enable multi-threaded encoding of
    multiple frames, for a ~20% speedup..  RNA: provide access to bone
    parent transform math from Python..  Edit Mesh: Make edit cage stick
    to the mesh when possible.  DRW: Add polygon offset mode..  Fix
    T58266 : Bottom half of meshes are transparent with eevee render.
    Merge branch 'master' into blender2.8.  Update code to be compatible
    with OIIO 2.0.  Fix T59001: UV Editor - Crash when hiding all UVs
    while 3D view is open and sync selection enabled.  Implement
    BMesh.from_object.  Merge branch 'master' into blender2.8.  Cleanup:
    remove accidentally committed debug code..  Cycles: Add strict
    assert when assigning input socket stack offset.  Cycles: Remove old
    nasty workaround.  Fix macOS buildbot build, wrong CUDA version
    check..  Cycles: Cleanup, indentation.  Fix crash in do-versions
    after recent changes.  Proper fix for building without Bullet.  Fix
    T59174: Missing particles update.  Fix T59005: no FCurve cleanup in
    the Timeline.  Fix T53166: Shift click gizmo axis lock broken.
    Cleanup: use BKE_object_* prefix for object API.  Fix T57934: non-
    empty duplicators don't render.  DNA: version patch Camera.drawsize
    to twice it's value.  Merge branch 'master' into blender2.8.  Fix
    T59161: Edge Rotate CW is CCW.  Gizmo: update camera ortho-size.
    Merge branch 'master' into blender2.8.  Fix T52051: Orthographic
    camera display size error.  Fix T58850: NDOF navigation guide not
    shown.  Workbench: Fix shadow artifact caused by degenerate
    triangles.  Fix building w/o bullet.  DRW: Deprecate / Remove
    DRW_STATE_STIPPLE_*.  Object Mode: Make point clouds a bit less like
    uniform blobs.  GP: Fix problems with stroke Caps.  GP: Set Brush
    default material when add new GP Object.  GP: Remove Object Onion
    Skin switch.  GP: Replace Clamp icon.  GP: Make Onion Skin ON as
    default RNA value.  GP: Enable Object Onion Skin by default.  Edit
    Mesh: Opti: Reduce max_vertices in geometry shader.  Edit Mesh: Fix
    edges poking through the verts points in xray/seethrough mode.  Edit
    Mesh: Make "fresnel effect" not transparent but mix between 2
    colors.  Edit Mesh: Draw inner edge selected in vert edit mode if
    both verts selected.  DRW: Batch Cache: Mesh: Port edit mesh batches
    to batch request method.  DRW: Batch Cache: Mesh: Port more batches
    to batch request method.  DRW: Batch Cache: Add batch request
    system.  GPU: Make changes to GPUIndexBuf and GPUVertBuf to allow
    multithreading.  GPU: Cleanup: Rename vbo to ibo for index buffers.
    Fix T58932: Impossible to influence the particle system.  Fix
    T58928: New Action causes crash when duplicating bone.  Cycles:
    Restore properties in the interface.  Cleanup: Variable naming.
    Tweak UI message of Ruler tool..  Fix T57633: Particle texture
    update problem.  Cleanup: Someone forgot again to do the
    versioning_280 handling when bumping subversion..  Proper fix for
    rigidbody collections's objects missing rb data..  Fix T58993:
    Duplicating after setting a rigid body world crashes Blender..  Fix
    part of T58964: Changing driver path/array index crashes.  Fix
    T59087: Empty meshes have large bound-box.  Fix T59107: F3 does not
    work in Python console.  Fix T57086: Offset Even option is
    unclickable.  Merge branch 'master' into blender2.8.  Merge branch
    'master' into blender2.8.  Fix T53544: Undo in pose mode selects all
    fcurves.  DNA: add runtime struct to for graph & action editor.
    Merge branch 'master' into blender2.8.  Fix T59059: Blender crashing
    after adding particle system and dynamic paint (Brush)..  Simplified
    #ifdef to not silently fail on certain platforms.  User Interface:
    Add button color for indicating that the value differs from the
    interpolated one.  Fix T51057 Modifiers lose bevel weight and
    crease.  Fix T58950: wireframe/orthographic/front/side/topview crash
    2.8.  Shrinkwrap: use polygon normals for flat faces in Align To
    Normal..  Cleanup: style.  Fix T58949: Transform feedback shaders
    not having fragment shader.  UI: Fix typo in hostname stamp tooltip.
    Fix T58360 "Use object as pivot" in GP "Shadow effect" crashes
    Blender.

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 15 Dec 2018 21:00:42 +0100

blender (83217-bfb9680e9e5-0thomas~bionic0) bionic; urgency=medium

  * GP: Fix problems with stroke Caps.  GP: Set Brush default material
    when add new GP Object.  GP: Remove Object Onion Skin switch.  GP:
    Replace Clamp icon.  GP: Make Onion Skin ON as default RNA value.
    GP: Enable Object Onion Skin by default.  Edit Mesh: Opti: Reduce
    max_vertices in geometry shader.  Edit Mesh: Fix edges poking
    through the verts points in xray/seethrough mode.  Edit Mesh: Make
    "fresnel effect" not transparent but mix between 2 colors.  Edit
    Mesh: Draw inner edge selected in vert edit mode if both verts
    selected.  DRW: Batch Cache: Mesh: Port edit mesh batches to batch
    request method.  DRW: Batch Cache: Mesh: Port more batches to batch
    request method.  DRW: Batch Cache: Add batch request system.  GPU:
    Make changes to GPUIndexBuf and GPUVertBuf to allow multithreading.
    GPU: Cleanup: Rename vbo to ibo for index buffers.  Fix T58932:
    Impossible to influence the particle system.  Fix T58928: New Action
    causes crash when duplicating bone.  Cycles: Restore properties in
    the interface.  Cleanup: Variable naming.  Tweak UI message of Ruler
    tool..  Fix T57633: Particle texture update problem.  Cleanup:
    Someone forgot again to do the versioning_280 handling when bumping
    subversion..  Proper fix for rigidbody collections's objects missing
    rb data..  Fix T58993: Duplicating after setting a rigid body world
    crashes Blender..  Fix part of T58964: Changing driver path/array
    index crashes.  Fix T59087: Empty meshes have large bound-box.  Fix
    T59107: F3 does not work in Python console.  Fix T57086: Offset Even
    option is unclickable.  Merge branch 'master' into blender2.8.
    Merge branch 'master' into blender2.8.  Fix T53544: Undo in pose
    mode selects all fcurves.  DNA: add runtime struct to for graph &
    action editor.  Merge branch 'master' into blender2.8.  Fix T59059:
    Blender crashing after adding particle system and dynamic paint
    (Brush)..  Simplified #ifdef to not silently fail on certain
    platforms.  User Interface: Add button color for indicating that the
    value differs from the interpolated one.  Fix T51057 Modifiers lose
    bevel weight and crease.  Fix T58950:
    wireframe/orthographic/front/side/topview crash 2.8.  Shrinkwrap:
    use polygon normals for flat faces in Align To Normal..  Cleanup:
    style.  Fix T58949: Transform feedback shaders not having fragment
    shader.  UI: Fix typo in hostname stamp tooltip.  Fix T58360 "Use
    object as pivot" in GP "Shadow effect" crashes Blender.  Move static
    `get_hostname()` to `BLI_hostname()` in `system.c`.  Fix modifiers
    evaluation outside of depsgraph/CoW context..  Remove unused
    particle system recalc flag.  Remove obscure debug-only print.  Fix
    selected to active Cycles Baking.  Cleanup, typo in naming.
    Metadata: add hostname to the available metadata options.  Merge
    branch 'master' into blender2.8.  Fix T57994: Particle Instance
    modifiers 'Index Layer' off by one.  add 'Control Points' and
    'Segments' editmode menus for Surfaces.  Merge branch 'master' into
    blender2.8.  Update BVHTree.FromObject API, remove render argument.
    Cycles: Do more user-friendly indication that GPU devices are not
    found.  Cycles: Disable OpenCL on macOS.  Fix T58902: error getting
    tools for Image Editor (modes Paint and Mask).  Fix T57640: UV
    unwrap packing not working without sync selection..  Partial fix to
    T58917 - No valid cage.  GP: Refactor coordinates to float.
    Fix/workaround crash opening almost any Spring file.  Depsgraph:
    Make data allocation dependency more robust.  Depsgraph: Use shorter
    relation name.  Depsgraph: Cleanup, line length.  Depsgraph: Remove
    duplicated sets of recalc/update flags.  Cleanup/refactor binding
    code for MeshDeform modifier..  Fix T58046: Crash when changing
    Particle type, when Hair has dynamics.  Cleanup: split
    mixed_bones_object_selectbuffer.  Cleanup: style.  Fix T58913 Won't
    focus on Grease Pencil.  Fix T58911: Picking objects fails in pose
    mode.  Fix T58811: Scale bezier handle uses tip as origin.  Merge
    branch 'master' into blender2.8.  Cleanup: redundant counter.  Merge
    branch 'master' into blender2.8.  Fix error in Main cleanup.  DRW:
    Remove the use of GPUTexture buffers for edit wire rendering.  DRW:
    Rework wireframe overlay implementation.  GPU: Remove EXT and add
    assert.  GPU: Add GPU_vertformat_triple_load to load next vertices
    attrib.  DRW: Add Provoking vertex state..  Fix crash recovering
    last session.  Add license headers for app-templates.  Fix T58897:
    Show folders in video editing template.  WM: alternate fix for
    T58904.  Revert "Fix T58904: Side tabs disappear when creating new
    View Layer".  Fix T58905: Knife project redo fails.  Fix adding
    objects in local view.  Fix T58871: New Scene Collection Does Not
    Create A New Collection.  Fix T58904: Side tabs disappear when
    creating new View Layer.  Fix T58750: missing fallof power tooltip..
    Fix T58325: Local view Bug.  UI: add material settings in shader
    editor sidebar..  Fix Alembic indexed UVs being merged for different
    vertices..  Fix T58898: Python error clicking in empty space in text
    edit mode..  3D View: hide pose bones w/o overlays.  Docs: hint to
    why we have option to toggle bones.  Fix T57963: Cycles crash using
    AO for displacement..  Fix T58223: curve tilt not working correct
    with left click select..  Fix T58863: 'Smooth/Flat Shading' to
    'Shader Smoot/Flat' in context menu.  Speedup: optimize
    DNA_elem_array_size to speedup file loading.  GPU Framebuffer:
    simplify gpu_framebuffer_update_attachments_and_fill_empty_slots
    func.  Fix T58310: Crash when removing multires modifier from sculpt
    object.  DRW: Mesh: Make uvs use the final mesh display.  DRW: Fix
    Uvs not working in solid mode + edit mesh.  GPU Extensions:
    unused_fb_slot_workaround: Compare only the driver..  Fix T58663: UV
    Align Auto does nothing.  Fix T58659: absolute grid snapping wrong
    with custom grid scale..  Fix T58840: SHIFT+K in vertex paint
    doesn't update.  Draw manager: Use render view transform as default.
    Color management: Use default view with no extra transform when not
    specified.  Color management: Cleanup, make function name more
    clear.  Fix T58816: Color management Display Device other than sRGB
    crashes.  Color management: Fix issue when active views/displays are
    not specified.  Update relations when modifier texture changes.  Fix
    T58788: Apply Visual Geometry crash.  Fix multi-object edit state on
    load.  Fix knife project, add to mesh menu.  Fix T58837: "Tab for
    Pie Menu" lags leaving gpencil edit mode.  Fix T58836: Shift-C
    doesn't update the view.  Merge branch 'master' into blender2.8.
    Fix T58832: Spin tool creates duplicate faces.  Armature: support
    select-linked deselection.  Fix crazyspace transform w/ armatures.
    Merge branch 'master' into blender2.8.  Fix T58819: Weight paint
    gradient crash.  Fix T56362: sub surface scattering does not work on
    eevee on radeon hd 7600 series.  Fix problem with unused color slot
    in framebuffer on some bugged AMD GPUs.  Keymap: only use MMB
    workaround whe MMB is enabled.  Fix T57770: Edit-mesh wireframe cage
    select fails.  Merge branch 'master' into blender2.8.  Cleanup:
    unused var, style.  DRW: Optimize adjacency data creation a bit.
    Cleanup: no need to access final mesh.  Merge remote-tracking branch
    'origin/master' into blender2.8.  Fix (devtalk 4053): Collada build
    with older cmake versions broken.  GHOST: WGL: Silence Errors when
    testing opengl context versions.  Fix T58407: Wire frames are not
    showing with subdivision surfaces.  Cleanup: unused function.  Fix
    own mistake in recent rB74361eebe68c..  Fix (unreported, related to
    T58210) LaplacianDeform binding state incorrectly reported by RNA..
    Fix T58210, Part II: Surface Deform modifier (un)binding is broken..
    Fix T58210, part I: Surface Deform modifier (un)binding is broken..
    Minor cleanup in Laplacian deform modifier DNA code..  Merge remote-
    tracking branch 'origin/master' into blender2.8.  fix: Collada:
    remove Class from method definition in header file.  UI: reduce area
    splitting action zone size..  Fix T57939: animated values in
    compositing nodes not working..  Fix T58679: Missing modifiers
    update on changes to texture.  Depsgrapgh: Use more distinctive
    opcode for texture and image evaluation.  GP: Tag datablock after
    mode change.  GP: Add icon for Arc primitive.  GP: Fix precision
    issue with Circle and Arc tools.  Fix In front option not working in
    solid mode.  GPU: Fix gpu workaround detection.  Fix T58762: Issue
    with weight painting on deformed mesh.  Merge remote-tracking branch
    'origin/master' into blender2.8.  deps: update opencollada to
    v1.6.68.  Fix T58391: correctly handle Curve Shape Key layout in
    Python API..  GP: Disable Draw Modes if enable Annotation.  Fix
    T58764: solid mode error.  Fix T58726: Pixels not being drawn if dpi
    scalling > 1.  Don't tag objects from inside function which is used
    by dependency graph.  Remove old dependency graph.  Fix T58794:
    extended shading pie menu wrong order in lookdev mode..  Merge
    branch 'master' into blender2.8.  Fix (unreported) building Cycles
    tests with Embree enabled..  Fix T58104: Duplicated previews for
    Matcaps/HDRIs in portable installs.  Merge branch 'master' into
    blender2.8.  Fix T58756: crash changing shading.type in 3D viewport
    in inactive screen..  Color management: Fix/workaround broken
    getDefaultDisplay().  Color management: Query default view from
    display.  Color management: Cleanup, typos.  Fix T58776, T58030:
    pressure sensitivity on Linux not working for some tablets..
    Install_deps: bump collada version to 1.6.68..  UI: rename UV Edit
    to UV Editor, for consistency..  Merge branch 'master' into
    blender2.8.  Fix build with old CMake versions..  Cleanup: remove
    deprecated piece of code in library reading code..  Fix T58771:
    Wrong path to Unit Settings.  Fix T58772: Stray "forward" and "up"
    options in 2.8 import addons?.  Implement bvhtree.fromObject.  GP:
    Add missing pressure button to Topbar.  UI: split UV editor out of
    the image space.  GPU: Cleanup: Replace glFlush by GPU_flush.  GPU:
    Improve detection of intels UHD graphics.  GPU: Print opengl infos
    if using --debug-gpu-force-workarounds.  Fix T58551: Dragged in
    images do not display orange highlight border when selected.  UI:
    Select Linked Instanced Collection still named Dupligroup.  BKE: Add
    "--debug-gpu-force-workarounds" to force gpu workarounds.  Fix
    T58733: Segmentation fault at start causes by shader compillation.
    Workbench: Remove specular shadowing for red and blue metal.
    Workbench: Cleanups and reduce shader variations.  Workbench: Fix
    workbench broken on some config due to usuned fb slot.  Workbench:
    Remove unused framebuffer slot..  Object: select objects when
    revealing.  Fix T58661: Shading pie doesn't highlight x-ray when on.
    Fix T58690: Disable overlay doesn't hide bones.  Merge branch
    'master' into blender2.8.  Fix T49624: Fly uses camera settings
    outside camera view.  GP: Enable Smooth Sculpt brush when press
    Shift key.  Cleanup: Action zone coordinates.  Fix area splitting
    from action zone flipping viewports.  Merge remote-tracking branch
    'origin/master' into blender2.8.  fix T58568: used wrong case in
    variable name.  Merge branch 'master' into blender2.8.  fix T58568
    build errors when using collada 1.6.68 or newer.  Fix T58466: bug in
    macOS GHOST_GetSwapInterval..  Fix T57620: display custom normals in
    Edit Mode..  Fix T58609 Subdivision Surface modifier, "Optimal
    Display" not working.  Wireframe: Optimization: Only draw triangles
    that have edges.  Wireframe: Optimization: Only draw triangles that
    have edges.  Wireframe: Optimization: Output degenerate triangles if
    no edges.  Fix T58700: Modifier error msgs not showing..  Cleanup:
    typo in comments..  Fix T55774: Crash when reloading clip during
    prefetch.  Merge branch 'master' into blender2.8.  Fix T58118: Make
    duplicates real does nothing.  Buildbot: enable support for NVIDIA
    Turing cards in Cycles (like GTX 20xx)..  Cycles: add initial CUDA
    10.0 support, but only recommend use for Turing cards..  Fix T58227:
    Subdivision Surface Type Simple messes up UVs.  Remove the Draw
    Curve operator from the Add menu.  Fix for assert failure in
    material preview.  Fix T58117: Crash with keyframing, take two.
    Depsgraph: execute all COPY_ON_WRITE nodes first as a separate
    stage..  BLI_task: fix queue in work_and_wait, and support
    resetting..  Fix (IRC reported) missing update for RNA Object's
    matrix_local property..  Merge branch 'master' into blender2.8.
    Cleanup: Spelling.  Fix T58117: Crash with keyframing.  Fix T58220:
    EdgeSplit at Split Angle: 0 doesn't split flat faces..  Fix T58481:
    "Make duplicates real" operator settings crashes.  Fix error
    reloading scripts.  Cleanup: remove unused brush set by index.  Show
    tool title for favorites menu.  Fix T57076: Remove property from
    favourites menu fails.  Edit last commit.  Fix T58256: error message
    w/ missing Select Box tool.  Fix T58670: Spin tool crashes w/o gizmo
    overlay.  Cleanup: unused args.  Fix T58474: Gizmo Operator template
    fails on rerun.  GP: Draw Mode: Add Arc Primitive.  Fix T58636:
    repeat image in UV editor not working..  Fix T58635: 2.8 - "3D
    Markers to Mesh" error..  Depsgraph: immediately free object's
    derived caches in the COW step..  Fix T58448: Cloth presets fails to
    load due to missing attribute structural_stiffness..  Fix T58280:
    Blender 2.8 hangs when the LookDev mode is enabled.  DRW: Make
    default debug mode a bit more silent.  Workbench: Encode Roughness
    and metallic into 8bits.  Workbench: Make object ID pass optionnal.
    DRW: Make fullscreen quad in the background.  Workbench: Cleanup:
    Remove Spherical harmonic evaluation.  View3D: Grid: Don't make the
    Zaxis produce any fragment is not needed.  Workbench: Reduce VRAM
    usage depending on mode.  Subdiv: Set edge render flags according to
    Optimal Display.  Depsgraph: completely move customdata_mask to the
    ID node..  T58338 Edit Mode rotation doesn't work if object is far
    away from world origin.  Fix T57858: Add validation callback to
    CustomData layers..  Cleanup: Use BLI's is_finite_v helpers instead
    of manualy checking each item..  Depsgraph: Add missing cache file
    handling in build_id().  Fix T58600: update OSL scripts to work with
    OSL 1.10.x..  Data Transfer Modifier: fix mesh_get_eval_final
    usage..  Depsgraph: assert that mesh_get_eval_final/deform aren't
    used in eval..  Fix T58258: Select Objects in Collection not
    working.  3D View: remove non tool-system ruler.  Fix T58556: Some
    remaining 'dupli_types' in pycode after renaming..  Fix T58594:
    Modal circle select can't select & de-select.  Merge branch 'master'
    into blender2.8.  Fix T58535 Crash on Load.  Fix T54580: Pointer
    buttons skip undo push.  Merge branch 'master' into blender2.8.  Use
    scene active object for sculptmode enter/exit calls.  Fix T56331:
    Undo crash w/ sculpt on hidden layer.  Fix T56642: 3D view gizmo
    orientation wont update.  Cleanup: warning, style.  Fix T58528:
    Assign material skips non-active.  Fix/workaround T58368: Crash w/
    mapped mesh + autosmooth.  Cleanup: remove flag from
    GizmoCommonData.  Fix T58573: Camera lens gizmo error on click.  Fix
    camera lens gizmo sensor comparison.  Fix T58566: Blender 2.7x
    keymap not correct for select all toggle and spacebar..  Fix T56996:
    MacOS: Lagging when rotating the view.  Fix T58101 : Image empties
    are only rendering their border when using MSAA.  Texture Paint: fix
    fast selection update to also work without modifiers..  GP: Fix line
    primitive when using to square behaviour.  Fix texture previews not
    updating when parameters are changed..  Partial fix for T58113 bevel
    harden normals bug..  Keymap: fix error in recent enum-menu support.
    Merge branch 'master' into blender2.8.  Cleanup: BKE b-bone API
    naming.  Merge branch 'master' into blender2.8.  Cleanup:
    BKE_effect.h naming.  Keymap: use strict format for keymap
    definitions.  Cleanup: simplify poll function.  Fix T57455: Fix
    faulty gpu detection.  Cleanup: de-duplicate gpencil material UI.
    Cleanup: remove redundant gpencil material checks.  Add missing
    include.  Fix T57455: Laggy, freezing UI with Linux and Intel UHD
    620.  Optimize ghash usage.  Fix button data access for python
    context menus.  Fix T58460: Proportional edit icon disappears.
    Workbench: Don't use alpha channel if not doing render.  WM:
    Optimization: Don't clear the window color buffer.  UI: Simplify the
    area border drawing.  Fix T58433: Limit Distance constraint distance
    not auto-computed..  Fix T58412: in weight paint + pose mode certain
    armature operations crash..  Fix more cases of evaluated mesh being
    built for non-COW objects..  fix: Collada exporter has similar issue
    as reproted in T58150.  fix T58293 Collada: Does not export Texture
